import { Host, h } from "@stencil/core";
export class ButtonCta {
    constructor() {
        this.textColor = 'white';
        this.textColorHover = 'var(--cwc-color-secondary-900, #242424)';
        this.backgroundColor = this.textColorHover;
        this.backgroundColorHover = this.textColor;
        this.borderColor = this.backgroundColor;
        this.borderColorHover = this.borderColor;
        this.fontSize = '1rem';
        this.link = '#';
        this.target = undefined;
        this.download = undefined;
    }
    render() {
        return (h(Host, { key: 'deab64c2c153cc8fadb72ebd1287be7943a31382' }, h("style", { key: '04df70725e1186f927ed2e3459a1f5b5743af259' }, `
          :host {
            color: ${this.textColor};
            background-color: ${this.backgroundColor};
            border: 2px solid ${this.borderColor};
            font-size: ${this.fontSize} !important;
            width: auto !important;
          }

          :host(:hover) {
            color: ${this.textColorHover};
            background-color: ${this.backgroundColorHover};
            border: 2px solid ${this.borderColorHover};
          }

          :host::before {
            background: ${this.borderColor}
          }
        `), h("a", { key: '71ab8b02901232aca2479841b327039dfaa75bd8', href: this.link, target: this.target, download: this.download }, h("slot", { key: '6dad8fe84579023af7bcbb171289160aa5dd612c' }))));
    }
    static get is() { return "cradlepoint-button-cta"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["button-cta.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["button-cta.css"]
        };
    }
    static get properties() {
        return {
            "textColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text-color",
                "reflect": false,
                "defaultValue": "'white'"
            },
            "textColorHover": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text-color-hover",
                "reflect": false,
                "defaultValue": "'var(--cwc-color-secondary-900, #242424)'"
            },
            "backgroundColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-color",
                "reflect": false,
                "defaultValue": "this.textColorHover"
            },
            "backgroundColorHover": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-color-hover",
                "reflect": false,
                "defaultValue": "this.textColor"
            },
            "borderColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "border-color",
                "reflect": false,
                "defaultValue": "this.backgroundColor"
            },
            "borderColorHover": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "border-color-hover",
                "reflect": false,
                "defaultValue": "this.borderColor"
            },
            "fontSize": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "font-size",
                "reflect": false,
                "defaultValue": "'1rem'"
            },
            "link": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "link",
                "reflect": false,
                "defaultValue": "'#'"
            },
            "target": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "target",
                "reflect": false
            },
            "download": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "download",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=button-cta.js.map
