import { Host, h } from "@stencil/core";
export class CardBg {
    constructor() {
        this.backgroundImage = undefined;
        this.backgroundColor = 'var(--cwc-color-primary)';
        this.hoverOpacity = "0.5";
        this.borderRadius = "0";
        this.textColor = "var(--cwc-color-white, #fff)";
        this.textColorHover = "var(--cwc-color-white, #fff)";
        this.textAlign = "left";
        this.type = "a";
    }
    render() {
        return (h(Host, { key: '525ca1560ad6ec07f8f5294fcdfae1f6f229559d', style: {
                backgroundImage: this.backgroundImage ? `url(${this.backgroundImage})` : '',
                "--text-align": this.textAlign,
                "--border-radius": this.borderRadius,
                "--hover-opacity": this.hoverOpacity,
                "--text-color": this.textColor,
                "--text-color-hover": this.textColorHover,
            }, class: `type-${this.type}` }, h("div", { key: 'e4ae6b106a841439a27332a2946b6501f3512927', class: "tinted-bg", style: {
                backgroundColor: this.backgroundColor,
            }, "data-hover-opacity": this.hoverOpacity }), h("div", { key: '828b59ef15b4daa36f0d5f3c3019cac28d9bbe24', class: "content-container" }, h("slot", { key: '1617bfc8bbe09aebbea6457fe4fa3b0c0224a751' }))));
    }
    static get is() { return "cradlepoint-card-bg"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["card-bg.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["card-bg.css"]
        };
    }
    static get properties() {
        return {
            "backgroundImage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-image",
                "reflect": false
            },
            "backgroundColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-color",
                "reflect": false,
                "defaultValue": "'var(--cwc-color-primary)'"
            },
            "hoverOpacity": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "hover-opacity",
                "reflect": false,
                "defaultValue": "\"0.5\""
            },
            "borderRadius": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "border-radius",
                "reflect": false,
                "defaultValue": "\"0\""
            },
            "textColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text-color",
                "reflect": false,
                "defaultValue": "\"var(--cwc-color-white, #fff)\""
            },
            "textColorHover": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text-color-hover",
                "reflect": false,
                "defaultValue": "\"var(--cwc-color-white, #fff)\""
            },
            "textAlign": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text-align",
                "reflect": false,
                "defaultValue": "\"left\""
            },
            "type": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "type",
                "reflect": false,
                "defaultValue": "\"a\""
            }
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=card-bg.js.map
