import { Host, h } from "@stencil/core";
export class CardImageTitleText {
    constructor() {
        this.align = {
            'center': 'center',
            'right': 'flex-end'
        };
        this.href = '#';
        this.type = 'icon-with-bg';
        this.useBgOnImage = true;
        this.bgColor = undefined;
        this.bgImage = undefined;
        this.textAlign = 'center';
        this.linkedIn = undefined;
        this.newTab = true;
    }
    componentWillLoad() {
        if (this.type == 'image-with-hover') {
            const cta = this.host.querySelector('[slot="cta"]');
            const newHREF = cta.getAttribute('href');
            newHREF && (this.href = newHREF);
        }
    }
    render() {
        return (h(Host, { key: '9896790dcc07fe3c558435140d8d8d03699e0efb', class: this.type, style: {
                textAlign: this.textAlign,
                alignItems: this.align[this.textAlign]
            } }, this.bgImage && (this.type !== 'icon-with-bg' ? ((this.type == 'image-with-hover') ? (h("a", { href: this.href }, h("div", { class: 'image-wrapper', style: { backgroundImage: this.bgImage && `url(${this.bgImage})` } }))) :
            h("div", { class: 'image-wrapper', style: { backgroundImage: this.bgImage && `url(${this.bgImage})` } })) : (h("div", { class: `image-wrapper ${this.useBgOnImage && 'withBG'}`, style: {
                backgroundColor: this.useBgOnImage === true && this.bgColor
            } }, h("img", { src: this.bgImage && this.bgImage })))), h("div", { key: '0d8c89363c47e3a15993949372f81a38262e6148', class: "inline-flex" }, h("slot", { key: '81bcbe608bb4be6596ca97d79821f17597c4df54', name: "title" }), this.linkedIn && h("a", { key: '08bb4e83293208205f49d87fdeda48573ae31dc5', href: this.linkedIn, target: this.newTab === true ? '_blank' : '_self', class: "social-link" }, h("svg", { key: '0eeab24296eaae41bff8246d4bd7442d41006048', width: "21px", height: "24px", class: "svg-inline--fa fa-linkedin", "aria-hidden": "true", focusable: "false", "data-prefix": "fab", "data-icon": "linkedin", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 448 512", "data-fa-i2svg": "" }, h("path", { key: 'ba2a1a7e2175c24e49f435711db03dbb8f669b04', fill: "#858c91", d: "M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" })))), h("slot", { key: 'f0789f20677f531936ff5cab29d3cfe72c68e86b', name: "text" }), h("slot", { key: '2672785f7ab46cda0aafd99eb3e4ba9523ad097a', name: "cta" })));
    }
    static get is() { return "cradlepoint-card-image-title-text"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["card-image-title-text.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["card-image-title-text.css"]
        };
    }
    static get properties() {
        return {
            "type": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "type",
                "reflect": false,
                "defaultValue": "'icon-with-bg'"
            },
            "useBgOnImage": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "use-bg-on-image",
                "reflect": false,
                "defaultValue": "true"
            },
            "bgColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "bg-color",
                "reflect": false
            },
            "bgImage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "bg-image",
                "reflect": false
            },
            "textAlign": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text-align",
                "reflect": false,
                "defaultValue": "'center'"
            },
            "linkedIn": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "linked-in",
                "reflect": false
            },
            "newTab": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "new-tab",
                "reflect": false,
                "defaultValue": "true"
            }
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=card-image-title-text.js.map
