import { Host, h } from "@stencil/core";
export class CradlepointContainer {
    constructor() {
        this.desktopStyle = null;
        this.maxWidth = '1350px';
        this.columns = '1fr';
        this.gap = '0';
        this.gapColumn = null;
        this.gapRow = null;
        this.backgroundColor = null;
        this.mdColumns = null;
        this.containerStyle = {
            maxWidth: this.maxWidth,
            columnGap: (this.gapColumn ? this.gapColumn : this.gap),
            rowGap: (this.gapRow ? this.gapRow : this.gap),
            backgroundColor: this.backgroundColor && this.backgroundColor
        };
    }
    componentWillRender() {
        this.columns && (this.desktopStyle = `
      @media (min-width:768px) and (max-width:1023px){
        :host {
          grid-template-columns: ${this.mdColumns};
        }
      }
      @media (min-width:1024px) {
        :host {
          grid-template-columns: ${this.columns};
        }
      }
    `);
    }
    render() {
        return (h(Host, { key: 'd9cea4713ac8941a9531be6df91467f455dd26e9', style: {
                maxWidth: this.maxWidth,
                columnGap: (this.gapColumn ? this.gapColumn : this.gap),
                rowGap: (this.gapRow ? this.gapRow : this.gap),
                backgroundColor: this.backgroundColor
            } }, this.desktopStyle && h("style", { key: '5105680343fb3b56b94db0ce05796685690c3b64', scoped: true }, this.desktopStyle), h("slot", { key: '3382bb21a0e42ea8c085aabbd554d20b8235f34f' })));
    }
    static get is() { return "cradlepoint-container"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["cradlepoint-container.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["cradlepoint-container.css"]
        };
    }
    static get properties() {
        return {
            "maxWidth": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "max-width",
                "reflect": false,
                "defaultValue": "'1350px'"
            },
            "columns": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "columns",
                "reflect": false,
                "defaultValue": "'1fr'"
            },
            "gap": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gap",
                "reflect": false,
                "defaultValue": "'0'"
            },
            "gapColumn": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gap-column",
                "reflect": false,
                "defaultValue": "null"
            },
            "gapRow": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gap-row",
                "reflect": false,
                "defaultValue": "null"
            },
            "backgroundColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-color",
                "reflect": false,
                "defaultValue": "null"
            },
            "mdColumns": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "md-columns",
                "reflect": false,
                "defaultValue": "null"
            }
        };
    }
    static get states() {
        return {
            "containerStyle": {}
        };
    }
}
//# sourceMappingURL=cradlepoint-container.js.map
