import { Fragment, Host, h } from "@stencil/core";
export class CradlepointFooter {
    constructor() {
        this.loaded = false;
        this.hotline = null;
        this.socialMedia = null;
        this.nav = null;
        this.mapSection = null;
        this.copyright = null;
        this.isEricssonTheme = false;
        this.json = undefined;
        this.logo = 'https://img.cradlepoint.com/auto-mapping-folder/2022/04/cradlepoint-ericsson-logo-footer-378x70-1.png';
        this.backgroundImage = 'https://img.cradlepoint.com/auto-mapping-folder/2020/04/footbg.webp';
    }
    async componentWillLoad() {
        if (this.json) {
            return fetch(this.json)
                .then(response => response.json())
                .then(data => {
                this.isEricssonTheme = document.body.classList.contains('ericsson-theme');
                // console.log(data);
                this.hotline = data.hot_line;
                this.socialMedia = data.social_media;
                this.nav = data.link_columns.columns;
                this.mapSection = data.map_section;
                this.copyright = data.copyright;
                this.loaded = true;
            })
                .catch(error => console.log(error));
        }
        return null;
    }
    render() {
        return (h(Host, { key: '1549a7645863a3bc4250f595efa5883860529777', class: this.loaded ? 'loaded' : '', style: {
                backgroundImage: this.isEricssonTheme ? 'none' : `url(${this.backgroundImage})`,
                backgroundColor: 'var(--cwc-footer-bg-color)'
            } }, h("div", { key: '0545abd1b15d8fa8046b0cdae59ff76cd1b2ed6b', class: "container" }, h("div", { key: '3b1a344cd5f6392d75147cca88c1a1ed0abc7411', class: "inner-container row row-1" }, this.loaded && (h(Fragment, { key: '916d1c2dc3453f0f84c5850fa606b94f8eab40cf' }, h("div", { key: 'a9fb512c7486692c35c7fbde446188aee440e6e1', class: "row-1__home-link-contact" }, h("a", { key: '90027bf6c122760d37c7797748a5c1f9b325f04a', class: "row-1__home-link", href: '/' }, this.isEricssonTheme
            ? h("p", null, "Ericsson Cradlepoint")
            : (this.logo && h("img", { src: this.logo, alt: "CradlePoint Logo" }))), this.hotline && (h("a", { key: 'bc0a5b7f73a435f130ba67f61c9e7c7a564b5fd9', href: "tel:1-855-813-3385", class: "row-1__contact-wrapper" }, h("cradlepoint-fontawesome-svg", { key: '68434425780e68a21e949ea44457b0eb620f7f3c', class: "row-1__phone-icon", size: "32px", color: "white", icon: "phone-volume" }), h("h5", { key: '4e078df94dcf789d913084ed27c13055585d4391', class: "row-1__title font-bold color-white uppercase", innerHTML: `${this.hotline.label} <span>${this.hotline.phone_no}</span>` }))), this.socialMedia && (h("ul", { key: '8a01fb7807a950886faa8224f7adba7b3216a930', class: "row-1__social-media" }, this.socialMedia.map((socialMediaItem) => {
            return (h("a", { href: socialMediaItem.link.url, title: `Cradlepoint ${socialMediaItem.item}`, target: "_blank", class: `cs cs-${socialMediaItem.item}`, style: { color: 'white' } }, h("cradlepoint-fontawesome-svg", { icon: socialMediaItem.item, color: "white", size: "32px" })));
        })))), h("div", { key: '3f996d0926c7fca365c1023688ad643a552c249a', class: "row-1__linkgroups" }, this.nav && this.nav.map((column2Item) => {
            return (h("div", null, h("h4", { class: "row-1__linkgroup-title", innerHTML: column2Item.module[0].title }), column2Item.module[1].list && (h("ul", { class: "row-1__linkgroup" }, column2Item.module[1].list.map((column2ItemListItem) => {
                return (h("li", null, h("a", { href: column2ItemListItem.link.url, target: "_self" }, column2ItemListItem.link.title)));
            })))));
        }))))), h("div", { key: '966d0d4cbe26a3497bc587145fe83c9e3c61c578', class: "inner-container row row-2" }, this.mapSection && (h("div", { key: '9c7ef2e1501fa95e4d2f20c699052086675e6597', class: "row-2__location" }, h("img", { key: 'e846486ea874706e9599c780bb819f4423f2d87e', src: this.mapSection.image, width: "125", height: "64", class: "lazy row-2__map", alt: "Map" }), h("div", { key: 'f3bcf9caa65c43d00eda2ab98b47d344a9036cdb', class: "row-2__address" }, h("h6", { key: 'bb9160def73e185acdc5dc0db9d6760c9a221fdd', class: "font-bold" }, this.mapSection.label), h("address", { key: '1d1a1f39efbdd66dcbc11dd9d944610b8af3dd4c' }, this.mapSection.address)), this.mapSection.branches && (h("div", { key: 'b8862f94f0d72779c865834df378cb51cd058a00', class: "row-2__branches" }, this.mapSection.branches.map((branch) => {
            return (h("a", { class: "font-bold", href: branch.link.url, title: branch.link.title }, branch.link.title));
        }))))), this.socialMedia && (h("ul", { key: 'd00bf1c64e4a3c950c695da84fd616bf1eae85bb', class: "row-2__social-media" }, this.socialMedia.map((socialMediaItem) => {
            return (h("a", { href: socialMediaItem.link.url, title: `Cradlepoint ${socialMediaItem.item}`, target: "_blank", class: `cs cs-${socialMediaItem.item}`, style: { color: 'white' } }, h("cradlepoint-fontawesome-svg", { icon: socialMediaItem.item, color: "white", size: "32px" })));
        }))), this.copyright && h("div", { key: '0b631b252301e105ec22d26d7f710e11cac5bceb', class: "row-2__copyright", innerHTML: this.copyright.replace('{year}', new Date().getFullYear()) })), this.copyright && h("div", { key: 'd557e7fcc5726de9bbf5f9c41622394c0a11fb82', class: "row-3__copyright", innerHTML: this.copyright.replace('{year}', new Date().getFullYear()) }))));
    }
    static get is() { return "cradlepoint-footer"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["cradlepoint-footer.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["cradlepoint-footer.css"]
        };
    }
    static get properties() {
        return {
            "json": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "json",
                "reflect": false
            },
            "logo": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "logo",
                "reflect": false,
                "defaultValue": "'https://img.cradlepoint.com/auto-mapping-folder/2022/04/cradlepoint-ericsson-logo-footer-378x70-1.png'"
            },
            "backgroundImage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-image",
                "reflect": false,
                "defaultValue": "'https://img.cradlepoint.com/auto-mapping-folder/2020/04/footbg.webp'"
            }
        };
    }
    static get elementRef() { return "el"; }
}
//# sourceMappingURL=cradlepoint-footer.js.map
