import { Host, h } from "@stencil/core";
export class CradlepointHero {
    constructor() {
        this.backgroundImage = undefined;
        this.backgroundPosition = 'right';
        this.backgroundSize = 'cover';
        this.gradientStartColor = 'rgba(0, 0, 0, 0.65)';
        this.gradientMiddleColor = 'rgba(0, 0, 0, 0.32)';
        this.gradientEndColor = 'rgba(0, 0, 0, 0)';
        this.contentWidth = '1024px';
        this.contentAlign = 'left';
        this.minHeight = '600px';
    }
    render() {
        let gradientBg = `linear-gradient(${this.contentAlign == 'right' ? '270deg' : '90deg'}, ${this.gradientStartColor} 0%, ${this.gradientMiddleColor} 50%, ${this.gradientEndColor} 100%)`;
        if (this.contentAlign == 'center') {
            gradientBg = `linear-gradient(90deg, ${this.gradientEndColor} 0%, ${this.gradientMiddleColor} 25%, ${this.gradientStartColor} 50%, ${this.gradientMiddleColor} 75%, ${this.gradientEndColor} 100%)`;
        }
        return (h(Host, { key: '14c3814bfaa26124936cce8cc3b0ac00dd8f1b0c', style: {
                backgroundImage: `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
                minHeight: this.minHeight
            } }, h("div", { key: '7e3aa67cf30ff989e022ea4f4891a042f4d0d8da', class: "tint", style: {
                background: gradientBg,
            } }, h("div", { key: 'f08b28f8a51a34da42e2064f57954deadcffcadc', class: `content-container ${this.contentAlign}`, style: {
                maxWidth: this.contentWidth,
                textAlign: this.contentAlign
            } }, h("slot", { key: 'b981074cbf29a494eddbe38fb060691db07ea6f3' })))));
    }
    static get is() { return "cradlepoint-hero"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["cradlepoint-hero.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["cradlepoint-hero.css"]
        };
    }
    static get properties() {
        return {
            "backgroundImage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-image",
                "reflect": false
            },
            "backgroundPosition": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-position",
                "reflect": false,
                "defaultValue": "'right'"
            },
            "backgroundSize": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-size",
                "reflect": false,
                "defaultValue": "'cover'"
            },
            "gradientStartColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gradient-start-color",
                "reflect": false,
                "defaultValue": "'rgba(0, 0, 0, 0.65)'"
            },
            "gradientMiddleColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gradient-middle-color",
                "reflect": false,
                "defaultValue": "'rgba(0, 0, 0, 0.32)'"
            },
            "gradientEndColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gradient-end-color",
                "reflect": false,
                "defaultValue": "'rgba(0, 0, 0, 0)'"
            },
            "contentWidth": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "content-width",
                "reflect": false,
                "defaultValue": "'1024px'"
            },
            "contentAlign": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "content-align",
                "reflect": false,
                "defaultValue": "'left'"
            },
            "minHeight": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "min-height",
                "reflect": false,
                "defaultValue": "'600px'"
            }
        };
    }
}
//# sourceMappingURL=cradlepoint-hero.js.map
