import { Host, h } from "@stencil/core";
export class CardCta {
    constructor() {
        this.textColor = 'white';
        this.backgroundColor = 'var(--cwc-footer-cta-bg, #0FC373)';
        this.columns = undefined;
        this.fontSize = '1.25rem';
        this.gap = null;
        this.gapColumn = this.gap ? this.gap : null;
        this.gapRow = this.gap ? this.gap : null;
        this.maxWidth = 'unset';
        this.contentWidth = '1350px';
    }
    render() {
        return (h(Host, { key: '8df68ba7913d4eab278740cb8b20a197c918cd12', style: {
                backgroundColor: this.backgroundColor,
                color: this.textColor,
                maxWidth: this.maxWidth
            } }, h("cradlepoint-container", { key: '08e0bbec23a3ad3550c9cdae2330ab95b9ca38e2', columns: this.columns, style: {
                fontSize: this.fontSize
            }, "gap-column": this.gapColumn, "gap-row": this.gapRow, maxWidth: this.contentWidth }, h("slot", { key: '29f310a9f12cc2518d7cd2360215d0f594c17861' }))));
    }
    static get is() { return "cradlepoint-footer-cta"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["footer-cta.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["footer-cta.css"]
        };
    }
    static get properties() {
        return {
            "textColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "text-color",
                "reflect": false,
                "defaultValue": "'white'"
            },
            "backgroundColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-color",
                "reflect": false,
                "defaultValue": "'var(--cwc-footer-cta-bg, #0FC373)'"
            },
            "columns": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "columns",
                "reflect": false
            },
            "fontSize": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "font-size",
                "reflect": false,
                "defaultValue": "'1.25rem'"
            },
            "gap": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gap",
                "reflect": false,
                "defaultValue": "null"
            },
            "gapColumn": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gap-column",
                "reflect": false,
                "defaultValue": "this.gap ? this.gap : null"
            },
            "gapRow": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "gap-row",
                "reflect": false,
                "defaultValue": "this.gap ? this.gap : null"
            },
            "maxWidth": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "max-width",
                "reflect": false,
                "defaultValue": "'unset'"
            },
            "contentWidth": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "content-width",
                "reflect": false,
                "defaultValue": "'1350px'"
            }
        };
    }
}
//# sourceMappingURL=footer-cta.js.map
