import { Host, h } from "@stencil/core";
export class HeroD {
    constructor() {
        this.titleWhiteText = undefined;
        this.titleYellowText = undefined;
        this.description = undefined;
        this.backgroundImage = undefined;
        this.backgroundPosition = 'center';
        this.backgroundSize = 'cover';
        this.paddingTop = '0';
        this.height = '840px';
    }
    render() {
        return (h(Host, { key: 'a517880e1bf42cff3d5efe757f4fc1b9f189fd2e', style: {
                height: this.height,
                paddingTop: this.paddingTop,
                backgroundImage: this.backgroundImage && `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
            } }, h("div", { key: '83da062e027e46d7cbf42f2c713b8e5ec7bf72a0' }, h("h2", { key: 'a5aebe738b11d7a57170083a9e40ec6b894e9cb4' }, this.titleWhiteText, h("span", { key: '5d86806ed3bb942d6a8139a537b842c7231a5491' }, this.titleYellowText)), this.description && h("p", { key: 'e3ea58afce254c6da2601606e6e106b6c357d44f' }, this.description))));
    }
    static get is() { return "cradlepoint-hero-d"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["hero-d.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["hero-d.css"]
        };
    }
    static get properties() {
        return {
            "titleWhiteText": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "title-white-text",
                "reflect": false
            },
            "titleYellowText": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "title-yellow-text",
                "reflect": false
            },
            "description": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "description",
                "reflect": false
            },
            "backgroundImage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-image",
                "reflect": false
            },
            "backgroundPosition": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-position",
                "reflect": false,
                "defaultValue": "'center'"
            },
            "backgroundSize": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-size",
                "reflect": false,
                "defaultValue": "'cover'"
            },
            "paddingTop": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "padding-top",
                "reflect": false,
                "defaultValue": "'0'"
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'840px'"
            }
        };
    }
}
//# sourceMappingURL=hero-d.js.map
