import { Host, h } from "@stencil/core";
export class HotspotItem {
    constructor() {
        this.iconSVG = h("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 384 512" }, h("path", { d: "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z" }));
        this.toggleOverlay = () => {
            let host = this.host;
            let parent = host.parentNode;
            let allHotspots = parent.querySelectorAll('cradlepoint-hotspot-item');
            let card = host.querySelector('cradlepoint-card-simple-text');
            let popup = host.shadowRoot.querySelector('.popup');
            if (host.dataset.active == 'false') {
                allHotspots.forEach((hotspot) => {
                    hotspot.dataset.active = 'false';
                });
                host.dataset.active = 'true';
                popup.style.width = `${card.clientWidth}px`;
                popup.style.height = `${card.clientHeight}px`;
            }
            else {
                host.dataset.active = 'false';
            }
        };
        this.x = 0;
        this.y = 0;
        this.width = 0;
        this.height = 0;
        this.popupWidth = 400;
        this.popupAnchor = 'top-left';
    }
    render() {
        return (h(Host, { key: '0df642f584f9a1d73c2f7c106ecc90be543d5e62', style: {
                left: `${this.x}cqw`,
                top: `${this.y}cqw`,
                width: `${this.width}cqw`,
                height: `${this.height}cqw`,
            }, onMouseEnter: this.toggleOverlay, onMouseLeave: this.toggleOverlay, "data-active": "false" }, h("div", { key: '479e95465ea1c91054df1ce190d333d2203645a3', class: "overlay" }, h("div", { key: '26dd2ab662fc5c4e940928a76642bb14b590c8eb', class: `popup ${this.popupAnchor}`, style: { minWidth: `${this.popupWidth}px` } }, h("slot", { key: '4f6ef21a1ad6ce4765b897097a80d67681dfecf2' })))));
    }
    static get is() { return "cradlepoint-hotspot-item"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["hotspot-item.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["hotspot-item.css"]
        };
    }
    static get properties() {
        return {
            "x": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "x",
                "reflect": false,
                "defaultValue": "0"
            },
            "y": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "y",
                "reflect": false,
                "defaultValue": "0"
            },
            "width": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "width",
                "reflect": false,
                "defaultValue": "0"
            },
            "height": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "0"
            },
            "popupWidth": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "popup-width",
                "reflect": false,
                "defaultValue": "400"
            },
            "popupAnchor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "popup-anchor",
                "reflect": false,
                "defaultValue": "'top-left'"
            }
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=hotspot-item.js.map
