import { Host, h } from "@stencil/core";
export class CardHotspots {
    constructor() {
        this.loaded = false;
        this.style = {};
        this.getBGImageDimensions = (imageURL) => {
            return new Promise((resolve, reject) => {
                let image = new Image();
                image.onload = () => resolve({ width: image.naturalWidth, height: image.naturalHeight });
                image.onerror = reject;
                image.src = imageURL;
            });
        };
        this.backgroundImage = undefined;
    }
    async componentWillLoad() {
        if (this.backgroundImage) {
            await this.getBGImageDimensions(this.backgroundImage)
                .then((dimensions) => {
                this.style = Object.assign(Object.assign({}, this.style), { aspectRatio: `${dimensions.width}/${dimensions.height}`, backgroundImage: `url(${this.backgroundImage})` });
                this.loaded = true;
            });
        }
        else {
            this.loaded = true;
        }
    }
    render() {
        return (this.loaded && h(Host, { key: 'f9a3f12faa2a228e484c3cf6a0832fb314595dc6', style: this.style }, h("slot", { key: '45a5db279fbf83fb5ada2e1c5dee0d9645421049' })));
    }
    static get is() { return "cradlepoint-hotspots"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["hotspots.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["hotspots.css"]
        };
    }
    static get properties() {
        return {
            "backgroundImage": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "background-image",
                "reflect": false
            }
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=hotspots.js.map
