import { Host, h } from "@stencil/core";
// declare global {
//   interface Window {
//     MktoForms2: any;
//   }
// }
export class MarketoForm {
    constructor() {
        this.domain = 'info.cradlepoint.com';
        this.marketoId = '473-ZZR-267';
        this.scriptSrc = `${this.domain}/js/forms2/js/forms2.min.js`;
        this.formId = undefined;
    }
    componentDidLoad() {
        (async (window) => {
            const marketoScript = window.document.querySelector(`script[src="//${this.scriptSrc}"]`);
            if (!marketoScript) {
                const script = window.document.createElement('script');
                script.src = `//${this.scriptSrc}`;
                window.document.body.appendChild(script);
            }
            const form = window.document.createElement('form');
            form.id = `mktoForm_${this.formId}`;
            this.host.appendChild(form);
            const componentInterval = setInterval(() => {
                if (window['MktoForms2']) {
                    window['MktoForms2'].loadForm(`//${this.domain}`, `${this.marketoId}`, `${this.formId}`);
                    clearInterval(componentInterval);
                }
            }, 100);
        })(window);
    }
    render() {
        return (h(Host, { key: '5f9f843697062a690ab0417fdb21e5c10ec577dd' }, h("slot", { key: '870f057f2b5286f646161dd0ec74ede32b3303ad' })));
    }
    static get is() { return "cradlepoint-marketo-form"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["marketo-form.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["marketo-form.css"]
        };
    }
    static get properties() {
        return {
            "domain": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "domain",
                "reflect": false,
                "defaultValue": "'info.cradlepoint.com'"
            },
            "marketoId": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "marketo-id",
                "reflect": false,
                "defaultValue": "'473-ZZR-267'"
            },
            "scriptSrc": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "script-src",
                "reflect": false,
                "defaultValue": "`${this.domain}/js/forms2/js/forms2.min.js`"
            },
            "formId": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "form-id",
                "reflect": false
            }
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=marketo-form.js.map
