import { Host, h } from "@stencil/core";
export class SearchForm {
    constructor() {
        this.hideForm = () => {
            this.host.classList.add('hidden');
            if (document.querySelector('body #modal-backDrop')) {
                document.querySelector('body #modal-backDrop').remove();
            }
        };
        this.action = '/';
        this.method = 'get';
        this.placeholder = 'Type something to search';
        this.inputName = 's';
        this.closeIconColor = 'var(--cwc-color-secondary-900, #242424)';
    }
    render() {
        return (h(Host, { key: '402b2d9e1d99c2988f49bc7e34dd1088824b2cad' }, h("form", { key: '2fb05c869899803580d4128e5831d621d650105a', action: this.action, method: this.method }, h("input", { key: 'af029d927213f797dfa2e55adcdecc43db1645d9', type: "text", name: this.inputName, class: "search-field", placeholder: this.placeholder }), h("span", { key: 'e97ef40633f3cc55971a69cb05b73d427a2cbed5', class: "search-close", onClick: this.hideForm }, h("svg", { key: 'c819e5809477229409bceba95dcc36696db45f7c', class: "fa-xmark", "aria-hidden": "true", focusable: "false", "data-prefix": "fas", "data-icon": "xmark", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 384 512", "data-fa-i2svg": "" }, h("path", { key: '919520a8ff153b148f05f0223b99b8b100ac8d26', fill: this.closeIconColor, d: "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z" }))))));
    }
    static get is() { return "cradlepoint-search-form"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["search-form.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["search-form.css"]
        };
    }
    static get properties() {
        return {
            "action": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "action",
                "reflect": false,
                "defaultValue": "'/'"
            },
            "method": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "method",
                "reflect": false,
                "defaultValue": "'get'"
            },
            "placeholder": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "placeholder",
                "reflect": false,
                "defaultValue": "'Type something to search'"
            },
            "inputName": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "input-name",
                "reflect": false,
                "defaultValue": "'s'"
            },
            "closeIconColor": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "close-icon-color",
                "reflect": false,
                "defaultValue": "'var(--cwc-color-secondary-900, #242424)'"
            }
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=search-form.js.map
