import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const buttonCtaCss = ":host{display:inline-block;font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold') !important;font-size:1rem;font-weight:400;line-height:1 !important;cursor:pointer;transition:all 150ms;text-transform:uppercase;position:relative;clip-path:var(--cwc-button-clip-path, unset);border-radius:var(--cwc-button-radius, 0)}:host::before{content:\"\";width:20px;bottom:-1px;display:block;position:absolute;top:0;left:-2px;-webkit-clip-path:var(--cwc-button-clip-path, unset);clip-path:var(--cwc-button-clip-path, unset)}:host a{display:block;padding:1em 1.5em;color:inherit !important;text-decoration:none;font-size:inherit !important}";
const CradlepointButtonCtaStyle0 = buttonCtaCss;

const ButtonCta = /*@__PURE__*/ proxyCustomElement(class ButtonCta extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.textColor = 'white';
        this.textColorHover = 'var(--cwc-color-secondary-900, #242424)';
        this.backgroundColor = this.textColorHover;
        this.backgroundColorHover = this.textColor;
        this.borderColor = this.backgroundColor;
        this.borderColorHover = this.borderColor;
        this.fontSize = '1rem';
        this.link = '#';
        this.target = undefined;
        this.download = undefined;
    }
    render() {
        return (h(Host, { key: 'deab64c2c153cc8fadb72ebd1287be7943a31382' }, h("style", { key: '04df70725e1186f927ed2e3459a1f5b5743af259' }, `
          :host {
            color: ${this.textColor};
            background-color: ${this.backgroundColor};
            border: 2px solid ${this.borderColor};
            font-size: ${this.fontSize} !important;
            width: auto !important;
          }

          :host(:hover) {
            color: ${this.textColorHover};
            background-color: ${this.backgroundColorHover};
            border: 2px solid ${this.borderColorHover};
          }

          :host::before {
            background: ${this.borderColor}
          }
        `), h("a", { key: '71ab8b02901232aca2479841b327039dfaa75bd8', href: this.link, target: this.target, download: this.download }, h("slot", { key: '6dad8fe84579023af7bcbb171289160aa5dd612c' }))));
    }
    static get style() { return CradlepointButtonCtaStyle0; }
}, [1, "cradlepoint-button-cta", {
        "textColor": [1, "text-color"],
        "textColorHover": [1, "text-color-hover"],
        "backgroundColor": [1, "background-color"],
        "backgroundColorHover": [1, "background-color-hover"],
        "borderColor": [1, "border-color"],
        "borderColorHover": [1, "border-color-hover"],
        "fontSize": [1, "font-size"],
        "link": [1],
        "target": [1],
        "download": [4]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-button-cta"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-button-cta":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ButtonCta);
            }
            break;
    } });
}

export { ButtonCta as B, defineCustomElement as d };

//# sourceMappingURL=button-cta.js.map