import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './cradlepoint-container2.js';

const cradlepoint5050Css = ".image-container,.content-container{box-sizing:border-box;width:100%;height:100%}.image-container>img{width:100%;height:100%;object-fit:cover}@media (min-width:1024px){.image-container.right{order:1}}:host>cradlepoint-container{height:100%}.content-container{display:grid;place-items:center}::slotted([slot=\"title\"]){margin-top:auto;margin-bottom:0;font-size:30px;line-height:1.2;font-family:var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold')}::slotted([slot=\"description\"]){margin-top:24px;margin-bottom:auto;font-size:24px;line-height:1.25;font-family:var(--cwc-font-sans-serif-light, 'Eina01-Light')}";
const Cradlepoint5050Style0 = cradlepoint5050Css;

const Cradlepoint5050$1 = /*@__PURE__*/ proxyCustomElement(class Cradlepoint5050 extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.image = undefined;
        this.imagePosition = undefined;
        this.backgroundColor = undefined;
        this.height = 'auto';
    }
    render() {
        return (h("cradlepoint-container", { key: '9c4efc247176bffb029d01b86bf8c640e0927aba', "background-color": this.backgroundColor, style: {
                minHeight: this.height
            }, columns: 'repeat(2, 1fr)' }, h("div", { key: 'e432645b494db2748b63964d91134884b0d7e01a', class: `image-container ${(this.imagePosition == 'right') && this.imagePosition}` }, h("img", { key: '3d6569c7a8ab2d93eaece250f3ed94636a207241', src: this.image && this.image })), h("div", { key: '3e0f9e01441886e1a8c6fc13dd9262cd5f7b831a', class: "content-container" }, h("slot", { key: 'df4dbe69742c5a1465b6aedbf86452791cb4e19c' }))));
    }
    static get style() { return Cradlepoint5050Style0; }
}, [1, "cradlepoint-5050", {
        "image": [1],
        "imagePosition": [1, "image-position"],
        "backgroundColor": [1, "background-color"],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-5050", "cradlepoint-container"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-5050":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Cradlepoint5050$1);
            }
            break;
        case "cradlepoint-container":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const Cradlepoint5050 = Cradlepoint5050$1;
const defineCustomElement = defineCustomElement$1;

export { Cradlepoint5050, defineCustomElement };

//# sourceMappingURL=cradlepoint-5050.js.map