import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const cardBgCss = "*{box-sizing:border-box}:host{--transition:all 300ms ease-out;position:relative;display:block;aspect-ratio:375/475;border-radius:var(--border-radius, 0);background-size:100%;background-position:center center;font-family:var(--cwc-font-sans-serif-regular);cursor:pointer;text-align:var(--text-align, left);transition:var(--transition);transition-duration:1000ms;overflow:hidden}@media (min-width: 1025px){:host{aspect-ratio:1/1}}:host(:hover){background-size:130%}.tinted-bg{height:100%;width:100%;opacity:0;transition:var(--transition)}:host(:hover) .tinted-bg{opacity:var(--hover-opacity, 0.5)}.content-container{position:absolute;display:flex;flex-direction:column;justify-content:flex-start;height:100%;width:100%;top:0;padding:40px 30px}@media (min-width: 1025px){.content-container{padding:15% 12.5%}}::slotted(:last-child){margin-top:auto}::slotted(*){color:var(--text-color);transition:var(--transition)}:host(:hover) ::slotted(*){color:var(--text-color-hover)}::slotted(.title){margin-top:0;margin-bottom:0;font-size:26px;line-height:1.25;transition:var(--transition)}::slotted(.text){margin-block:24px;opacity:0;transition:var(--transition)}:host(:hover) ::slotted(.text){opacity:1}";
const CradlepointCardBgStyle0 = cardBgCss;

const CardBg = /*@__PURE__*/ proxyCustomElement(class CardBg extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.backgroundImage = undefined;
        this.backgroundColor = 'var(--cwc-color-primary)';
        this.hoverOpacity = "0.5";
        this.borderRadius = "0";
        this.textColor = "var(--cwc-color-white, #fff)";
        this.textColorHover = "var(--cwc-color-white, #fff)";
        this.textAlign = "left";
        this.type = "a";
    }
    render() {
        return (h(Host, { key: '525ca1560ad6ec07f8f5294fcdfae1f6f229559d', style: {
                backgroundImage: this.backgroundImage ? `url(${this.backgroundImage})` : '',
                "--text-align": this.textAlign,
                "--border-radius": this.borderRadius,
                "--hover-opacity": this.hoverOpacity,
                "--text-color": this.textColor,
                "--text-color-hover": this.textColorHover,
            }, class: `type-${this.type}` }, h("div", { key: 'e4ae6b106a841439a27332a2946b6501f3512927', class: "tinted-bg", style: {
                backgroundColor: this.backgroundColor,
            }, "data-hover-opacity": this.hoverOpacity }), h("div", { key: '828b59ef15b4daa36f0d5f3c3019cac28d9bbe24', class: "content-container" }, h("slot", { key: '1617bfc8bbe09aebbea6457fe4fa3b0c0224a751' }))));
    }
    get host() { return this; }
    static get style() { return CradlepointCardBgStyle0; }
}, [1, "cradlepoint-card-bg", {
        "backgroundImage": [1, "background-image"],
        "backgroundColor": [1, "background-color"],
        "hoverOpacity": [1, "hover-opacity"],
        "borderRadius": [1, "border-radius"],
        "textColor": [1, "text-color"],
        "textColorHover": [1, "text-color-hover"],
        "textAlign": [1, "text-align"],
        "type": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-card-bg"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-card-bg":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CardBg);
            }
            break;
    } });
}

const CradlepointCardBg = CardBg;
const defineCustomElement = defineCustomElement$1;

export { CradlepointCardBg, defineCustomElement };

//# sourceMappingURL=cradlepoint-card-bg.js.map