import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const containerStackCss = ":host{display:flex;flex-grow:1;flex-direction:column;margin-left:auto;margin-right:auto;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular')}";
const CradlepointContainerStackStyle0 = containerStackCss;

const ContainerStack = /*@__PURE__*/ proxyCustomElement(class ContainerStack extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.maxWidth = 1024;
        this.paddingTop = 0;
        this.paddingBottom = this.paddingTop;
    }
    render() {
        return (h(Host, { key: 'baddc3209c7141447a661a37390cb9f2e42b42d5', style: {
                maxWidth: `${this.maxWidth}px`,
                paddingTop: `${this.paddingTop}px`,
                paddingBottom: `${this.paddingBottom}px`
            } }, h("slot", { key: '3ad7f9a5919fe9870f4b4a2ba3b3172579ced17b' })));
    }
    static get style() { return CradlepointContainerStackStyle0; }
}, [1, "cradlepoint-container-stack", {
        "maxWidth": [2, "max-width"],
        "paddingTop": [2, "padding-top"],
        "paddingBottom": [2, "padding-bottom"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-container-stack"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-container-stack":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContainerStack);
            }
            break;
    } });
}

const CradlepointContainerStack = ContainerStack;
const defineCustomElement = defineCustomElement$1;

export { CradlepointContainerStack, defineCustomElement };

//# sourceMappingURL=cradlepoint-container-stack.js.map