import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const cradlepointContainerCss = ":host{display:grid;width:100%;margin-right:auto;margin-left:auto}";
const CradlepointContainerStyle0 = cradlepointContainerCss;

const CradlepointContainer = /*@__PURE__*/ proxyCustomElement(class CradlepointContainer extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.desktopStyle = null;
        this.maxWidth = '1350px';
        this.columns = '1fr';
        this.gap = '0';
        this.gapColumn = null;
        this.gapRow = null;
        this.backgroundColor = null;
        this.mdColumns = null;
        this.containerStyle = {
            maxWidth: this.maxWidth,
            columnGap: (this.gapColumn ? this.gapColumn : this.gap),
            rowGap: (this.gapRow ? this.gapRow : this.gap),
            backgroundColor: this.backgroundColor && this.backgroundColor
        };
    }
    componentWillRender() {
        this.columns && (this.desktopStyle = `
      @media (min-width:768px) and (max-width:1023px){
        :host {
          grid-template-columns: ${this.mdColumns};
        }
      }
      @media (min-width:1024px) {
        :host {
          grid-template-columns: ${this.columns};
        }
      }
    `);
    }
    render() {
        return (h(Host, { key: 'd9cea4713ac8941a9531be6df91467f455dd26e9', style: {
                maxWidth: this.maxWidth,
                columnGap: (this.gapColumn ? this.gapColumn : this.gap),
                rowGap: (this.gapRow ? this.gapRow : this.gap),
                backgroundColor: this.backgroundColor
            } }, this.desktopStyle && h("style", { key: '5105680343fb3b56b94db0ce05796685690c3b64', scoped: true }, this.desktopStyle), h("slot", { key: '3382bb21a0e42ea8c085aabbd554d20b8235f34f' })));
    }
    static get style() { return CradlepointContainerStyle0; }
}, [1, "cradlepoint-container", {
        "maxWidth": [1, "max-width"],
        "columns": [1],
        "gap": [1],
        "gapColumn": [1, "gap-column"],
        "gapRow": [1, "gap-row"],
        "backgroundColor": [1, "background-color"],
        "mdColumns": [1, "md-columns"],
        "containerStyle": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-container"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-container":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CradlepointContainer);
            }
            break;
    } });
}

export { CradlepointContainer as C, defineCustomElement as d };

//# sourceMappingURL=cradlepoint-container2.js.map