import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ctaWithHoverBgCss = ":host{font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular')}a{display:flex;flex-direction:column;align-items:center;margin-bottom:40px;padding:2rem;border:3px solid rgba(50,62,72,1);background-color:rgba(26,196,118,0);transition:all 150ms ease-in;overflow:hidden;cursor:pointer;color:var(--cwc-color-accent-b, #008EAA);text-decoration:none !important}a:hover{border:3px solid rgba(50,62,72,0);color:var(--cwc-color-white, #fff);background-color:rgba(26,196,118,1)}a>*{margin-top:0 !important;margin-bottom:0 !important}.content{margin-left:0;margin-right:auto}.content h2{font-family:var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');font-weight:400;font-size:28px !important;line-height:38.64px;border:unset !important;padding:unset !important;margin-top:0;margin-bottom:0}img{border-radius:0;margin-top:auto !important;margin-bottom:auto !important}.icon{width:64px;height:auto;border-radius:0}.arrow{width:48px;height:auto;transition:all 150ms ease-in}a:hover .arrow{transform:translateX(15px)}@media screen and (min-width: 640px){a{flex-direction:row}a .icon{margin-right:2rem}a .arrow{margin-left:2rem}}";
const CradlepointCtaWithHoverBgStyle0 = ctaWithHoverBgCss;

const CtaWithHoverBg = /*@__PURE__*/ proxyCustomElement(class CtaWithHoverBg extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.link = undefined;
        this.newTab = false;
        this.icon = 'https://img.cradlepoint.com/auto-mapping-folder/2023/08/blog-cta-icon@2x.png';
        this.text = 'Learn more ways a business can incorporate failover into their operations in our Failover White Paper.';
        this.arrow = 'https://img.cradlepoint.com/auto-mapping-folder/2023/08/blog-cta-arrow@2x.png';
    }
    render() {
        return (h(Host, { key: '7a5bc1e8fc080f87c1b6af39a2a0d1ed79cc9b16' }, h("a", { key: 'ccfc229db0ab794552c4b098e9a420a512c17480', href: this.link ? this.link : '#', target: this.newTab ? '_blank' : '_self' }, h("img", { key: '79f1c803e51cca2c96a10d090ab089334476f918', class: "icon", src: this.icon }), h("div", { key: 'c02449c151035c04a1a0850f6596afffe5062f00', class: "content" }, h("h2", { key: 'fffad9f594ef270465113a1c60c7510c5ebb789f' }, this.text)), h("img", { key: 'e0c17d42fb4e2d1546c56660756fdd0ad0fcedf3', class: "arrow", src: this.arrow, alt: "cta arrow" }))));
    }
    static get style() { return CradlepointCtaWithHoverBgStyle0; }
}, [1, "cradlepoint-cta-with-hover-bg", {
        "link": [1],
        "newTab": [4, "new-tab"],
        "icon": [1],
        "text": [1],
        "arrow": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-cta-with-hover-bg"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-cta-with-hover-bg":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CtaWithHoverBg);
            }
            break;
    } });
}

const CradlepointCtaWithHoverBg = CtaWithHoverBg;
const defineCustomElement = defineCustomElement$1;

export { CradlepointCtaWithHoverBg, defineCustomElement };

//# sourceMappingURL=cradlepoint-cta-with-hover-bg.js.map