import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './cradlepoint-container2.js';

const footerCtaCss = ":host{display:block;padding:4.375rem 1rem;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');font-weight:500;margin-left:auto;margin-right:auto}@media (min-width:768px){:host{padding:4.375rem 3.25rem}}@media (min-width:1024px){:host{padding:4.6875rem 3.5rem}}.left:first-child{margin-top:auto}";
const CradlepointFooterCtaStyle0 = footerCtaCss;

const CardCta = /*@__PURE__*/ proxyCustomElement(class CardCta extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.textColor = 'white';
        this.backgroundColor = 'var(--cwc-footer-cta-bg, #0FC373)';
        this.columns = undefined;
        this.fontSize = '1.25rem';
        this.gap = null;
        this.gapColumn = this.gap ? this.gap : null;
        this.gapRow = this.gap ? this.gap : null;
        this.maxWidth = 'unset';
        this.contentWidth = '1350px';
    }
    render() {
        return (h(Host, { key: '8df68ba7913d4eab278740cb8b20a197c918cd12', style: {
                backgroundColor: this.backgroundColor,
                color: this.textColor,
                maxWidth: this.maxWidth
            } }, h("cradlepoint-container", { key: '08e0bbec23a3ad3550c9cdae2330ab95b9ca38e2', columns: this.columns, style: {
                fontSize: this.fontSize
            }, "gap-column": this.gapColumn, "gap-row": this.gapRow, maxWidth: this.contentWidth }, h("slot", { key: '29f310a9f12cc2518d7cd2360215d0f594c17861' }))));
    }
    static get style() { return CradlepointFooterCtaStyle0; }
}, [1, "cradlepoint-footer-cta", {
        "textColor": [1, "text-color"],
        "backgroundColor": [1, "background-color"],
        "columns": [1],
        "fontSize": [1, "font-size"],
        "gap": [1],
        "gapColumn": [1, "gap-column"],
        "gapRow": [1, "gap-row"],
        "maxWidth": [1, "max-width"],
        "contentWidth": [1, "content-width"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-footer-cta", "cradlepoint-container"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-footer-cta":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CardCta);
            }
            break;
        case "cradlepoint-container":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const CradlepointFooterCta = CardCta;
const defineCustomElement = defineCustomElement$1;

export { CradlepointFooterCta, defineCustomElement };

//# sourceMappingURL=cradlepoint-footer-cta.js.map