import { proxyCustomElement, HTMLElement, h, Host, Fragment } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './fontawesome-svg.js';

const cradlepointFooterCss = "* {\n  box-sizing: border-box;\n}\n\n:host {\n  display: block;\n  background-repeat: no-repeat;\n  background-size: cover;\n  background-position: center;\n  color: var(--cwc-color-white, #fff);\n  font-family: var(--cwc-font-sans-serif-regular, 'Eina01-Regular');\n  text-align: center;\n}\n\na {\n  color: inherit;\n  text-decoration: none;\n}\n\n.container {\n  max-width: 1680px;\n  margin-right: auto;\n  margin-left: auto;\n}\n\n.row {\n  display: flex;\n  flex-direction: column;\n  padding: 54px 20px;\n}\n\n.row-1__home-link {\n  display: block;\n  width: 335px;\n  margin: 0 auto;\n}\n\n.row-1__home-link img {\n  width: 100%;\n}\n\n.row-1__home-link p {\n  margin-top: 0;\n  color: var(--cwc-color-white, #fff);\n  font-size: 32px;\n  font-family: var(--cwc-font-sans-serif-light);\n}\n\n.row-1__social-media {\n  display: none;\n}\n\n.row-1__contact-wrapper {\n  display: block;\n  max-width: 335px;\n  margin: 2.50rem auto 0;\n  background-color: rgba(255,255,255,0.1);\n  border: 2px solid rgba(255,255,255,0.2);\n  border-radius: 10px;\n}\n\n.row-1__phone-icon {\n  display: none;\n}\n\n.row-1__title {\n  text-transform: uppercase;\n  font-size: 1rem;\n}\n\n.row-1__title span {\n  display: block;\n  font-size: 32px;\n  font-family: var(--cwc-font-sans-serif-light, 'Eina01-Light');\n  font-weight: 400;\n}\n\n.row-1__linkgroup-title::before {\n  display: var(--cwc-footer-linkgroup-title-before, none);\n  width: 20px;\n  height: 6px;\n  background-color: var(--cwc-color-primary, #FFAD00);\n  border-radius: 6px;\n  content: \" \";\n  margin: 0 auto -10px;\n}\n\n.row-1__linkgroup-title {\n  font-size: 24px;\n  line-height: 1;\n  font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n  font-weight: 400;\n\n  p {\n    margin-top: var(--cwc-footer-linkgroup-title-margin-top, 0);\n  }\n}\n\n.row-1__linkgroup {\n  list-style-type: none;\n  padding-left: 0;\n  font-size: 16px;\n  line-height: 24px;\n}\n\n.row-1__linkgroup li {\n  margin-bottom: 10px;\n}\n\n.row-1__linkgroup a {\n  transition: opacity 100ms;\n  opacity: 0.6;\n}\n\n.row-1__linkgroup a:hover {\n  opacity: 1.0;\n  text-decoration: underline;\n}\n\n.row-2 {\n  background-color: var(--cwc-color-secondary-900, #414e57);\n}\n\n.row-2__address,\n.row-2__address h6 {\n  font-size: 1rem;\n}\n\n.row-2__address h6 {\n  margin: 1rem 0 0;\n}\n\n.row-2__address address {\n  margin-top: 0.50rem;\n  font-style: normal;\n  color: var(--cwc-color-secondary-400, #A3AAAD);\n}\n\n.row-2__branches {\n  display: flex;\n  flex-direction: column;\n  gap: 0.75rem;\n  margin-top: 1.50rem;\n  font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n  font-weight: 400;\n}\n\n.row-2__social-media {\n  display: grid;\n  grid-template-columns: repeat(5, 1fr);\n  margin: 4rem auto 0;\n  padding: 0;\n  list-style-type: none;\n  gap: 1.5rem;\n}\n\n.row-2__copyright {\n  color: var(--cwc-color-white, #fff);\n  font-size: 12px;\n  text-align: center;\n  margin-top: 2rem;\n}\n\n.row-2__copyright p:last-child {\n  display: flex;\n  flex-direction: column;\n  line-height: 1.5;\n  gap: 1em;\n}\n\n.row-2__copyright span.d-none.d-md-inline {\n  display: none;\n}\n\n.row-3__copyright {\n  display: none;\n}\n\n\n@media (min-width:768px) {\n  .row-1__home-link-contact {\n    display: flex;\n    justify-content: space-between;\n    gap: 2rem;\n  }\n\n  .row-1__home-link {\n    text-align: left;\n  }\n\n  .row-1__home-link,\n  .row-1__contact-wrapper {\n    margin: unset;\n  }\n\n  .row-1__contact-wrapper {\n    width: 300px;\n    margin-top: 0;\n  }\n\n  .row-1__linkgroups {\n    display: grid;\n    grid-template-columns: repeat(3, 1fr);\n    gap: 2rem;\n    text-align: left;\n  }\n\n  .row-1__linkgroup-title::before {\n    margin: 0 auto -10px 0;\n  }\n\n  .row-2__location {\n    display: flex;\n    justify-content: space-between;\n    width: 100%;\n    max-width: 600px;\n    margin-left: auto;\n    margin-right: auto;\n  }\n\n  .row-2__address {\n    width: 165px;\n    text-align: left;\n  }\n\n  .row-2__address h6 {\n    margin-top: unset;\n  }\n\n  .row-2__branches {\n    margin-top: unset;\n    text-align: left;\n  }\n\n  .row-2__copyright p {\n    margin-top: unset;\n    margin-bottom: unset;\n  }\n\n  .row-2__copyright p:last-child,\n  .row-2__copyright span.d-none.d-md-inline {\n    display: inline-block;\n  }\n}\n\n@media (min-width: 1024px) {\n  .container {\n    padding: 150px 50px 100px;\n    display: grid;\n    grid-template-columns: auto 165px;\n    gap: 4.3%;\n  }\n\n  .row {\n    padding: 0;\n  }\n\n  .row-1__home-link-contact,\n  .row-2,\n  .row-2__location {\n    display: flex;\n    flex-direction: column;\n  }\n\n  .row-1 {\n    display: grid;\n    grid-template-columns: clamp(270px, 36.3%, 360px) auto;\n    gap: 4.3%;\n  }\n\n  .row-1__home-link-contact {\n    flex-shrink: 0;\n    height: fit-content;\n  }\n\n  .row-1__home-link {\n    width: 100%;\n  }\n\n  .row-1__contact-wrapper {\n    width: 100%;\n    display: flex;\n    padding: 1rem;\n    align-items: center;\n  }\n\n  .row-1__phone-icon {\n    display: inline-block;\n    margin-right: 1rem;\n  }\n\n  .row-1__title {\n    margin: 0;\n    text-align: left;\n    font-size: clamp(14px, 1.36vw, 17px);\n    font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n    font-weight: 400;\n  }\n\n  .row-1__title span {\n    font-size: clamp(20px, 1.95vw, 28px);\n  }\n\n  .row-1__social-media {\n    display: flex;\n    gap: 1.5rem;\n    list-style-type: none;\n    padding-left: 0;\n  }\n\n  .row-1__linkgroups {\n    gap: 4.3%;\n  }\n\n  .row-1__linkgroup-title {\n    margin-top: 0;\n  }\n\n  .row-2 {\n    background-color: transparent;\n  }\n\n  .row-2__branches {\n    margin-top: 2rem;\n  }\n\n  .row-2__social-media,\n  .row-2__copyright {\n    display: none;\n  }\n\n  .row-3__copyright {\n    display: flex;\n    flex-direction: column;\n    grid-column: span 2;\n    text-align: left;\n    font-size: 12px;\n  }\n\n  .row-3__copyright p {\n    margin-top: 0;\n  }\n}\n\n@media (min-width: 1366px) {\n  .container {\n    gap: 6%;\n  }\n\n  .row-1 {\n    gap: 8%;\n  }\n}\n";
const CradlepointFooterStyle0 = cradlepointFooterCss;

const CradlepointFooter$1 = /*@__PURE__*/ proxyCustomElement(class CradlepointFooter extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.loaded = false;
        this.hotline = null;
        this.socialMedia = null;
        this.nav = null;
        this.mapSection = null;
        this.copyright = null;
        this.isEricssonTheme = false;
        this.json = undefined;
        this.logo = 'https://img.cradlepoint.com/auto-mapping-folder/2022/04/cradlepoint-ericsson-logo-footer-378x70-1.png';
        this.backgroundImage = 'https://img.cradlepoint.com/auto-mapping-folder/2020/04/footbg.webp';
    }
    async componentWillLoad() {
        if (this.json) {
            return fetch(this.json)
                .then(response => response.json())
                .then(data => {
                this.isEricssonTheme = document.body.classList.contains('ericsson-theme');
                // console.log(data);
                this.hotline = data.hot_line;
                this.socialMedia = data.social_media;
                this.nav = data.link_columns.columns;
                this.mapSection = data.map_section;
                this.copyright = data.copyright;
                this.loaded = true;
            })
                .catch(error => console.log(error));
        }
        return null;
    }
    render() {
        return (h(Host, { key: '1549a7645863a3bc4250f595efa5883860529777', class: this.loaded ? 'loaded' : '', style: {
                backgroundImage: this.isEricssonTheme ? 'none' : `url(${this.backgroundImage})`,
                backgroundColor: 'var(--cwc-footer-bg-color)'
            } }, h("div", { key: '0545abd1b15d8fa8046b0cdae59ff76cd1b2ed6b', class: "container" }, h("div", { key: '3b1a344cd5f6392d75147cca88c1a1ed0abc7411', class: "inner-container row row-1" }, this.loaded && (h(Fragment, { key: '916d1c2dc3453f0f84c5850fa606b94f8eab40cf' }, h("div", { key: 'a9fb512c7486692c35c7fbde446188aee440e6e1', class: "row-1__home-link-contact" }, h("a", { key: '90027bf6c122760d37c7797748a5c1f9b325f04a', class: "row-1__home-link", href: '/' }, this.isEricssonTheme
            ? h("p", null, "Ericsson Cradlepoint")
            : (this.logo && h("img", { src: this.logo, alt: "CradlePoint Logo" }))), this.hotline && (h("a", { key: 'bc0a5b7f73a435f130ba67f61c9e7c7a564b5fd9', href: "tel:1-855-813-3385", class: "row-1__contact-wrapper" }, h("cradlepoint-fontawesome-svg", { key: '68434425780e68a21e949ea44457b0eb620f7f3c', class: "row-1__phone-icon", size: "32px", color: "white", icon: "phone-volume" }), h("h5", { key: '4e078df94dcf789d913084ed27c13055585d4391', class: "row-1__title font-bold color-white uppercase", innerHTML: `${this.hotline.label} <span>${this.hotline.phone_no}</span>` }))), this.socialMedia && (h("ul", { key: '8a01fb7807a950886faa8224f7adba7b3216a930', class: "row-1__social-media" }, this.socialMedia.map((socialMediaItem) => {
            return (h("a", { href: socialMediaItem.link.url, title: `Cradlepoint ${socialMediaItem.item}`, target: "_blank", class: `cs cs-${socialMediaItem.item}`, style: { color: 'white' } }, h("cradlepoint-fontawesome-svg", { icon: socialMediaItem.item, color: "white", size: "32px" })));
        })))), h("div", { key: '3f996d0926c7fca365c1023688ad643a552c249a', class: "row-1__linkgroups" }, this.nav && this.nav.map((column2Item) => {
            return (h("div", null, h("h4", { class: "row-1__linkgroup-title", innerHTML: column2Item.module[0].title }), column2Item.module[1].list && (h("ul", { class: "row-1__linkgroup" }, column2Item.module[1].list.map((column2ItemListItem) => {
                return (h("li", null, h("a", { href: column2ItemListItem.link.url, target: "_self" }, column2ItemListItem.link.title)));
            })))));
        }))))), h("div", { key: '966d0d4cbe26a3497bc587145fe83c9e3c61c578', class: "inner-container row row-2" }, this.mapSection && (h("div", { key: '9c7ef2e1501fa95e4d2f20c699052086675e6597', class: "row-2__location" }, h("img", { key: 'e846486ea874706e9599c780bb819f4423f2d87e', src: this.mapSection.image, width: "125", height: "64", class: "lazy row-2__map", alt: "Map" }), h("div", { key: 'f3bcf9caa65c43d00eda2ab98b47d344a9036cdb', class: "row-2__address" }, h("h6", { key: 'bb9160def73e185acdc5dc0db9d6760c9a221fdd', class: "font-bold" }, this.mapSection.label), h("address", { key: '1d1a1f39efbdd66dcbc11dd9d944610b8af3dd4c' }, this.mapSection.address)), this.mapSection.branches && (h("div", { key: 'b8862f94f0d72779c865834df378cb51cd058a00', class: "row-2__branches" }, this.mapSection.branches.map((branch) => {
            return (h("a", { class: "font-bold", href: branch.link.url, title: branch.link.title }, branch.link.title));
        }))))), this.socialMedia && (h("ul", { key: 'd00bf1c64e4a3c950c695da84fd616bf1eae85bb', class: "row-2__social-media" }, this.socialMedia.map((socialMediaItem) => {
            return (h("a", { href: socialMediaItem.link.url, title: `Cradlepoint ${socialMediaItem.item}`, target: "_blank", class: `cs cs-${socialMediaItem.item}`, style: { color: 'white' } }, h("cradlepoint-fontawesome-svg", { icon: socialMediaItem.item, color: "white", size: "32px" })));
        }))), this.copyright && h("div", { key: '0b631b252301e105ec22d26d7f710e11cac5bceb', class: "row-2__copyright", innerHTML: this.copyright.replace('{year}', new Date().getFullYear()) })), this.copyright && h("div", { key: 'd557e7fcc5726de9bbf5f9c41622394c0a11fb82', class: "row-3__copyright", innerHTML: this.copyright.replace('{year}', new Date().getFullYear()) }))));
    }
    get el() { return this; }
    static get style() { return CradlepointFooterStyle0; }
}, [1, "cradlepoint-footer", {
        "json": [1],
        "logo": [1],
        "backgroundImage": [1, "background-image"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-footer", "cradlepoint-fontawesome-svg"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-footer":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CradlepointFooter$1);
            }
            break;
        case "cradlepoint-fontawesome-svg":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const CradlepointFooter = CradlepointFooter$1;
const defineCustomElement = defineCustomElement$1;

export { CradlepointFooter, defineCustomElement };

//# sourceMappingURL=cradlepoint-footer.js.map