import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const heroACss = ":host{display:flex;flex-direction:column;justify-content:center;padding:1rem;box-sizing:border-box;font-family:var(--cwc-sans-serif-regular, 'Eina01-Regular')}@media screen and (min-width: 640px){:host{padding:1.5rem}}@media screen and (min-width: 768px){:host{padding:2rem}}@media screen and (min-width: 1024px){:host{padding:3rem}}@media screen and (min-width: 1280px){:host{padding:4rem}}@media screen and (min-width: 1366px){:host{padding:5rem}}@media screen and (min-width: 1640px){:host{padding:6rem}}::slotted([slot=\"title\"]),::slotted([slot=\"sub-title\"]){font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold');font-weight:normal;margin:0}::slotted([slot=\"title\"]){font-size:48px !important;line-height:1.1 !important;color:var(--cwc-hero-title-color, #fff)}::slotted([slot=\"sub-title\"]){font-size:23px !important;line-height:1.25 !important;color:var(--cwc-hero-sub-title-color, #FFAD00)}@media (min-width:768px){::slotted([slot=\"title\"]){font-size:56px !important}::slotted([slot=\"sub-title\"]){font-size:26px !important}}@media (min-width:1024px){::slotted([slot=\"title\"]){font-size:64px !important}::slotted([slot=\"sub-title\"]){font-size:29px !important}}@media (min-width:1280px){::slotted([slot=\"title\"]){font-size:72px !important}::slotted([slot=\"sub-title\"]){font-size:32px !important}}";
const CradlepointHeroAStyle0 = heroACss;

const HeroA = /*@__PURE__*/ proxyCustomElement(class HeroA extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.titleYellow = undefined;
        this.titleWhite = undefined;
        this.titleMaxWidth = '800px';
        this.textAlign = 'left';
        this.backgroundImage = undefined;
        this.backgroundPosition = 'right';
        this.backgroundSize = 'cover';
        this.paddingTop = '0';
        this.height = '640px';
    }
    render() {
        return (h(Host, { key: 'aaaa22446093a6ac62953a3ca808835d3f1e8b6d', style: {
                alignItems: (this.textAlign == 'left') ? 'flex-start' : (this.textAlign == 'right') ? 'flex-end' : 'center',
                minHeight: this.height,
                backgroundImage: `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
            } }, h("div", { key: '3efedca710e5a89bc5e4686c8a09926e5f0ee95d', class: "title-container", style: {
                maxWidth: this.titleMaxWidth,
                paddingTop: this.paddingTop,
                textAlign: this.textAlign,
            } }, h("slot", { key: '49c25f036d1cadd44eab42d9bae5a94c987c1960', name: "sub-title" }), h("slot", { key: 'af4122f51b0bf061d64a18f8b1f4df3b272038bb', name: "title" })), h("slot", { key: '93bb98852ef19bea697df7c465fe08aa04bc3f1d', name: "content-container" })));
    }
    static get style() { return CradlepointHeroAStyle0; }
}, [1, "cradlepoint-hero-a", {
        "titleYellow": [1, "title-yellow"],
        "titleWhite": [1, "title-white"],
        "titleMaxWidth": [1, "title-max-width"],
        "textAlign": [1, "text-align"],
        "backgroundImage": [1, "background-image"],
        "backgroundPosition": [1, "background-position"],
        "backgroundSize": [1, "background-size"],
        "paddingTop": [1, "padding-top"],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-hero-a"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-hero-a":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, HeroA);
            }
            break;
    } });
}

const CradlepointHeroA = HeroA;
const defineCustomElement = defineCustomElement$1;

export { CradlepointHeroA, defineCustomElement };

//# sourceMappingURL=cradlepoint-hero-a.js.map