import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const heroDCss = ":host,:host>div{display:flex;flex-direction:column;justify-content:center;align-items:center}:host{color:var(--cwc-hero-title-color, #fff);background-repeat:no-repeat;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular')}div{width:100%;max-width:1070px;text-align:center}h2{margin-top:auto;margin-bottom:32px;font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold');font-weight:500;font-size:64px;line-height:72px}h2>span{color:var(--cwc-hero-sub-title-color, #FFAD00)}p{font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');font-size:36px;line-height:39px;max-width:940px;margin-top:0;margin-bottom:auto}";
const CradlepointHeroDStyle0 = heroDCss;

const HeroD = /*@__PURE__*/ proxyCustomElement(class HeroD extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.titleWhiteText = undefined;
        this.titleYellowText = undefined;
        this.description = undefined;
        this.backgroundImage = undefined;
        this.backgroundPosition = 'center';
        this.backgroundSize = 'cover';
        this.paddingTop = '0';
        this.height = '840px';
    }
    render() {
        return (h(Host, { key: 'a517880e1bf42cff3d5efe757f4fc1b9f189fd2e', style: {
                height: this.height,
                paddingTop: this.paddingTop,
                backgroundImage: this.backgroundImage && `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
            } }, h("div", { key: '83da062e027e46d7cbf42f2c713b8e5ec7bf72a0' }, h("h2", { key: 'a5aebe738b11d7a57170083a9e40ec6b894e9cb4' }, this.titleWhiteText, h("span", { key: '5d86806ed3bb942d6a8139a537b842c7231a5491' }, this.titleYellowText)), this.description && h("p", { key: 'e3ea58afce254c6da2601606e6e106b6c357d44f' }, this.description))));
    }
    static get style() { return CradlepointHeroDStyle0; }
}, [1, "cradlepoint-hero-d", {
        "titleWhiteText": [1, "title-white-text"],
        "titleYellowText": [1, "title-yellow-text"],
        "description": [1],
        "backgroundImage": [1, "background-image"],
        "backgroundPosition": [1, "background-position"],
        "backgroundSize": [1, "background-size"],
        "paddingTop": [1, "padding-top"],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-hero-d"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-hero-d":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, HeroD);
            }
            break;
    } });
}

const CradlepointHeroD = HeroD;
const defineCustomElement = defineCustomElement$1;

export { CradlepointHeroD, defineCustomElement };

//# sourceMappingURL=cradlepoint-hero-d.js.map