import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const cradlepointHeroCss = ":host{display:grid;box-sizing:border-box;font-family:var(--cwc-sans-serif-regular, 'EricssonHilda-Regular');font-size:20px;color:var(--cwc-color-white, #FAFAFA)}::slotted(*){text-wrap:balance}.tint{padding:6.25rem 1.125rem;box-sizing:border-box;display:flex;flex-direction:column;justify-content:center}.content-container.center{margin:0 auto}.content-container.right{margin:0 0 0 auto}@media (min-width: 768px){.tint{padding:6.25rem 2.4rem}}@media (min-width: 1024px){.tint{padding:6.25rem 5rem}}";
const CradlepointHeroStyle0 = cradlepointHeroCss;

const CradlepointHero$1 = /*@__PURE__*/ proxyCustomElement(class CradlepointHero extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.backgroundImage = undefined;
        this.backgroundPosition = 'right';
        this.backgroundSize = 'cover';
        this.gradientStartColor = 'rgba(0, 0, 0, 0.65)';
        this.gradientMiddleColor = 'rgba(0, 0, 0, 0.32)';
        this.gradientEndColor = 'rgba(0, 0, 0, 0)';
        this.contentWidth = '1024px';
        this.contentAlign = 'left';
        this.minHeight = '600px';
    }
    render() {
        let gradientBg = `linear-gradient(${this.contentAlign == 'right' ? '270deg' : '90deg'}, ${this.gradientStartColor} 0%, ${this.gradientMiddleColor} 50%, ${this.gradientEndColor} 100%)`;
        if (this.contentAlign == 'center') {
            gradientBg = `linear-gradient(90deg, ${this.gradientEndColor} 0%, ${this.gradientMiddleColor} 25%, ${this.gradientStartColor} 50%, ${this.gradientMiddleColor} 75%, ${this.gradientEndColor} 100%)`;
        }
        return (h(Host, { key: '14c3814bfaa26124936cce8cc3b0ac00dd8f1b0c', style: {
                backgroundImage: `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
                minHeight: this.minHeight
            } }, h("div", { key: '7e3aa67cf30ff989e022ea4f4891a042f4d0d8da', class: "tint", style: {
                background: gradientBg,
            } }, h("div", { key: 'f08b28f8a51a34da42e2064f57954deadcffcadc', class: `content-container ${this.contentAlign}`, style: {
                maxWidth: this.contentWidth,
                textAlign: this.contentAlign
            } }, h("slot", { key: 'b981074cbf29a494eddbe38fb060691db07ea6f3' })))));
    }
    static get style() { return CradlepointHeroStyle0; }
}, [1, "cradlepoint-hero", {
        "backgroundImage": [1, "background-image"],
        "backgroundPosition": [1, "background-position"],
        "backgroundSize": [1, "background-size"],
        "gradientStartColor": [1, "gradient-start-color"],
        "gradientMiddleColor": [1, "gradient-middle-color"],
        "gradientEndColor": [1, "gradient-end-color"],
        "contentWidth": [1, "content-width"],
        "contentAlign": [1, "content-align"],
        "minHeight": [1, "min-height"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-hero"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-hero":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CradlepointHero$1);
            }
            break;
    } });
}

const CradlepointHero = CradlepointHero$1;
const defineCustomElement = defineCustomElement$1;

export { CradlepointHero, defineCustomElement };

//# sourceMappingURL=cradlepoint-hero.js.map