import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const hotspotsCss = ":host{position:relative;display:block;background-repeat:no-repeat;background-size:cover;aspect-ratio:auto;flex-shrink:0;container-type:inline-size}";
const CradlepointHotspotsStyle0 = hotspotsCss;

const CardHotspots = /*@__PURE__*/ proxyCustomElement(class CardHotspots extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.loaded = false;
        this.style = {};
        this.getBGImageDimensions = (imageURL) => {
            return new Promise((resolve, reject) => {
                let image = new Image();
                image.onload = () => resolve({ width: image.naturalWidth, height: image.naturalHeight });
                image.onerror = reject;
                image.src = imageURL;
            });
        };
        this.backgroundImage = undefined;
    }
    async componentWillLoad() {
        if (this.backgroundImage) {
            await this.getBGImageDimensions(this.backgroundImage)
                .then((dimensions) => {
                this.style = Object.assign(Object.assign({}, this.style), { aspectRatio: `${dimensions.width}/${dimensions.height}`, backgroundImage: `url(${this.backgroundImage})` });
                this.loaded = true;
            });
        }
        else {
            this.loaded = true;
        }
    }
    render() {
        return (this.loaded && h(Host, { key: 'f9a3f12faa2a228e484c3cf6a0832fb314595dc6', style: this.style }, h("slot", { key: '45a5db279fbf83fb5ada2e1c5dee0d9645421049' })));
    }
    get host() { return this; }
    static get style() { return CradlepointHotspotsStyle0; }
}, [1, "cradlepoint-hotspots", {
        "backgroundImage": [1, "background-image"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-hotspots"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-hotspots":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CardHotspots);
            }
            break;
    } });
}

const CradlepointHotspots = CardHotspots;
const defineCustomElement = defineCustomElement$1;

export { CradlepointHotspots, defineCustomElement };

//# sourceMappingURL=cradlepoint-hotspots.js.map