import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const marketoFormCss = ":host{display:block}";
const CradlepointMarketoFormStyle0 = marketoFormCss;

const MarketoForm = /*@__PURE__*/ proxyCustomElement(class MarketoForm extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.domain = 'info.cradlepoint.com';
        this.marketoId = '473-ZZR-267';
        this.scriptSrc = `${this.domain}/js/forms2/js/forms2.min.js`;
        this.formId = undefined;
    }
    componentDidLoad() {
        (async (window) => {
            const marketoScript = window.document.querySelector(`script[src="//${this.scriptSrc}"]`);
            if (!marketoScript) {
                const script = window.document.createElement('script');
                script.src = `//${this.scriptSrc}`;
                window.document.body.appendChild(script);
            }
            const form = window.document.createElement('form');
            form.id = `mktoForm_${this.formId}`;
            this.host.appendChild(form);
            const componentInterval = setInterval(() => {
                if (window['MktoForms2']) {
                    window['MktoForms2'].loadForm(`//${this.domain}`, `${this.marketoId}`, `${this.formId}`);
                    clearInterval(componentInterval);
                }
            }, 100);
        })(window);
    }
    render() {
        return (h(Host, { key: '5f9f843697062a690ab0417fdb21e5c10ec577dd' }, h("slot", { key: '870f057f2b5286f646161dd0ec74ede32b3303ad' })));
    }
    get host() { return this; }
    static get style() { return CradlepointMarketoFormStyle0; }
}, [1, "cradlepoint-marketo-form", {
        "domain": [1],
        "marketoId": [1, "marketo-id"],
        "scriptSrc": [1, "script-src"],
        "formId": [1, "form-id"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-marketo-form"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-marketo-form":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, MarketoForm);
            }
            break;
    } });
}

const CradlepointMarketoForm = MarketoForm;
const defineCustomElement = defineCustomElement$1;

export { CradlepointMarketoForm, defineCustomElement };

//# sourceMappingURL=cradlepoint-marketo-form.js.map