import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const searchFormCss = "*{box-sizing:border-box}:host{position:absolute;top:80px;display:block;width:100%;height:96px;background-color:var(--cwc-color-white, #fff);padding:18px 32px;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');filter:drop-shadow(0 5px 10px rgba(0,0,0,0.15))}:host(.hidden){display:none}form{display:flex;flex-direction:row;align-items:center;height:100%}input{flex-grow:1;border:0;outline:0;font-size:18px;line-height:60px}.search-close{display:grid;place-items:center;width:28px;height:38px;margin-left:auto;margin-right:0;cursor:pointer}.search-close svg{pointer-events:none}@media (min-width: 1025px){:host{top:110px;padding-left:48px;padding-right:48px}}@media (min-width: 1366px){:host{padding-left:64px;padding-right:64px}}@media (min-width: 1680px){:host{padding-left:96px;padding-right:96px}}";
const CradlepointSearchFormStyle0 = searchFormCss;

const SearchForm = /*@__PURE__*/ proxyCustomElement(class SearchForm extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.hideForm = () => {
            this.host.classList.add('hidden');
            if (document.querySelector('body #modal-backDrop')) {
                document.querySelector('body #modal-backDrop').remove();
            }
        };
        this.action = '/';
        this.method = 'get';
        this.placeholder = 'Type something to search';
        this.inputName = 's';
        this.closeIconColor = 'var(--cwc-color-secondary-900, #242424)';
    }
    render() {
        return (h(Host, { key: '402b2d9e1d99c2988f49bc7e34dd1088824b2cad' }, h("form", { key: '2fb05c869899803580d4128e5831d621d650105a', action: this.action, method: this.method }, h("input", { key: 'af029d927213f797dfa2e55adcdecc43db1645d9', type: "text", name: this.inputName, class: "search-field", placeholder: this.placeholder }), h("span", { key: 'e97ef40633f3cc55971a69cb05b73d427a2cbed5', class: "search-close", onClick: this.hideForm }, h("svg", { key: 'c819e5809477229409bceba95dcc36696db45f7c', class: "fa-xmark", "aria-hidden": "true", focusable: "false", "data-prefix": "fas", "data-icon": "xmark", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 384 512", "data-fa-i2svg": "" }, h("path", { key: '919520a8ff153b148f05f0223b99b8b100ac8d26', fill: this.closeIconColor, d: "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z" }))))));
    }
    get host() { return this; }
    static get style() { return CradlepointSearchFormStyle0; }
}, [1, "cradlepoint-search-form", {
        "action": [1],
        "method": [1],
        "placeholder": [1],
        "inputName": [1, "input-name"],
        "closeIconColor": [1, "close-icon-color"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cradlepoint-search-form"];
    components.forEach(tagName => { switch (tagName) {
        case "cradlepoint-search-form":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SearchForm);
            }
            break;
    } });
}

const CradlepointSearchForm = SearchForm;
const defineCustomElement = defineCustomElement$1;

export { CradlepointSearchForm, defineCustomElement };

//# sourceMappingURL=cradlepoint-search-form.js.map