import { r as registerInstance, h, H as Host, g as getElement, F as Fragment } from './index-01ed8869.js';

const cradlepoint5050Css = ".image-container,.content-container{box-sizing:border-box;width:100%;height:100%}.image-container>img{width:100%;height:100%;object-fit:cover}@media (min-width:1024px){.image-container.right{order:1}}:host>cradlepoint-container{height:100%}.content-container{display:grid;place-items:center}::slotted([slot=\"title\"]){margin-top:auto;margin-bottom:0;font-size:30px;line-height:1.2;font-family:var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold')}::slotted([slot=\"description\"]){margin-top:24px;margin-bottom:auto;font-size:24px;line-height:1.25;font-family:var(--cwc-font-sans-serif-light, 'Eina01-Light')}";
const Cradlepoint5050Style0 = cradlepoint5050Css;

const Cradlepoint5050 = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.image = undefined;
        this.imagePosition = undefined;
        this.backgroundColor = undefined;
        this.height = 'auto';
    }
    render() {
        return (h("cradlepoint-container", { key: '9c4efc247176bffb029d01b86bf8c640e0927aba', "background-color": this.backgroundColor, style: {
                minHeight: this.height
            }, columns: 'repeat(2, 1fr)' }, h("div", { key: 'e432645b494db2748b63964d91134884b0d7e01a', class: `image-container ${(this.imagePosition == 'right') && this.imagePosition}` }, h("img", { key: '3d6569c7a8ab2d93eaece250f3ed94636a207241', src: this.image && this.image })), h("div", { key: '3e0f9e01441886e1a8c6fc13dd9262cd5f7b831a', class: "content-container" }, h("slot", { key: 'df4dbe69742c5a1465b6aedbf86452791cb4e19c' }))));
    }
};
Cradlepoint5050.style = Cradlepoint5050Style0;

const buttonCtaCss = ":host{display:inline-block;font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold') !important;font-size:1rem;font-weight:400;line-height:1 !important;cursor:pointer;transition:all 150ms;text-transform:uppercase;position:relative;clip-path:var(--cwc-button-clip-path, unset);border-radius:var(--cwc-button-radius, 0)}:host::before{content:\"\";width:20px;bottom:-1px;display:block;position:absolute;top:0;left:-2px;-webkit-clip-path:var(--cwc-button-clip-path, unset);clip-path:var(--cwc-button-clip-path, unset)}:host a{display:block;padding:1em 1.5em;color:inherit !important;text-decoration:none;font-size:inherit !important}";
const CradlepointButtonCtaStyle0 = buttonCtaCss;

const ButtonCta = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.textColor = 'white';
        this.textColorHover = 'var(--cwc-color-secondary-900, #242424)';
        this.backgroundColor = this.textColorHover;
        this.backgroundColorHover = this.textColor;
        this.borderColor = this.backgroundColor;
        this.borderColorHover = this.borderColor;
        this.fontSize = '1rem';
        this.link = '#';
        this.target = undefined;
        this.download = undefined;
    }
    render() {
        return (h(Host, { key: 'deab64c2c153cc8fadb72ebd1287be7943a31382' }, h("style", { key: '04df70725e1186f927ed2e3459a1f5b5743af259' }, `
          :host {
            color: ${this.textColor};
            background-color: ${this.backgroundColor};
            border: 2px solid ${this.borderColor};
            font-size: ${this.fontSize} !important;
            width: auto !important;
          }

          :host(:hover) {
            color: ${this.textColorHover};
            background-color: ${this.backgroundColorHover};
            border: 2px solid ${this.borderColorHover};
          }

          :host::before {
            background: ${this.borderColor}
          }
        `), h("a", { key: '71ab8b02901232aca2479841b327039dfaa75bd8', href: this.link, target: this.target, download: this.download }, h("slot", { key: '6dad8fe84579023af7bcbb171289160aa5dd612c' }))));
    }
};
ButtonCta.style = CradlepointButtonCtaStyle0;

const cardBgCss = "*{box-sizing:border-box}:host{--transition:all 300ms ease-out;position:relative;display:block;aspect-ratio:375/475;border-radius:var(--border-radius, 0);background-size:100%;background-position:center center;font-family:var(--cwc-font-sans-serif-regular);cursor:pointer;text-align:var(--text-align, left);transition:var(--transition);transition-duration:1000ms;overflow:hidden}@media (min-width: 1025px){:host{aspect-ratio:1/1}}:host(:hover){background-size:130%}.tinted-bg{height:100%;width:100%;opacity:0;transition:var(--transition)}:host(:hover) .tinted-bg{opacity:var(--hover-opacity, 0.5)}.content-container{position:absolute;display:flex;flex-direction:column;justify-content:flex-start;height:100%;width:100%;top:0;padding:40px 30px}@media (min-width: 1025px){.content-container{padding:15% 12.5%}}::slotted(:last-child){margin-top:auto}::slotted(*){color:var(--text-color);transition:var(--transition)}:host(:hover) ::slotted(*){color:var(--text-color-hover)}::slotted(.title){margin-top:0;margin-bottom:0;font-size:26px;line-height:1.25;transition:var(--transition)}::slotted(.text){margin-block:24px;opacity:0;transition:var(--transition)}:host(:hover) ::slotted(.text){opacity:1}";
const CradlepointCardBgStyle0 = cardBgCss;

const CardBg = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.backgroundImage = undefined;
        this.backgroundColor = 'var(--cwc-color-primary)';
        this.hoverOpacity = "0.5";
        this.borderRadius = "0";
        this.textColor = "var(--cwc-color-white, #fff)";
        this.textColorHover = "var(--cwc-color-white, #fff)";
        this.textAlign = "left";
        this.type = "a";
    }
    render() {
        return (h(Host, { key: '525ca1560ad6ec07f8f5294fcdfae1f6f229559d', style: {
                backgroundImage: this.backgroundImage ? `url(${this.backgroundImage})` : '',
                "--text-align": this.textAlign,
                "--border-radius": this.borderRadius,
                "--hover-opacity": this.hoverOpacity,
                "--text-color": this.textColor,
                "--text-color-hover": this.textColorHover,
            }, class: `type-${this.type}` }, h("div", { key: 'e4ae6b106a841439a27332a2946b6501f3512927', class: "tinted-bg", style: {
                backgroundColor: this.backgroundColor,
            }, "data-hover-opacity": this.hoverOpacity }), h("div", { key: '828b59ef15b4daa36f0d5f3c3019cac28d9bbe24', class: "content-container" }, h("slot", { key: '1617bfc8bbe09aebbea6457fe4fa3b0c0224a751' }))));
    }
    get host() { return getElement(this); }
};
CardBg.style = CradlepointCardBgStyle0;

const cardImageTitleTextCss = "*{box-sizing:border-box}:host{display:flex;flex-direction:column;padding:0 16px}.image-wrapper{display:flex;align-items:center;justify-content:center;height:120px;width:120px;border-radius:50%;margin-bottom:37px;outline:16px transparent}.image-wrapper.withBG{background-color:var(--cwc-color-primary);outline:16px solid var(--cwc-color-primary-100, #FFF2D6);margin-left:16px;margin-right:16px}::slotted([slot=\"title\"]){color:var(--cwc-color-secondary-900, #242424);font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold');font-size:26px;line-height:32px;margin-top:0;margin-bottom:0;font-weight:unset}::slotted([slot=\"text\"]){margin:16px 0;color:var(--cwc-color-secondary-900, #242424);font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');font-size:16px;line-height:24px}:host(.icon-with-bg) .image-wrapper{margin-top:16px}:host(.image-with-hover) .image-wrapper{position:relative;width:100%;padding-top:39.5%;background-repeat:no-repeat;background-size:cover;border-radius:0;outline:unset;height:unset;margin-bottom:0;transition:border 300ms}:host(.image-with-hover) .image-wrapper:before{position:absolute;top:0;display:block;content:\" \";width:calc(100% - 20px);height:calc(100% - 20px);border:10px solid rgba(0,0,0,0);transition:border 200ms}:host(.image-with-hover:hover) .image-wrapper:before{border:10px solid var(--cwc-color-primary, #FFAD00)}:host(.image-with-hover) ::slotted([slot=\"title\"]){font-size:28px;text-align:left;font-family:var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');margin-bottom:15px;margin-top:20px;position:relative}:host(.image-with-hover) ::slotted([slot=\"text\"]){font-size:.875rem;line-height:20px;line-height:1.25rem;text-align:left;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');margin-top:0}:host(.image-with-hover) ::slotted([slot=\"cta\"]){text-decoration:none;border-bottom:1px dotted var(--cwc-color-accent-b, #008EAA) !important;border-color:inherit;padding-bottom:0.2rem;font-family:var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');width:fit-content;font-size:1rem;color:var(--cwc-color-accent-b, #008EAA) !important;line-height:25px}:host(.image-with-hover) ::slotted([slot=\"cta\"]:hover){color:var(--cwc-color-accent-a, #009A44) !important;border-color:var(--cwc-color-accent-a, #009A44) !important;text-decoration:none}:host(.image-large) .image-wrapper{width:100%;min-height:420px;background-repeat:no-repeat;background-size:cover;border-radius:0;outline:unset;height:unset;margin-bottom:0}:host(.image-large) ::slotted([slot=\"cta\"]){padding-top:1.5625rem;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');color:var(--cwc-color-accent-b, #008EAA) !important;font-size:18px;font-size:1.125rem;text-decoration:none;border-bottom:0 !important;padding-bottom:0 !important}:host(.image-large) ::slotted([slot=\"cta\"]:hover){text-decoration:underline !important;color:var(--cwc-color-accent-b, #008EAA) !important}:host(.leadership) .image-wrapper{width:100%;background-repeat:no-repeat;background-size:cover;border-radius:8px;outline:unset;height:unset;margin-bottom:30px;aspect-ratio:4/5 auto;max-width:320px}:host(.leadership) ::slotted([slot=\"title\"]){font-size:24px;line-height:30px;padding-bottom:0;margin-bottom:2px;padding-top:3px;font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold')}:host(.leadership) .social-link svg{fill:#858c91;margin-bottom:-2px;margin-left:5px}:host(.leadership) .social-link:hover svg path{fill:var(--cwc-color-accent-b, #008EAA) !important}:host(.leadership) ::slotted([slot=\"text\"]){font-size:16px;line-height:1.5rem;color:var(--cwc-color-secondary-900, #242424);font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');margin-top:0}:host(.leadership) .inline-flex{display:inline-flex;align-items:baseline}";
const CradlepointCardImageTitleTextStyle0 = cardImageTitleTextCss;

const CardImageTitleText = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.align = {
            'center': 'center',
            'right': 'flex-end'
        };
        this.href = '#';
        this.type = 'icon-with-bg';
        this.useBgOnImage = true;
        this.bgColor = undefined;
        this.bgImage = undefined;
        this.textAlign = 'center';
        this.linkedIn = undefined;
        this.newTab = true;
    }
    componentWillLoad() {
        if (this.type == 'image-with-hover') {
            const cta = this.host.querySelector('[slot="cta"]');
            const newHREF = cta.getAttribute('href');
            newHREF && (this.href = newHREF);
        }
    }
    render() {
        return (h(Host, { key: '9896790dcc07fe3c558435140d8d8d03699e0efb', class: this.type, style: {
                textAlign: this.textAlign,
                alignItems: this.align[this.textAlign]
            } }, this.bgImage && (this.type !== 'icon-with-bg' ? ((this.type == 'image-with-hover') ? (h("a", { href: this.href }, h("div", { class: 'image-wrapper', style: { backgroundImage: this.bgImage && `url(${this.bgImage})` } }))) :
            h("div", { class: 'image-wrapper', style: { backgroundImage: this.bgImage && `url(${this.bgImage})` } })) : (h("div", { class: `image-wrapper ${this.useBgOnImage && 'withBG'}`, style: {
                backgroundColor: this.useBgOnImage === true && this.bgColor
            } }, h("img", { src: this.bgImage && this.bgImage })))), h("div", { key: '0d8c89363c47e3a15993949372f81a38262e6148', class: "inline-flex" }, h("slot", { key: '81bcbe608bb4be6596ca97d79821f17597c4df54', name: "title" }), this.linkedIn && h("a", { key: '08bb4e83293208205f49d87fdeda48573ae31dc5', href: this.linkedIn, target: this.newTab === true ? '_blank' : '_self', class: "social-link" }, h("svg", { key: '0eeab24296eaae41bff8246d4bd7442d41006048', width: "21px", height: "24px", class: "svg-inline--fa fa-linkedin", "aria-hidden": "true", focusable: "false", "data-prefix": "fab", "data-icon": "linkedin", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 448 512", "data-fa-i2svg": "" }, h("path", { key: 'ba2a1a7e2175c24e49f435711db03dbb8f669b04', fill: "#858c91", d: "M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z" })))), h("slot", { key: 'f0789f20677f531936ff5cab29d3cfe72c68e86b', name: "text" }), h("slot", { key: '2672785f7ab46cda0aafd99eb3e4ba9523ad097a', name: "cta" })));
    }
    get host() { return getElement(this); }
};
CardImageTitleText.style = CradlepointCardImageTitleTextStyle0;

const cardQuoteCss = ":host{display:grid;place-items:center;height:100%}:host(.a){padding:1rem}@media (min-width: 1024px){:host(.a){padding:2rem}}@media (min-width: 1350px){:host(.a){padding:3rem}}:host(.a) ::slotted(.quote){font-size:30px;font-family:var(--cwc-font-serif, 'Lora');line-height:1.466;position:relative;text-indent:var(--cwc-quote-text-indent);margin-top:auto;margin-bottom:0;width:100%}:host(.a) ::slotted(.quote):before,:host(.b) .quote-container .quote:before{content:\"\\201C\"}:host(.a) ::slotted(.quote):before{content:\"\\201C\";color:var(--cwc-quote-color);font-family:inherit;font-size:var(--cwc-quote-size);line-height:1;position:var(--cwc-quote-position);text-indent:0;top:var(--cwc-quote-top);left:0px;margin-right:5px}:host(.a) ::slotted(.quote):after,:host(.b) .quote-container .quote:after{content:\"\\201D\"}:host(.a) .quote-container{display:none}:host(.a) ::slotted(.attribution){font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');font-size:18px;line-height:1;margin-top:1rem;margin-bottom:auto;width:100%}:host(.b){padding:0 !important;grid-template-rows:1fr auto}:host(.b) ::slotted(.quote){display:none}:host(.b) .quote-container{display:grid;place-items:center;font-size:30px;font-family:var(--cwc-font-serif, 'Lora');line-height:1.466;position:relative;margin:0;height:inherit;background-color:var(--cwc-color-secondary-800, #5A6973)}:host(.b) .quote-container .quote{margin:0}:host(.b) .quote-container .quote,:host(.b) ::slotted(.attribution){padding:1rem}:host(.b) ::slotted(.attribution){padding:1rem;width:100%}@media (min-width: 1024px){:host(.b) .quote-container .quote,:host(.b) ::slotted(.attribution){padding:2rem}}@media (min-width: 1350px){:host(.b) .quote-container .quote,:host(.b) ::slotted(.attribution){padding:3rem}}:host(.b) ::slotted(.attribution){background-color:var(--cwc-color-secondary, #333F48);font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');margin:0}.text-sunrise{color:var(--cwc-color-primary, #FFAD00)}.text-charcoal{color:var(--cwc-color-secondary-900, #242424)}.text-charcoal80{color:var(--cwc-color-secondary-800, #5A6973)}.text-charcoal60{color:var(--cwc-color-secondary-600, #7B858B)}.text-charcoal40{color:var(--cwc-color-secondary-400, #A3AAAD)}.text-charcoal20{color:var(--cwc-color-secondary-200, #CFD3D3)}.text-charcoal05{color:var(--cwc-color-secondary-050, #F2F2F2)}.text-river{color:var(--cwc-color-accent-b, #008EAA)}.text-boise-blue{color:var(--cwc-color-accent-c, #0057B8)}.text-frost{color:var(--cwc-color-accent-d, #C1C6C8)}.text-treetop{color:var(--cwc-color-accent-a, #009A44)}.text-red{color:var(--cwc-color-red, #ff3232)}.text-white{color:var(--cwc-color-white, #fff)}";
const CradlepointCardQuoteStyle0 = cardQuoteCss;

const CardQuote = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.handleSlotChange = () => {
            if (this.host.classList.contains('b')) {
                let children = Array.from(this.host.children);
                let quote = children && children.find(item => item.classList.contains('quote'));
                if (children && quote) {
                    this.host.shadowRoot.querySelector('.quote-container').appendChild(quote);
                }
            }
        };
        this.type = undefined;
    }
    render() {
        return (h(Host, { key: 'a18853c7cb57967f23f312ea03d94ce1f68c5f4a', class: this.type }, h("div", { key: '9adb94a5476a58ad3d9f530609659a9502198dec', class: "quote-container" }), h("slot", { key: '1738940b0da35babef95a0325bb6bb07b33a5db6', onSlotchange: this.handleSlotChange })));
    }
    get host() { return getElement(this); }
};
CardQuote.style = CradlepointCardQuoteStyle0;

const cardSimpleTextCss = ":host{display:grid;place-items:center;padding:1rem}@media (min-width: 1024px){:host{padding:2rem}}@media (min-width: 1350px){:host{padding:3rem}}::slotted(*){width:100%}::slotted(:first-child){margin-top:auto;margin-bottom:0;font-size:30px;line-height:1.2;font-family:var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');font-weight:400}::slotted(:not(:first-child)){margin-top:24px;margin-bottom:auto;font-size:24px;line-height:1.25;font-family:var(--cwc-font-sans-serif-light, 'Eina01-Light');font-weight:400}::slotted(.card-link){color:var(--cwc-color-white, #fff) !important}::slotted(.card-link:hover){color:var(--cwc-color-white, #fff) !important;text-decoration:underline}";
const CradlepointCardSimpleTextStyle0 = cardSimpleTextCss;

const CardSimpleText = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.backgroundColor = undefined;
    }
    render() {
        return (h(Host, { key: 'c532c7dfbba74f50a946d63ca2f838ff082b4a2f', style: {
                backgroundColor: this.backgroundColor
            } }, h("slot", { key: 'c74461c9c3a41dd622dd249de592df2150293d65' })));
    }
};
CardSimpleText.style = CradlepointCardSimpleTextStyle0;

const carouselContainerCss = ":host{position:relative;display:block;width:100%;margin-right:auto;margin-left:auto}.content-wrapper{display:flex;width:calc(100% - 80px);height:100%;margin:0 auto;overflow:hidden}.content-wrapper.no-arrows,.content-wrapper.inside-arrows{width:100%}.content-wrapper>slot{display:flex;width:100%;height:100%;transition:transform 300ms ease-in-out;transform:translateX(-100%)}::slotted(*){display:grid;place-items:center;flex-grow:1;flex-shrink:0;width:100%;height:auto}.carousel-prev,.carousel-next{position:absolute;top:calc(50% - 20px);width:30px;height:41px;cursor:pointer;user-select:none;opacity:0.5}.carousel-prev:hover,.carousel-next:hover{opacity:0.75;transition:opacity 100ms ease-in}.carousel-prev>*,.carousel-next>*{display:block;pointer-events:none}.carousel-prev>img{margin-right:0;margin-left:auto}.carousel-next>img{margin-right:auto;margin-left:0}.carousel-prev{left:0}.carousel-next{right:0}.pagination{position:absolute;left:50%;transform:translateX(-50%);display:flex;justify-content:center;margin:10px auto 0;padding:0;user-select:none}.pagination.inside-dots{margin-top:-22px}.pagination li{display:inline-block;width:12px;height:12px;border-radius:100%;background-color:var(--cwc-color-secondary-600, #7B858B);cursor:pointer;margin:0 3px;opacity:0.5;transition:opacity 100ms ease-in}.pagination li:hover{opacity:0.75}.pagination li.active{opacity:1.0}";
const CradlepointCarouselContainerStyle0 = carouselContainerCss;

const CarouselContainer = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.prev = () => {
            this.currentPage--;
            this.gotoPage();
            this.updatePaginations();
        };
        this.next = () => {
            this.currentPage++;
            this.gotoPage();
            this.updatePaginations();
        };
        this.slidesContainerTransitionEnd = () => {
            let multiplier = this.numChildren * 100;
            if (this.currentPage == 0 || this.currentPage > this.numChildren) {
                this.slidesContainer.style.transition = '0ms';
                if (this.currentPage > this.numChildren) {
                    this.slidesContainer.style.transform = `translateX(-100%)`;
                    this.currentPage = 1;
                }
                else if (this.currentPage == 0) {
                    this.slidesContainer.style.transform = `translateX(-${multiplier}%)`;
                    this.currentPage = this.numChildren;
                }
                let timeout = setTimeout(() => {
                    this.slidesContainer.style.transition = `transform 300ms ease-in-out`;
                    clearTimeout(timeout);
                }, 300);
            }
        };
        this.gotoPage = () => {
            this.slidesContainer.style.transform = `translateX(calc(${(this.currentPage) * (-100)}%))`;
        };
        this.updatePaginations = () => {
            const paginations = Array.from(this.host.shadowRoot.querySelectorAll('.pagination > li'));
            [...paginations].forEach(pagination => pagination.classList.remove('active'));
            if (this.currentPage > this.numChildren) {
                paginations[0].classList.add('active');
            }
            else if (this.currentPage < 1) {
                paginations[this.numChildren - 1].classList.add('active');
            }
            else {
                paginations[this.currentPage - 1].classList.add('active');
            }
        };
        this.checkIfReady = async () => {
            return new Promise(resolve => {
                let checkIfReadyInterval = setInterval(() => {
                    if (this.ready) {
                        clearInterval(checkIfReadyInterval);
                        resolve();
                    }
                }, 100);
            });
        };
        this.startAutoPlay = () => {
            this.autoplayInterval = setInterval(() => {
                this.next();
            }, this.interval);
        };
        this.handleSlotChange = () => {
            this.slidesContainer = this.host.shadowRoot.querySelector('slot');
            this.slidesContainer.addEventListener('transitionend', this.slidesContainerTransitionEnd, false);
            if (!this.ready) {
                this.numChildren = Array.from(this.host.children).length;
                let paginationsTemp = [];
                if (this.numChildren >= 1) {
                    for (let index = 0; index < this.numChildren; index++) {
                        if (index == 0) {
                            paginationsTemp.push(h("li", { class: "active", "data-page-number": "1" }));
                        }
                        else {
                            paginationsTemp.push(h("li", { "data-page-number": `${index + 1}` }));
                        }
                        if (index == (paginationsTemp.length - 1)) {
                            this.paginations = paginationsTemp;
                        }
                    }
                }
                let firstSlideClone = this.host.firstElementChild.cloneNode(true);
                let lastSlideClone = this.host.lastElementChild.cloneNode(true);
                this.host.append(firstSlideClone);
                this.host.prepend(lastSlideClone);
                this.ready = true;
                if (this.autoplay) {
                    this.checkIfReady()
                        .then(() => {
                        this.startAutoPlay();
                    });
                }
            }
        };
        this.height = 'auto';
        this.maxWidth = 'initial';
        this.showArrows = true;
        this.showDots = true;
        this.insideArrows = false;
        this.insideDots = false;
        this.autoplay = false;
        this.interval = 3000;
        this.slidesContainer = null;
        this.numChildren = 0;
        this.currentPage = 1;
        this.paginations = undefined;
        this.ready = false;
        this.autoplayInterval = undefined;
    }
    handleClick(e) {
        let el = e.composedPath()[0];
        if (el.parentNode.classList && el.parentNode.classList.contains('pagination')) {
            this.currentPage = parseInt(e.composedPath()[0].dataset.pageNumber);
            this.gotoPage();
            [...el.parentNode.children].forEach(child => child.classList.remove('active'));
            el.classList.add('active');
        }
        if (el.classList.contains('carousel-prev') || el.classList.contains('carousel-next')) {
            this.updatePaginations();
        }
    }
    handleMouseOver() {
        clearInterval(this.autoplayInterval);
    }
    handleMouseOut() {
        if (this.autoplay) {
            this.startAutoPlay();
        }
    }
    render() {
        return (h(Host, { key: '4ad6629ac49251f59350c838cf1bb75b214abf22', style: {
                maxWidth: `${this.maxWidth}`
            } }, h("div", { key: '9b911199deab8ad9db56849b22819c281e873cca', class: `content-wrapper ${!this.showArrows && 'no-arrows'} ${!this.showDots && 'no-dots'} ${this.insideArrows && 'inside-arrows'}`, style: {
                height: `${this.height}`,
            } }, h("slot", { key: '76b4cc1bc63b13a31a042511271dcacdeeb72493', onSlotchange: this.handleSlotChange })), this.showArrows && (this.numChildren > 1) && h(Fragment, { key: '3d312c200563ae0f81232e1a6776e9b7c891ab27' }, h("div", { key: '6c2a1a296d50274d32034d91f36fa5a387495906', class: "arrow arrow-left carousel-prev", onClick: this.prev }, h("img", { key: 'eed1f2685f3e092685b024af0da033f5b33004f1', src: "https://img.cradlepoint.com/auto-mapping-folder/2020/06/left-arrow.webp" })), h("div", { key: '74be3eb5118b3b038406304931e05928cfe08484', class: "arrow arrow-right carousel-next", onClick: this.next }, h("img", { key: 'c57c4a9f3fece8354f9b63474e478b94791bc210', src: "https://img.cradlepoint.com/auto-mapping-folder/2020/06/right-arrow.webp" }))), this.showDots && (this.numChildren > 1) && this.paginations &&
            h("ul", { key: 'b095aa7db0bd7b8c49431f13eb588126ea6634cd', class: `pagination ${this.insideDots && 'inside-dots'}` }, this.paginations)));
    }
    get host() { return getElement(this); }
};
CarouselContainer.style = CradlepointCarouselContainerStyle0;

const cradlepointContainerCss = ":host{display:grid;width:100%;margin-right:auto;margin-left:auto}";
const CradlepointContainerStyle0 = cradlepointContainerCss;

const CradlepointContainer = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.desktopStyle = null;
        this.maxWidth = '1350px';
        this.columns = '1fr';
        this.gap = '0';
        this.gapColumn = null;
        this.gapRow = null;
        this.backgroundColor = null;
        this.mdColumns = null;
        this.containerStyle = {
            maxWidth: this.maxWidth,
            columnGap: (this.gapColumn ? this.gapColumn : this.gap),
            rowGap: (this.gapRow ? this.gapRow : this.gap),
            backgroundColor: this.backgroundColor && this.backgroundColor
        };
    }
    componentWillRender() {
        this.columns && (this.desktopStyle = `
      @media (min-width:768px) and (max-width:1023px){
        :host {
          grid-template-columns: ${this.mdColumns};
        }
      }
      @media (min-width:1024px) {
        :host {
          grid-template-columns: ${this.columns};
        }
      }
    `);
    }
    render() {
        return (h(Host, { key: 'd9cea4713ac8941a9531be6df91467f455dd26e9', style: {
                maxWidth: this.maxWidth,
                columnGap: (this.gapColumn ? this.gapColumn : this.gap),
                rowGap: (this.gapRow ? this.gapRow : this.gap),
                backgroundColor: this.backgroundColor
            } }, this.desktopStyle && h("style", { key: '5105680343fb3b56b94db0ce05796685690c3b64', scoped: true }, this.desktopStyle), h("slot", { key: '3382bb21a0e42ea8c085aabbd554d20b8235f34f' })));
    }
};
CradlepointContainer.style = CradlepointContainerStyle0;

const containerStackCss = ":host{display:flex;flex-grow:1;flex-direction:column;margin-left:auto;margin-right:auto;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular')}";
const CradlepointContainerStackStyle0 = containerStackCss;

const ContainerStack = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.maxWidth = 1024;
        this.paddingTop = 0;
        this.paddingBottom = this.paddingTop;
    }
    render() {
        return (h(Host, { key: 'baddc3209c7141447a661a37390cb9f2e42b42d5', style: {
                maxWidth: `${this.maxWidth}px`,
                paddingTop: `${this.paddingTop}px`,
                paddingBottom: `${this.paddingBottom}px`
            } }, h("slot", { key: '3ad7f9a5919fe9870f4b4a2ba3b3172579ced17b' })));
    }
};
ContainerStack.style = CradlepointContainerStackStyle0;

const ctaWithHoverBgCss = ":host{font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular')}a{display:flex;flex-direction:column;align-items:center;margin-bottom:40px;padding:2rem;border:3px solid rgba(50,62,72,1);background-color:rgba(26,196,118,0);transition:all 150ms ease-in;overflow:hidden;cursor:pointer;color:var(--cwc-color-accent-b, #008EAA);text-decoration:none !important}a:hover{border:3px solid rgba(50,62,72,0);color:var(--cwc-color-white, #fff);background-color:rgba(26,196,118,1)}a>*{margin-top:0 !important;margin-bottom:0 !important}.content{margin-left:0;margin-right:auto}.content h2{font-family:var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');font-weight:400;font-size:28px !important;line-height:38.64px;border:unset !important;padding:unset !important;margin-top:0;margin-bottom:0}img{border-radius:0;margin-top:auto !important;margin-bottom:auto !important}.icon{width:64px;height:auto;border-radius:0}.arrow{width:48px;height:auto;transition:all 150ms ease-in}a:hover .arrow{transform:translateX(15px)}@media screen and (min-width: 640px){a{flex-direction:row}a .icon{margin-right:2rem}a .arrow{margin-left:2rem}}";
const CradlepointCtaWithHoverBgStyle0 = ctaWithHoverBgCss;

const CtaWithHoverBg = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.link = undefined;
        this.newTab = false;
        this.icon = 'https://img.cradlepoint.com/auto-mapping-folder/2023/08/blog-cta-icon@2x.png';
        this.text = 'Learn more ways a business can incorporate failover into their operations in our Failover White Paper.';
        this.arrow = 'https://img.cradlepoint.com/auto-mapping-folder/2023/08/blog-cta-arrow@2x.png';
    }
    render() {
        return (h(Host, { key: '7a5bc1e8fc080f87c1b6af39a2a0d1ed79cc9b16' }, h("a", { key: 'ccfc229db0ab794552c4b098e9a420a512c17480', href: this.link ? this.link : '#', target: this.newTab ? '_blank' : '_self' }, h("img", { key: '79f1c803e51cca2c96a10d090ab089334476f918', class: "icon", src: this.icon }), h("div", { key: 'c02449c151035c04a1a0850f6596afffe5062f00', class: "content" }, h("h2", { key: 'fffad9f594ef270465113a1c60c7510c5ebb789f' }, this.text)), h("img", { key: 'e0c17d42fb4e2d1546c56660756fdd0ad0fcedf3', class: "arrow", src: this.arrow, alt: "cta arrow" }))));
    }
};
CtaWithHoverBg.style = CradlepointCtaWithHoverBgStyle0;

const fontawesomeSvgCss = ":host{display:block}";
const CradlepointFontawesomeSvgStyle0 = fontawesomeSvgCss;

const FontawesomeSvg = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.icons = {
            'facebook': h("svg", { xmlns: "http://www.w3.org/2000/svg", height: "16", width: "14", viewBox: "0 0 448 512" }, h("path", { d: "M64 32C28.7 32 0 60.7 0 96V416c0 35.3 28.7 64 64 64h98.2V334.2H109.4V256h52.8V222.3c0-87.1 39.4-127.5 125-127.5c16.2 0 44.2 3.2 55.7 6.4V172c-6-.6-16.5-1-29.6-1c-42 0-58.2 15.9-58.2 57.2V256h83.6l-14.4 78.2H255V480H384c35.3 0 64-28.7 64-64V96c0-35.3-28.7-64-64-64H64z" })),
            'instagram': h("svg", { xmlns: "http://www.w3.org/2000/svg", height: "16", width: "14", viewBox: "0 0 448 512" }, h("path", { d: "M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z" })),
            'linkedin': h("svg", { xmlns: "http://www.w3.org/2000/svg", height: "16", width: "14", viewBox: "0 0 448 512" }, h("path", { d: "M100.3 448H7.4V148.9h92.9zM53.8 108.1C24.1 108.1 0 83.5 0 53.8a53.8 53.8 0 0 1 107.6 0c0 29.7-24.1 54.3-53.8 54.3zM447.9 448h-92.7V302.4c0-34.7-.7-79.2-48.3-79.2-48.3 0-55.7 37.7-55.7 76.7V448h-92.8V148.9h89.1v40.8h1.3c12.4-23.5 42.7-48.3 87.9-48.3 94 0 111.3 61.9 111.3 142.3V448z" })),
            'phone-volume': h("svg", { xmlns: "http://www.w3.org/2000/svg", height: "16", width: "16", viewBox: "0 0 512 512" }, h("path", { d: "M280 0C408.1 0 512 103.9 512 232c0 13.3-10.7 24-24 24s-24-10.7-24-24c0-101.6-82.4-184-184-184c-13.3 0-24-10.7-24-24s10.7-24 24-24zm8 192a32 32 0 1 1 0 64 32 32 0 1 1 0-64zm-32-72c0-13.3 10.7-24 24-24c75.1 0 136 60.9 136 136c0 13.3-10.7 24-24 24s-24-10.7-24-24c0-48.6-39.4-88-88-88c-13.3 0-24-10.7-24-24zM117.5 1.4c19.4-5.3 39.7 4.6 47.4 23.2l40 96c6.8 16.3 2.1 35.2-11.6 46.3L144 207.3c33.3 70.4 90.3 127.4 160.7 160.7L345 318.7c11.2-13.7 30-18.4 46.3-11.6l96 40c18.6 7.7 28.5 28 23.2 47.4l-24 88C481.8 499.9 466 512 448 512C200.6 512 0 311.4 0 64C0 46 12.1 30.2 29.5 25.4l88-24z" })),
            'x-twitter': h("svg", { xmlns: "http://www.w3.org/2000/svg", height: "16", width: "16", viewBox: "0 0 512 512" }, h("path", { d: "M389.2 48h70.6L305.6 224.2 487 464H345L233.7 318.6 106.5 464H35.8L200.7 275.5 26.8 48H172.4L272.9 180.9 389.2 48zM364.4 421.8h39.1L151.1 88h-42L364.4 421.8z" })),
            'youtube': h("svg", { xmlns: "http://www.w3.org/2000/svg", height: "16", width: "18", viewBox: "0 0 576 512" }, h("path", { d: "M549.7 124.1c-6.3-23.7-24.8-42.3-48.3-48.6C458.8 64 288 64 288 64S117.2 64 74.6 75.5c-23.5 6.3-42 24.9-48.3 48.6-11.4 42.9-11.4 132.3-11.4 132.3s0 89.4 11.4 132.3c6.3 23.7 24.8 41.5 48.3 47.8C117.2 448 288 448 288 448s170.8 0 213.4-11.5c23.5-6.3 42-24.2 48.3-47.8 11.4-42.9 11.4-132.3 11.4-132.3s0-89.4-11.4-132.3zm-317.5 213.5V175.2l142.7 81.2-142.7 81.2z" }))
        };
        this.icon = undefined;
        this.color = 'var(--cwc-color-secondary-900, #242424)';
        this.size = '16px';
    }
    render() {
        return (h(Host, { key: 'd15b1231a1a5aa0ed20537d9a947802dd28497b9' }, h("style", { key: '15d3309f05024ef85de0c076305d8d3cbfe38dd8', scoped: true }, `:host svg {
            width: ${this.size};
            height: ${this.size};
          }`, `:host svg path {
            fill: ${this.color};
          }`), this.icon && this.icons[this.icon]));
    }
};
FontawesomeSvg.style = CradlepointFontawesomeSvgStyle0;

const cradlepointFooterCss = "* {\n  box-sizing: border-box;\n}\n\n:host {\n  display: block;\n  background-repeat: no-repeat;\n  background-size: cover;\n  background-position: center;\n  color: var(--cwc-color-white, #fff);\n  font-family: var(--cwc-font-sans-serif-regular, 'Eina01-Regular');\n  text-align: center;\n}\n\na {\n  color: inherit;\n  text-decoration: none;\n}\n\n.container {\n  max-width: 1680px;\n  margin-right: auto;\n  margin-left: auto;\n}\n\n.row {\n  display: flex;\n  flex-direction: column;\n  padding: 54px 20px;\n}\n\n.row-1__home-link {\n  display: block;\n  width: 335px;\n  margin: 0 auto;\n}\n\n.row-1__home-link img {\n  width: 100%;\n}\n\n.row-1__home-link p {\n  margin-top: 0;\n  color: var(--cwc-color-white, #fff);\n  font-size: 32px;\n  font-family: var(--cwc-font-sans-serif-light);\n}\n\n.row-1__social-media {\n  display: none;\n}\n\n.row-1__contact-wrapper {\n  display: block;\n  max-width: 335px;\n  margin: 2.50rem auto 0;\n  background-color: rgba(255,255,255,0.1);\n  border: 2px solid rgba(255,255,255,0.2);\n  border-radius: 10px;\n}\n\n.row-1__phone-icon {\n  display: none;\n}\n\n.row-1__title {\n  text-transform: uppercase;\n  font-size: 1rem;\n}\n\n.row-1__title span {\n  display: block;\n  font-size: 32px;\n  font-family: var(--cwc-font-sans-serif-light, 'Eina01-Light');\n  font-weight: 400;\n}\n\n.row-1__linkgroup-title::before {\n  display: var(--cwc-footer-linkgroup-title-before, none);\n  width: 20px;\n  height: 6px;\n  background-color: var(--cwc-color-primary, #FFAD00);\n  border-radius: 6px;\n  content: \" \";\n  margin: 0 auto -10px;\n}\n\n.row-1__linkgroup-title {\n  font-size: 24px;\n  line-height: 1;\n  font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n  font-weight: 400;\n\n  p {\n    margin-top: var(--cwc-footer-linkgroup-title-margin-top, 0);\n  }\n}\n\n.row-1__linkgroup {\n  list-style-type: none;\n  padding-left: 0;\n  font-size: 16px;\n  line-height: 24px;\n}\n\n.row-1__linkgroup li {\n  margin-bottom: 10px;\n}\n\n.row-1__linkgroup a {\n  transition: opacity 100ms;\n  opacity: 0.6;\n}\n\n.row-1__linkgroup a:hover {\n  opacity: 1.0;\n  text-decoration: underline;\n}\n\n.row-2 {\n  background-color: var(--cwc-color-secondary-900, #414e57);\n}\n\n.row-2__address,\n.row-2__address h6 {\n  font-size: 1rem;\n}\n\n.row-2__address h6 {\n  margin: 1rem 0 0;\n}\n\n.row-2__address address {\n  margin-top: 0.50rem;\n  font-style: normal;\n  color: var(--cwc-color-secondary-400, #A3AAAD);\n}\n\n.row-2__branches {\n  display: flex;\n  flex-direction: column;\n  gap: 0.75rem;\n  margin-top: 1.50rem;\n  font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n  font-weight: 400;\n}\n\n.row-2__social-media {\n  display: grid;\n  grid-template-columns: repeat(5, 1fr);\n  margin: 4rem auto 0;\n  padding: 0;\n  list-style-type: none;\n  gap: 1.5rem;\n}\n\n.row-2__copyright {\n  color: var(--cwc-color-white, #fff);\n  font-size: 12px;\n  text-align: center;\n  margin-top: 2rem;\n}\n\n.row-2__copyright p:last-child {\n  display: flex;\n  flex-direction: column;\n  line-height: 1.5;\n  gap: 1em;\n}\n\n.row-2__copyright span.d-none.d-md-inline {\n  display: none;\n}\n\n.row-3__copyright {\n  display: none;\n}\n\n\n@media (min-width:768px) {\n  .row-1__home-link-contact {\n    display: flex;\n    justify-content: space-between;\n    gap: 2rem;\n  }\n\n  .row-1__home-link {\n    text-align: left;\n  }\n\n  .row-1__home-link,\n  .row-1__contact-wrapper {\n    margin: unset;\n  }\n\n  .row-1__contact-wrapper {\n    width: 300px;\n    margin-top: 0;\n  }\n\n  .row-1__linkgroups {\n    display: grid;\n    grid-template-columns: repeat(3, 1fr);\n    gap: 2rem;\n    text-align: left;\n  }\n\n  .row-1__linkgroup-title::before {\n    margin: 0 auto -10px 0;\n  }\n\n  .row-2__location {\n    display: flex;\n    justify-content: space-between;\n    width: 100%;\n    max-width: 600px;\n    margin-left: auto;\n    margin-right: auto;\n  }\n\n  .row-2__address {\n    width: 165px;\n    text-align: left;\n  }\n\n  .row-2__address h6 {\n    margin-top: unset;\n  }\n\n  .row-2__branches {\n    margin-top: unset;\n    text-align: left;\n  }\n\n  .row-2__copyright p {\n    margin-top: unset;\n    margin-bottom: unset;\n  }\n\n  .row-2__copyright p:last-child,\n  .row-2__copyright span.d-none.d-md-inline {\n    display: inline-block;\n  }\n}\n\n@media (min-width: 1024px) {\n  .container {\n    padding: 150px 50px 100px;\n    display: grid;\n    grid-template-columns: auto 165px;\n    gap: 4.3%;\n  }\n\n  .row {\n    padding: 0;\n  }\n\n  .row-1__home-link-contact,\n  .row-2,\n  .row-2__location {\n    display: flex;\n    flex-direction: column;\n  }\n\n  .row-1 {\n    display: grid;\n    grid-template-columns: clamp(270px, 36.3%, 360px) auto;\n    gap: 4.3%;\n  }\n\n  .row-1__home-link-contact {\n    flex-shrink: 0;\n    height: fit-content;\n  }\n\n  .row-1__home-link {\n    width: 100%;\n  }\n\n  .row-1__contact-wrapper {\n    width: 100%;\n    display: flex;\n    padding: 1rem;\n    align-items: center;\n  }\n\n  .row-1__phone-icon {\n    display: inline-block;\n    margin-right: 1rem;\n  }\n\n  .row-1__title {\n    margin: 0;\n    text-align: left;\n    font-size: clamp(14px, 1.36vw, 17px);\n    font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n    font-weight: 400;\n  }\n\n  .row-1__title span {\n    font-size: clamp(20px, 1.95vw, 28px);\n  }\n\n  .row-1__social-media {\n    display: flex;\n    gap: 1.5rem;\n    list-style-type: none;\n    padding-left: 0;\n  }\n\n  .row-1__linkgroups {\n    gap: 4.3%;\n  }\n\n  .row-1__linkgroup-title {\n    margin-top: 0;\n  }\n\n  .row-2 {\n    background-color: transparent;\n  }\n\n  .row-2__branches {\n    margin-top: 2rem;\n  }\n\n  .row-2__social-media,\n  .row-2__copyright {\n    display: none;\n  }\n\n  .row-3__copyright {\n    display: flex;\n    flex-direction: column;\n    grid-column: span 2;\n    text-align: left;\n    font-size: 12px;\n  }\n\n  .row-3__copyright p {\n    margin-top: 0;\n  }\n}\n\n@media (min-width: 1366px) {\n  .container {\n    gap: 6%;\n  }\n\n  .row-1 {\n    gap: 8%;\n  }\n}\n";
const CradlepointFooterStyle0 = cradlepointFooterCss;

const CradlepointFooter = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.loaded = false;
        this.hotline = null;
        this.socialMedia = null;
        this.nav = null;
        this.mapSection = null;
        this.copyright = null;
        this.isEricssonTheme = false;
        this.json = undefined;
        this.logo = 'https://img.cradlepoint.com/auto-mapping-folder/2022/04/cradlepoint-ericsson-logo-footer-378x70-1.png';
        this.backgroundImage = 'https://img.cradlepoint.com/auto-mapping-folder/2020/04/footbg.webp';
    }
    async componentWillLoad() {
        if (this.json) {
            return fetch(this.json)
                .then(response => response.json())
                .then(data => {
                this.isEricssonTheme = document.body.classList.contains('ericsson-theme');
                // console.log(data);
                this.hotline = data.hot_line;
                this.socialMedia = data.social_media;
                this.nav = data.link_columns.columns;
                this.mapSection = data.map_section;
                this.copyright = data.copyright;
                this.loaded = true;
            })
                .catch(error => console.log(error));
        }
        return null;
    }
    render() {
        return (h(Host, { key: '1549a7645863a3bc4250f595efa5883860529777', class: this.loaded ? 'loaded' : '', style: {
                backgroundImage: this.isEricssonTheme ? 'none' : `url(${this.backgroundImage})`,
                backgroundColor: 'var(--cwc-footer-bg-color)'
            } }, h("div", { key: '0545abd1b15d8fa8046b0cdae59ff76cd1b2ed6b', class: "container" }, h("div", { key: '3b1a344cd5f6392d75147cca88c1a1ed0abc7411', class: "inner-container row row-1" }, this.loaded && (h(Fragment, { key: '916d1c2dc3453f0f84c5850fa606b94f8eab40cf' }, h("div", { key: 'a9fb512c7486692c35c7fbde446188aee440e6e1', class: "row-1__home-link-contact" }, h("a", { key: '90027bf6c122760d37c7797748a5c1f9b325f04a', class: "row-1__home-link", href: '/' }, this.isEricssonTheme
            ? h("p", null, "Ericsson Cradlepoint")
            : (this.logo && h("img", { src: this.logo, alt: "CradlePoint Logo" }))), this.hotline && (h("a", { key: 'bc0a5b7f73a435f130ba67f61c9e7c7a564b5fd9', href: "tel:1-855-813-3385", class: "row-1__contact-wrapper" }, h("cradlepoint-fontawesome-svg", { key: '68434425780e68a21e949ea44457b0eb620f7f3c', class: "row-1__phone-icon", size: "32px", color: "white", icon: "phone-volume" }), h("h5", { key: '4e078df94dcf789d913084ed27c13055585d4391', class: "row-1__title font-bold color-white uppercase", innerHTML: `${this.hotline.label} <span>${this.hotline.phone_no}</span>` }))), this.socialMedia && (h("ul", { key: '8a01fb7807a950886faa8224f7adba7b3216a930', class: "row-1__social-media" }, this.socialMedia.map((socialMediaItem) => {
            return (h("a", { href: socialMediaItem.link.url, title: `Cradlepoint ${socialMediaItem.item}`, target: "_blank", class: `cs cs-${socialMediaItem.item}`, style: { color: 'white' } }, h("cradlepoint-fontawesome-svg", { icon: socialMediaItem.item, color: "white", size: "32px" })));
        })))), h("div", { key: '3f996d0926c7fca365c1023688ad643a552c249a', class: "row-1__linkgroups" }, this.nav && this.nav.map((column2Item) => {
            return (h("div", null, h("h4", { class: "row-1__linkgroup-title", innerHTML: column2Item.module[0].title }), column2Item.module[1].list && (h("ul", { class: "row-1__linkgroup" }, column2Item.module[1].list.map((column2ItemListItem) => {
                return (h("li", null, h("a", { href: column2ItemListItem.link.url, target: "_self" }, column2ItemListItem.link.title)));
            })))));
        }))))), h("div", { key: '966d0d4cbe26a3497bc587145fe83c9e3c61c578', class: "inner-container row row-2" }, this.mapSection && (h("div", { key: '9c7ef2e1501fa95e4d2f20c699052086675e6597', class: "row-2__location" }, h("img", { key: 'e846486ea874706e9599c780bb819f4423f2d87e', src: this.mapSection.image, width: "125", height: "64", class: "lazy row-2__map", alt: "Map" }), h("div", { key: 'f3bcf9caa65c43d00eda2ab98b47d344a9036cdb', class: "row-2__address" }, h("h6", { key: 'bb9160def73e185acdc5dc0db9d6760c9a221fdd', class: "font-bold" }, this.mapSection.label), h("address", { key: '1d1a1f39efbdd66dcbc11dd9d944610b8af3dd4c' }, this.mapSection.address)), this.mapSection.branches && (h("div", { key: 'b8862f94f0d72779c865834df378cb51cd058a00', class: "row-2__branches" }, this.mapSection.branches.map((branch) => {
            return (h("a", { class: "font-bold", href: branch.link.url, title: branch.link.title }, branch.link.title));
        }))))), this.socialMedia && (h("ul", { key: 'd00bf1c64e4a3c950c695da84fd616bf1eae85bb', class: "row-2__social-media" }, this.socialMedia.map((socialMediaItem) => {
            return (h("a", { href: socialMediaItem.link.url, title: `Cradlepoint ${socialMediaItem.item}`, target: "_blank", class: `cs cs-${socialMediaItem.item}`, style: { color: 'white' } }, h("cradlepoint-fontawesome-svg", { icon: socialMediaItem.item, color: "white", size: "32px" })));
        }))), this.copyright && h("div", { key: '0b631b252301e105ec22d26d7f710e11cac5bceb', class: "row-2__copyright", innerHTML: this.copyright.replace('{year}', new Date().getFullYear()) })), this.copyright && h("div", { key: 'd557e7fcc5726de9bbf5f9c41622394c0a11fb82', class: "row-3__copyright", innerHTML: this.copyright.replace('{year}', new Date().getFullYear()) }))));
    }
    get el() { return getElement(this); }
};
CradlepointFooter.style = CradlepointFooterStyle0;

const footerCtaCss = ":host{display:block;padding:4.375rem 1rem;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');font-weight:500;margin-left:auto;margin-right:auto}@media (min-width:768px){:host{padding:4.375rem 3.25rem}}@media (min-width:1024px){:host{padding:4.6875rem 3.5rem}}.left:first-child{margin-top:auto}";
const CradlepointFooterCtaStyle0 = footerCtaCss;

const CardCta = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.textColor = 'white';
        this.backgroundColor = 'var(--cwc-footer-cta-bg, #0FC373)';
        this.columns = undefined;
        this.fontSize = '1.25rem';
        this.gap = null;
        this.gapColumn = this.gap ? this.gap : null;
        this.gapRow = this.gap ? this.gap : null;
        this.maxWidth = 'unset';
        this.contentWidth = '1350px';
    }
    render() {
        return (h(Host, { key: '8df68ba7913d4eab278740cb8b20a197c918cd12', style: {
                backgroundColor: this.backgroundColor,
                color: this.textColor,
                maxWidth: this.maxWidth
            } }, h("cradlepoint-container", { key: '08e0bbec23a3ad3550c9cdae2330ab95b9ca38e2', columns: this.columns, style: {
                fontSize: this.fontSize
            }, "gap-column": this.gapColumn, "gap-row": this.gapRow, maxWidth: this.contentWidth }, h("slot", { key: '29f310a9f12cc2518d7cd2360215d0f594c17861' }))));
    }
};
CardCta.style = CradlepointFooterCtaStyle0;

const cradlepointHeroCss = ":host{display:grid;box-sizing:border-box;font-family:var(--cwc-sans-serif-regular, 'EricssonHilda-Regular');font-size:20px;color:var(--cwc-color-white, #FAFAFA)}::slotted(*){text-wrap:balance}.tint{padding:6.25rem 1.125rem;box-sizing:border-box;display:flex;flex-direction:column;justify-content:center}.content-container.center{margin:0 auto}.content-container.right{margin:0 0 0 auto}@media (min-width: 768px){.tint{padding:6.25rem 2.4rem}}@media (min-width: 1024px){.tint{padding:6.25rem 5rem}}";
const CradlepointHeroStyle0 = cradlepointHeroCss;

const CradlepointHero = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.backgroundImage = undefined;
        this.backgroundPosition = 'right';
        this.backgroundSize = 'cover';
        this.gradientStartColor = 'rgba(0, 0, 0, 0.65)';
        this.gradientMiddleColor = 'rgba(0, 0, 0, 0.32)';
        this.gradientEndColor = 'rgba(0, 0, 0, 0)';
        this.contentWidth = '1024px';
        this.contentAlign = 'left';
        this.minHeight = '600px';
    }
    render() {
        let gradientBg = `linear-gradient(${this.contentAlign == 'right' ? '270deg' : '90deg'}, ${this.gradientStartColor} 0%, ${this.gradientMiddleColor} 50%, ${this.gradientEndColor} 100%)`;
        if (this.contentAlign == 'center') {
            gradientBg = `linear-gradient(90deg, ${this.gradientEndColor} 0%, ${this.gradientMiddleColor} 25%, ${this.gradientStartColor} 50%, ${this.gradientMiddleColor} 75%, ${this.gradientEndColor} 100%)`;
        }
        return (h(Host, { key: '14c3814bfaa26124936cce8cc3b0ac00dd8f1b0c', style: {
                backgroundImage: `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
                minHeight: this.minHeight
            } }, h("div", { key: '7e3aa67cf30ff989e022ea4f4891a042f4d0d8da', class: "tint", style: {
                background: gradientBg,
            } }, h("div", { key: 'f08b28f8a51a34da42e2064f57954deadcffcadc', class: `content-container ${this.contentAlign}`, style: {
                maxWidth: this.contentWidth,
                textAlign: this.contentAlign
            } }, h("slot", { key: 'b981074cbf29a494eddbe38fb060691db07ea6f3' })))));
    }
};
CradlepointHero.style = CradlepointHeroStyle0;

const heroACss = ":host{display:flex;flex-direction:column;justify-content:center;padding:1rem;box-sizing:border-box;font-family:var(--cwc-sans-serif-regular, 'Eina01-Regular')}@media screen and (min-width: 640px){:host{padding:1.5rem}}@media screen and (min-width: 768px){:host{padding:2rem}}@media screen and (min-width: 1024px){:host{padding:3rem}}@media screen and (min-width: 1280px){:host{padding:4rem}}@media screen and (min-width: 1366px){:host{padding:5rem}}@media screen and (min-width: 1640px){:host{padding:6rem}}::slotted([slot=\"title\"]),::slotted([slot=\"sub-title\"]){font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold');font-weight:normal;margin:0}::slotted([slot=\"title\"]){font-size:48px !important;line-height:1.1 !important;color:var(--cwc-hero-title-color, #fff)}::slotted([slot=\"sub-title\"]){font-size:23px !important;line-height:1.25 !important;color:var(--cwc-hero-sub-title-color, #FFAD00)}@media (min-width:768px){::slotted([slot=\"title\"]){font-size:56px !important}::slotted([slot=\"sub-title\"]){font-size:26px !important}}@media (min-width:1024px){::slotted([slot=\"title\"]){font-size:64px !important}::slotted([slot=\"sub-title\"]){font-size:29px !important}}@media (min-width:1280px){::slotted([slot=\"title\"]){font-size:72px !important}::slotted([slot=\"sub-title\"]){font-size:32px !important}}";
const CradlepointHeroAStyle0 = heroACss;

const HeroA = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.titleYellow = undefined;
        this.titleWhite = undefined;
        this.titleMaxWidth = '800px';
        this.textAlign = 'left';
        this.backgroundImage = undefined;
        this.backgroundPosition = 'right';
        this.backgroundSize = 'cover';
        this.paddingTop = '0';
        this.height = '640px';
    }
    render() {
        return (h(Host, { key: 'aaaa22446093a6ac62953a3ca808835d3f1e8b6d', style: {
                alignItems: (this.textAlign == 'left') ? 'flex-start' : (this.textAlign == 'right') ? 'flex-end' : 'center',
                minHeight: this.height,
                backgroundImage: `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
            } }, h("div", { key: '3efedca710e5a89bc5e4686c8a09926e5f0ee95d', class: "title-container", style: {
                maxWidth: this.titleMaxWidth,
                paddingTop: this.paddingTop,
                textAlign: this.textAlign,
            } }, h("slot", { key: '49c25f036d1cadd44eab42d9bae5a94c987c1960', name: "sub-title" }), h("slot", { key: 'af4122f51b0bf061d64a18f8b1f4df3b272038bb', name: "title" })), h("slot", { key: '93bb98852ef19bea697df7c465fe08aa04bc3f1d', name: "content-container" })));
    }
};
HeroA.style = CradlepointHeroAStyle0;

const heroDCss = ":host,:host>div{display:flex;flex-direction:column;justify-content:center;align-items:center}:host{color:var(--cwc-hero-title-color, #fff);background-repeat:no-repeat;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular')}div{width:100%;max-width:1070px;text-align:center}h2{margin-top:auto;margin-bottom:32px;font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold');font-weight:500;font-size:64px;line-height:72px}h2>span{color:var(--cwc-hero-sub-title-color, #FFAD00)}p{font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');font-size:36px;line-height:39px;max-width:940px;margin-top:0;margin-bottom:auto}";
const CradlepointHeroDStyle0 = heroDCss;

const HeroD = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.titleWhiteText = undefined;
        this.titleYellowText = undefined;
        this.description = undefined;
        this.backgroundImage = undefined;
        this.backgroundPosition = 'center';
        this.backgroundSize = 'cover';
        this.paddingTop = '0';
        this.height = '840px';
    }
    render() {
        return (h(Host, { key: 'a517880e1bf42cff3d5efe757f4fc1b9f189fd2e', style: {
                height: this.height,
                paddingTop: this.paddingTop,
                backgroundImage: this.backgroundImage && `url(${this.backgroundImage})`,
                backgroundPosition: this.backgroundPosition,
                backgroundSize: this.backgroundSize,
            } }, h("div", { key: '83da062e027e46d7cbf42f2c713b8e5ec7bf72a0' }, h("h2", { key: 'a5aebe738b11d7a57170083a9e40ec6b894e9cb4' }, this.titleWhiteText, h("span", { key: '5d86806ed3bb942d6a8139a537b842c7231a5491' }, this.titleYellowText)), this.description && h("p", { key: 'e3ea58afce254c6da2601606e6e106b6c357d44f' }, this.description))));
    }
};
HeroD.style = CradlepointHeroDStyle0;

const hotspotItemCss = "*{box-sizing:border-box}:host{display:none}@media (min-width: 1025px){:host{position:absolute;display:block;cursor:pointer}}.overlay{display:flex;flex-direction:column;width:100%;height:100%;opacity:0;overflow:hidden;position:relative;pointer-events:none}:host([data-active='true']) .overlay{position:absolute;z-index:100;opacity:1;overflow:visible;pointer-events:initial}.overlay>*:not(.close-button){position:absolute}.popup{display:flex;flex-direction:column;width:100%;height:100%}.close-button{position:absolute;right:0;z-index:2;display:grid;place-items:center;width:24px;height:24px;margin-right:0;margin-left:auto;border:1px solid rgba(255,255,255,0.5);border-top-right-radius:6px;outline:0;color:var(--cwc-color-white, #fff);background-color:var(--cwc-color-red, #ff3232);cursor:pointer}.close-button svg path{fill:var(--cwc-color-white, #fff)}.top-left{top:0;left:0}.top-right{top:0;right:0}.bottom-left{bottom:0;left:0}.bottom-right{bottom:0;right:0}";
const CradlepointHotspotItemStyle0 = hotspotItemCss;

const HotspotItem = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.iconSVG = h("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 384 512" }, h("path", { d: "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z" }));
        this.toggleOverlay = () => {
            let host = this.host;
            let parent = host.parentNode;
            let allHotspots = parent.querySelectorAll('cradlepoint-hotspot-item');
            let card = host.querySelector('cradlepoint-card-simple-text');
            let popup = host.shadowRoot.querySelector('.popup');
            if (host.dataset.active == 'false') {
                allHotspots.forEach((hotspot) => {
                    hotspot.dataset.active = 'false';
                });
                host.dataset.active = 'true';
                popup.style.width = `${card.clientWidth}px`;
                popup.style.height = `${card.clientHeight}px`;
            }
            else {
                host.dataset.active = 'false';
            }
        };
        this.x = 0;
        this.y = 0;
        this.width = 0;
        this.height = 0;
        this.popupWidth = 400;
        this.popupAnchor = 'top-left';
    }
    render() {
        return (h(Host, { key: '0df642f584f9a1d73c2f7c106ecc90be543d5e62', style: {
                left: `${this.x}cqw`,
                top: `${this.y}cqw`,
                width: `${this.width}cqw`,
                height: `${this.height}cqw`,
            }, onMouseEnter: this.toggleOverlay, onMouseLeave: this.toggleOverlay, "data-active": "false" }, h("div", { key: '479e95465ea1c91054df1ce190d333d2203645a3', class: "overlay" }, h("div", { key: '26dd2ab662fc5c4e940928a76642bb14b590c8eb', class: `popup ${this.popupAnchor}`, style: { minWidth: `${this.popupWidth}px` } }, h("slot", { key: '4f6ef21a1ad6ce4765b897097a80d67681dfecf2' })))));
    }
    get host() { return getElement(this); }
};
HotspotItem.style = CradlepointHotspotItemStyle0;

const hotspotsCss = ":host{position:relative;display:block;background-repeat:no-repeat;background-size:cover;aspect-ratio:auto;flex-shrink:0;container-type:inline-size}";
const CradlepointHotspotsStyle0 = hotspotsCss;

const CardHotspots = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.loaded = false;
        this.style = {};
        this.getBGImageDimensions = (imageURL) => {
            return new Promise((resolve, reject) => {
                let image = new Image();
                image.onload = () => resolve({ width: image.naturalWidth, height: image.naturalHeight });
                image.onerror = reject;
                image.src = imageURL;
            });
        };
        this.backgroundImage = undefined;
    }
    async componentWillLoad() {
        if (this.backgroundImage) {
            await this.getBGImageDimensions(this.backgroundImage)
                .then((dimensions) => {
                this.style = Object.assign(Object.assign({}, this.style), { aspectRatio: `${dimensions.width}/${dimensions.height}`, backgroundImage: `url(${this.backgroundImage})` });
                this.loaded = true;
            });
        }
        else {
            this.loaded = true;
        }
    }
    render() {
        return (this.loaded && h(Host, { key: 'f9a3f12faa2a228e484c3cf6a0832fb314595dc6', style: this.style }, h("slot", { key: '45a5db279fbf83fb5ada2e1c5dee0d9645421049' })));
    }
    get host() { return getElement(this); }
};
CardHotspots.style = CradlepointHotspotsStyle0;

const marketoFormCss = ":host{display:block}";
const CradlepointMarketoFormStyle0 = marketoFormCss;

const MarketoForm = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.domain = 'info.cradlepoint.com';
        this.marketoId = '473-ZZR-267';
        this.scriptSrc = `${this.domain}/js/forms2/js/forms2.min.js`;
        this.formId = undefined;
    }
    componentDidLoad() {
        (async (window) => {
            const marketoScript = window.document.querySelector(`script[src="//${this.scriptSrc}"]`);
            if (!marketoScript) {
                const script = window.document.createElement('script');
                script.src = `//${this.scriptSrc}`;
                window.document.body.appendChild(script);
            }
            const form = window.document.createElement('form');
            form.id = `mktoForm_${this.formId}`;
            this.host.appendChild(form);
            const componentInterval = setInterval(() => {
                if (window['MktoForms2']) {
                    window['MktoForms2'].loadForm(`//${this.domain}`, `${this.marketoId}`, `${this.formId}`);
                    clearInterval(componentInterval);
                }
            }, 100);
        })(window);
    }
    render() {
        return (h(Host, { key: '5f9f843697062a690ab0417fdb21e5c10ec577dd' }, h("slot", { key: '870f057f2b5286f646161dd0ec74ede32b3303ad' })));
    }
    get host() { return getElement(this); }
};
MarketoForm.style = CradlepointMarketoFormStyle0;

function formatHREF(domain = null, href = null) {
    if (href) {
        href = href.trim();
        href.endsWith('%20') && (href = href.slice(0, -3));
        if (!href.includes(domain) && !href.startsWith('http') && !href.includes('tel:')) {
            href = `https://${domain}${!href.startsWith('/') ? '/' : ''}${href}`;
        }
        !href.includes('?filter') && !href.includes('tel:') && !href.endsWith('/') && (href = `${href}/`);
        return href;
    }
    return '#';
}

const navLangCss = "*{box-sizing:border-box}:host{position:absolute;top:0;display:flex;flex-direction:column;align-items:center;width:100vw;height:100vh;overflow-y:scroll;padding-top:60px;color:var(--cwc-color-white, #fff);background-repeat:no-repeat;background-position:100% 0;background-color:var(--cwc-color-secondary, #333F48)}:host(.hidden){display:none}.title-container{position:relative;margin-bottom:50px;padding:0 24px;text-align:center}.button-close{display:grid;place-items:center;width:54px;height:54px;margin-left:auto;margin-right:auto;background-color:transparent;border-radius:100%;border:3px solid rgba(173,178,181,0.3);cursor:pointer}.button-close svg{width:18px;height:18px}.button-close svg path{fill:var(--cwc-color-white, #fff)}.title{margin-top:40px;font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold');font-size:24px;font-weight:400}.description{color:var(--cwc-color-secondary-400, #A3AAAD)}.regions{width:100%;max-width:1140px;padding:0 24px;text-align:center}.region{margin-bottom:30px}.region-title{margin:0;font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold');font-weight:400;font-size:24px;line-height:32px;color:var(--language-region-color);cursor:pointer}.region-title span{display:inline-block;width:16px;height:32px;margin-left:8px;pointer-events:none}.region-title[data-open=\"true\"] span{transform:rotate(180deg)}.region-title svg{pointer-events:none}.countries{height:0;overflow-y:hidden;list-style-type:none;margin-top:8px;padding:0}.region-title[data-open=\"true\"]+.countries{height:unset}.country{display:flex;flex-direction:column;margin-top:0}.country:not(:first-child){margin-top:15px}.country-name{color:var(--cwc-color-secondary-050, #F2F2F2);font-family:var(--cwc-font-sans-serif-bold, 'Eina01-Bold');font-weight:400;font-size:16px;margin-bottom:0;line-height:1.2}.languages{display:flex;justify-content:center;color:var(--cwc-color-secondary-400, #A3AAAD) !important;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');font-size:16px;line-height:1.2}.language{margin-top:4px}.language,.language:visited{color:var(--cwc-color-secondary-400, #A3AAAD) !important;text-decoration:none}.language:hover{text-decoration:underline}.additional-details{width:100%;margin-top:30px;border:2px solid var(--cwc-color-secondary-800, #5A6973);border-left:0;border-right:0;font-size:14px;text-align:left;color:var(--cwc-color-secondary-600, #7B858B)}.additional-details-inner{max-width:1140px;margin-left:auto;margin-right:auto;padding:10px 24px}.additional-details a,.additional-details a:visited{color:var(--cwc-color-secondary-400, #A3AAAD)}@media (min-width: 768px){:host{height:fit-content}.title-container{text-align:left;padding:0 148px 0 48px}.button-close{position:absolute;top:0;right:48px}.title-container{width:100%;max-width:1140px;margin-left:auto;margin-right:auto}.title{margin:0;font-size:36px}.description{font-size:20px;line-height:1.5}.regions{display:grid;grid-template-columns:repeat(5, 1fr);gap:2rem;padding:0 48px;text-align:left}.region-group:last-child{grid-column:span 3;max-width:600px}.region-title span{display:none}.countries{height:unset;overflow-y:unset}.region-group:last-child .countries{display:grid;grid-template-columns:repeat(3, 1fr)}.languages{justify-content:left}.country{margin-top:15px}.additional-details-inner{padding-left:48px;padding-right:48px}}@media (min-width: 1025px){.title-container{padding-left:64px;padding-right:164px}.button-close{right:64px}.regions,.additional-details-inner{padding-left:64px;padding-right:64px}}";
const CradlepointNavLangStyle0 = navLangCss;

const NavLang = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.jsonData = {
            title: 'Discover Cradlepoint near you',
            description: "We have dedicated teams in regions the world over. We're here to answer your questions and connect you with the perfect Wireless WAN solution for your unique business needs. ",
            "background-image": 'https://img.cradlepoint.com/auto-mapping-folder/2021/02/world-map-dotted.png',
            columns: [{}],
            additional_details: '',
            excluded_slugs: '',
            slugs: ''
        };
        this.hideLanguageNav = () => {
            this.host.classList.add('hidden');
            let regionTitles = this.host.shadowRoot.querySelectorAll('.region-title');
            regionTitles === null || regionTitles === void 0 ? void 0 : regionTitles.forEach((regionTitle) => (regionTitle.dataset.open = 'false'));
            if (document.querySelector('body #modal-backDrop')) {
                document.querySelector('body #modal-backDrop').remove();
            }
        };
        this.toggleRegions = (event) => {
            let target = event.target;
            let regionTitles = this.host.shadowRoot.querySelectorAll('.region-title');
            regionTitles.forEach((regionTitle) => {
                regionTitle.dataset.open = 'false';
            });
            target.dataset.open = (target.dataset.open == 'false') ? 'true' : 'false';
        };
        this.domain = 'cradlepoint.com';
        this.json = undefined;
    }
    async componentWillLoad() {
        if (this.json) {
            return fetch(this.json)
                .then(response => response.json())
                .then(data => {
                let bgImage;
                if (data.intl_background_image) {
                    bgImage = data.intl_background_image;
                    bgImage.startsWith('/wp-content/uploads') && (bgImage = bgImage.replace('/wp-content/uploads', 'https://img.cradlepoint.com/auto-mapping-folder'));
                }
                this.jsonData = {
                    title: data.intl_title && data.intl_title,
                    description: data.intl_description && data.intl_description,
                    "background-image": bgImage && bgImage,
                    columns: data.intl_column && data.intl_column,
                    additional_details: data.intl_additional_details && data.intl_additional_details,
                    excluded_slugs: data.intl_excluded_slugs && data.intl_excluded_slugs,
                    slugs: data.intl_slugs && data.intl_slugs
                };
            })
                .catch(error => console.log(error));
        }
        return null;
    }
    handleResize() {
        clearTimeout(resizeTimeout);
        var resizeTimeout = setTimeout(() => {
            let regionTitles = this.host.shadowRoot.querySelectorAll('.region-title');
            if (window.innerWidth > 767) {
                regionTitles === null || regionTitles === void 0 ? void 0 : regionTitles.forEach((regionTitle) => (regionTitle.dataset.open = 'false'));
            }
        }, 100);
    }
    render() {
        return (this.jsonData && (h(Host, { key: 'cb20341dd8b85f9deba52a7ce9d2211293b3b588', style: {
                backgroundImage: `url(${this.jsonData['background-image']})`
            } }, h("div", { key: 'ed4748855fd4a223ef7e595c3b6061fb5360289d', class: "title-container" }, h("button", { key: 'b94fe9aebf0418fc4ff71e28683ab79fafb48823', class: "button-close", onClick: this.hideLanguageNav }, h("svg", { key: '4ed10173d9efbcd619309a3804dcc76d09b7e8cc', class: "svg-inline--fa fa-xmark", "aria-hidden": "true", focusable: "false", "data-prefix": "fas", "data-icon": "xmark", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 384 512", "data-fa-i2svg": "" }, h("path", { key: '9ae8035b95d3e6a304e7717e13a38bf8aab2fcf0', fill: "currentColor", d: "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z" }))), h("h2", { key: '3e7d23f9a21757ebe5f60d4d96b9a83e65e9d50d', class: "title" }, this.jsonData.title), h("p", { key: 'e1fe62db2ec5af88191f4e064b223139cd9b0634', class: "description" }, this.jsonData.description)), this.jsonData.columns && (h("div", { key: 'b534974287b11fc41a8d5ceee3f302bfa6752973', class: "regions" }, this.jsonData.columns.map((region) => {
            let module = region.module;
            return (h("div", { class: "region-group" }, module.map(countries => {
                return (h("div", { class: "region" }, h("h3", { class: "region-title", "data-open": "false", onClick: this.toggleRegions }, countries.label, h("span", null, h("svg", { xmlns: "http://www.w3.org/2000/svg", height: "16", width: "14", viewBox: "0 0 448 512" }, h("path", { fill: "currentColor", d: "M201.4 342.6c12.5 12.5 32.8 12.5 45.3 0l160-160c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L224 274.7 86.6 137.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l160 160z" })))), h("ul", { class: "countries" }, countries.languages.map((country) => {
                    return (country.country_languages && (h("li", { class: "country" }, h("span", { class: "country-name" }, country.country), h("div", { class: "languages" }, country.country_languages.map((language, index) => {
                        return h(Fragment, null, index !== 0 && h("span", null, "\u00A0\u2014\u00A0"), h("a", { href: formatHREF(this.domain, language.hreflang), class: "language", "data-page-slug": language.hreflang.replace('-', '_'), "data-id": language.link, "data-bg": "", "data-hreflang": language.hreflang }, h("span", null, language.language)));
                    })))));
                }))));
            })));
        }))), this.jsonData.additional_details && (h("div", { key: 'e3fba63e986af572b90d5be27be5286137da54d2', class: "additional-details" }, h("div", { key: '53a6f9c916431e918cee6dbbd85489b5b87e86f5', class: "additional-details-inner", innerHTML: this.jsonData.additional_details }))))));
    }
    get host() { return getElement(this); }
};
NavLang.style = CradlepointNavLangStyle0;

const navMainCss = ":host {\n  display:none;\n  position: absolute;\n  z-index: 1003;\n}\n\n* {\n  box-sizing: border-box;\n}\n\n:host(.loaded) {\n  width: 100%;\n  display: flex;\n  align-items: center;\n  background-color: var(--cwc-color-secondary, #333F48);\n  padding-right: 0rem;\n  padding-left: 0rem;\n  font-size: 1rem;\n  font-family: var(--cwc-font-sans-serif-regular, 'Eina01-Regular');\n  transition: all var(--cwc-transition-speed, 50ms) ease-in-out;\n}\n\na,\na:visited,\na:active {\n  color: inherit !important;\n}\n\n/* a:hover {\n  color: var(--cwc-color-accent-a, #009A44) !important;\n} */\n\n.list-none {\n  list-style-type: none;\n}\n\nheader {\n  width: 100%;\n  height: 60px;\n  background-color: var(--cwc-color-secondary, #333F48);\n}\n\n.header-inner {\n  display: flex;\n  align-items: center;\n  height: 60px;\n  padding: 5px 2rem;\n}\n\n.header-inner__left {\n  display: flex;\n  gap: 1rem;\n}\n\n.header__logo {\n  display: grid;\n  place-items: center;\n  text-decoration: none;\n}\n\n.header__logo img {\n  max-width: 100%;\n}\n\n.header-icons-wrapper {\n  display: none;\n  margin-left: auto;\n}\n\n.nav-toggle {\n  display: flex;\n  flex-direction: column;\n  flex-shrink: 0;\n  justify-content: center;\n  align-items: center;\n  width: 32px;\n  height: 32px;\n  border: 0;\n  background-color: rgba(255,173,0,0);\n  transition: all var(--cwc-transition-speed, 50ms);\n  cursor: pointer;\n  border: 1px solid var(--cwc-color-secondary-700, #fff);\n  border-radius: 4px;\n  color: var(--cwc-color-white);\n}\n\n:host(.active) .nav-toggle {\n  color: var(--cwc-color-secondary);\n  background-color: var(--cwc-color-white, #FFAD00);\n}\n\n.nav-toggle div {\n  position: relative;\n  width: 30px;\n  height: 30px;\n  pointer-events: none;\n}\n\n.nav-toggle span {\n  display: block;\n  position: absolute;\n  height: 4px;\n  width: 30px;\n  background-color: var(--cwc-color-white, #fff);\n  border-radius: 2px;\n  opacity: 1;\n  left: 0;\n  pointer-events: none;\n  transition: all var(--cwc-transition-speed, 50ms);\n}\n\n.nav-toggle span:first-child {\n  top: 2px;\n}\n\n:host(.active) .nav-toggle span:first-child {\n  rotate: 135deg;\n  top: 15px;\n  background-color: var(--cwc-nav-toggle-active-icon-color, #333F48);\n}\n\n.nav-toggle span:nth-child(2) {\n  top: 13px;\n}\n\n:host(.active) .nav-toggle span:nth-child(2) {\n  rotate: 359deg;\n  opacity: 0;\n}\n\n.nav-toggle span:last-child {\n  top: 24px;\n}\n\n:host(.active) .nav-toggle span:last-child {\n  rotate: -135deg;\n  top: 15px;\n  background-color: var(--cwc-nav-toggle-active-icon-color, #333F48);\n}\n\n.dropdown-container {\n  position: absolute;\n  top: 60px;\n  width: 100vw;\n  display: flex;\n  transition: all 150ms;\n  transform: translateX(-100vw);\n  overflow-x: hidden;\n}\n\n.dropdown-container .icons-wrapper a {\n  text-decoration: none;\n}\n\n:host(.active) .dropdown-container {\n  display: flex;\n  flex-wrap: no-wrap;\n  transform: translateX(0);\n}\n\n.icons-wrapper {\n  display: flex;\n  align-items: center;\n  height: 60px;\n  padding-left: 45px;\n  padding-right: 45px;\n  background-color: var(--cwc-color-primary, #FFAD00);\n}\n\n.icons-wrapper__icon:not(:first-child) {\n  margin-left: 48px;\n}\n\n.icons-wrapper__icon.icons-wrapper__sign-in {\n  margin-left: auto;\n}\n\n.column-1 {\n  flex-shrink: 0;\n  width: 100vw;\n  margin: 0;\n  padding: 0;\n  color: var(--cwc-color-secondary-900, #242424);\n  background-color: var(--cwc-color-white, #fff);\n}\n\n.column-1 li {\n  border-bottom: 1px solid #858c91;\n}\n\n.column-1 li a {\n  display: flex;\n  flex-direction: row;\n  justify-content: space-between;\n  align-items: center;\n  height: 62px;\n  padding: 0 45px;\n  color: var(--cwc-color-secondary-900, #242424);\n  font-family: var(--cwc-font-sans-serif-regular, 'Eina01-Regular');\n  text-transform: uppercase;\n  text-decoration: none;\n}\n\n.column-1 li a:hover {\n  font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n  font-weight: 400;\n}\n\n.column-1 li a span,\n.column-1 li a svg {\n  pointer-events: none;\n}\n\n.mid-container {\n  background-color: rgb(230, 232, 232);\n}\n\n.mid-container .sub-title {\n  display: flex;\n  align-items: center;\n  padding: 22.5px 45px 20px;\n  font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n  font-weight: 400;\n  text-transform: uppercase;\n  color: var(--cwc-color-secondary-900, #242424) !important;\n  background-color: var(--cwc-color-white, #fff);\n  text-decoration: none;\n}\n\n.mid-container .sub-title svg {\n  rotate: 180deg;\n  margin-top: 2px;\n  margin-right: 1rem;\n}\n\n.column-2-3__item:not(.active) {\n  display: none;\n}\n\n.column-2-3__item {\n  display: flex;\n  flex-direction: column;\n}\n\n.column-2 {\n  margin: 0;\n  padding: 16px 0;\n  font-size: 18px;\n}\n\n.column-2 h3 {\n  margin: 0;\n  padding: 16px 45px;\n  font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n  font-weight: 400;\n  font-size: 18px;\n  line-height: 16.875px;\n  color: var(--cwc-color-secondary-900, #242424) !important;\n}\n\n.column-2.type-2 ul {\n  padding-left: 0;\n}\n\n.column-2 li a {\n  display: flex;\n  align-items: center;\n  padding: 16px 45px;\n  color: var(--cwc-color-secondary-900, #242424) !important;\n  font-family: var(--cwc-font-sans-serif-regular, 'Eina01-Regular');\n  text-decoration: none;\n  transition: color 100ms;\n}\n\n.column-2 li a > span {\n  margin-bottom: -5px;\n}\n\n.column-2 li a img {\n  margin-right: 15px;\n  flex-shrink: 0;\n}\n\n.column-2.type-2 li a h3 {\n  padding: 0;\n  font-family: var(--cwc-font-sans-serif-regular, 'Eina01-Regular');\n}\n\n.column-2.type-2 li hr {\n  display: none;\n}\n\n.column-2.type-2 li div {\n  display: none;\n}\n\n.column-2__cta {\n  padding: 0 45px;\n}\n\n.column-2__cta-content-wrapper,\n.column-2__cta-content-wrapper-with-hr {\n  padding-bottom: 30px;\n}\n\n.column-2__cta-content-wrapper-with-hr {\n  padding-top: 30px;\n  border-top: 1px solid var(--cwc-color-secondary-200, #FFCCCC);;\n}\n\n.column-2__cta-title {\n  margin-top: 0;\n  margin-bottom: 0;\n  font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n  font-weight: 400;\n  font-size: 18px;\n  color: var(--cwc-color-secondary-900, #242424) !important;\n}\n\n.column-2__cta-content {\n  margin-top: 1rem;\n  margin-bottom: 1rem;\n  display: flex;\n  gap: 15px;\n}\n\n.column-2__cta-content p {\n  margin: 0;\n}\n\n.column-2__cta-content a {\n  text-decoration: none;\n}\n\n.column-2__cta-link {\n  display: block;\n  margin-top: 64px;\n  font-size: 16.875px;\n  color: var(--cwc-color-secondary-900, #242424) !important;\n  text-decoration: none;\n}\n\n.column-2__cta-link:hover {\n  color: var(--cwc-nav-hover-text-color) !important;\n}\n\n.green-cta {\n  width: 100vw;\n  padding: 30px 45px 45px;\n  align-items: flex-start;\n  border-radius: 0;\n  text-align: left;\n  color: var(--cwc-color-white, #fff);\n  background-color: var(--cwc-nav-cta-bg, #0FC373);\n  position: relative;\n  background-image: var(--cwc-nav-cta-img-bg);\n  background-repeat: no-repeat;\n  background-position: 100% 81%;\n  background-size: 91%;\n  justify-content: var(--cwc-nav-cta-justify);\n}\n\n.green-cta .img-wrapper,\n.green-cta hr {\n  display: none;\n}\n\n.green-cta h3 {\n  margin: 0;\n  font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n  font-weight: 400;\n  font-size: 24px;\n}\n\n.green-cta p {\n  margin-bottom: 20px;\n  line-height: 1.5;\n}\n\n.green-cta .content-wrapper ul {\n  list-style-type: none;\n  padding-left: 0;\n}\n\n.green-cta a.not-button {\n  font-size: 18px;\n  font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n  font-weight: 400;\n  text-decoration: none;\n  transition: all 100ms;\n}\n\n.green-cta__description {\n  font-size: 16.875px;\n  line-height: 1.5;\n}\n\n/* Tooltip */\n[data-toggle=tooltip]{\n  display: inline;\n  position: relative;\n  justify-content: center;\n}\n[data-toggle=tooltip]:hover:after{\n  display: -webkit-flex;\n  display: flex;\n  -webkit-justify-content: center;\n  justify-content: center;\n  background: var(--cwc-color-primary, #FFAD00);\n  border-radius: 0.25rem;\n  color: var(--cwc-color-white, #fff);\n  content: attr(title);\n  position: absolute;\n  bottom: -55px;\n  white-space: pre;\n  z-index: 2;\n  padding: 15px;\n  font-size: 12px;\n  font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n  font-weight: 400;\n  max-width: 200px;\n  text-align: center;\n}\n\n[data-toggle=tooltip]:hover:before{\n  border: solid;\n  border-color: var(--cwc-color-primary, #FFAD00) transparent;\n  border-width: 8px 8px 0px;\n  content: \"\";\n  bottom: -12px;\n  position: absolute;\n  transform: rotate(180deg);\n}\n/* end Tooltip */\n\n.header-icons-wrapper__phone[data-toggle=tooltip]:hover:after{\n  font-size: 18px;\n  bottom: -57px;\n  padding: 15px 15px 9px;\n}\n\n@media (max-width: 767px) and (min-width: 320px) {\n  .header-icons-wrapper__phone[data-toggle=tooltip]:hover:after{\n    left: 0;\n  }\n  /* Nav Icons */\n  .dropdown-container .icons-wrapper {\n    justify-content: space-between;\n  }\n  .dropdown-container .header-icons-wrapper {\n      display: flex;\n      align-items: center;\n  }\n    .dropdown-container .header-icons-wrapper__phone, .dropdown-container .header-icons-wrapper__search, .dropdown-container .header-icons-wrapper__language, .dropdown-container .header-icons-wrapper__sign-in {\n      display: flex;\n      align-items: center;\n  }\n    .dropdown-container .header-icons-wrapper__phone, .dropdown-container .header-icons-wrapper__search, .dropdown-container .header-icons-wrapper__language {\n      padding: 5px;\n      margin-right: 5px;\n  }\n    .dropdown-container .header-icons-wrapper__language {\n      display: flex;\n      align-items: center;\n      justify-content: center;\n  }\n    .dropdown-container .header-icons-wrapper__language:hover .staticMap {\n      display: var( --language-icon-hover-display );\n  }\n    .dropdown-container .header-icons-wrapper__language:hover {\n      text-decoration: none !important;\n  }\n    .dropdown-container .header-icons-wrapper__language:hover .map-details svg path {\n      fill: var(--cwc-color-white, #fff);\n  }\n    .dropdown-container .header-icons-wrapper__search:hover svg circle, .dropdown-container .header-icons-wrapper__phone:hover svg path {\n      stroke: var(--cwc-color-white, #fff);\n  }\n    .dropdown-container .header-icons-wrapper__search:hover svg rect {\n      fill: var(--cwc-color-white, #fff);\n  }\n    .dropdown-container .header-icons-wrapper__phone:hover svg path {\n      fill: none !important;\n  }\n    .dropdown-container .header-icons-wrapper__language .staticMap {\n      display: block;\n      position: relative;\n      margin-left: 0;\n      height: 28px;\n      width: 28px;\n  }\n    .dropdown-container .header-icons-wrapper__language .staticMap svg:nth-child(2) {\n      position: absolute !important;\n      left: 3px !important;\n      top: 4px !important;\n      border-radius: 100%;\n  }\n    .dropdown-container .header-icons-wrapper__language .map-details {\n      display: none !important;\n  }\n\n    .dropdown-container .hidden {\n      display: none;\n  }\n    .dropdown-container .header-icons-wrapper__icon:hover {\n      color: var(--cwc-color-white, #fff) !important;\n  }\n    .dropdown-container .header-icons-wrapper__icon:hover svg g, .dropdown-container .header-icons-wrapper__icon:hover svg path {\n      fill: var(--cwc-color-white, #fff);\n  }\n    .dropdown-container .header-icons-wrapper__sign-in {\n      display: flex;\n      align-items: center;\n      margin-left: 10px;\n      color: var(--cwc-color-white, #fff) !important;\n      font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n      font-weight: 400;\n      font-size: 15px;\n      text-decoration: none;\n  }\n    .dropdown-container .header-icons-wrapper__sign-in span {\n      margin-left: 5px;\n      color: inherit;\n  }\n\n  /* end Nav Icons */\n}\n\n@media (min-width: 768px) {\n  .header__logo{\n    width: calc(328px - calc(328px * 0.20));\n  }\n  .header__logo::before{\n    margin-top: 0;\n  }\n/* Nav Icons */\n\n  .header-icons-wrapper {\n    display: flex;\n    align-items: center;\n  }\n\n  .header-icons-wrapper__phone,\n  .header-icons-wrapper__search,\n  .header-icons-wrapper__language,\n  .header-icons-wrapper__sign-in{\n    display: flex;\n    align-items: center;\n  }\n\n  .header-icons-wrapper__phone,\n  .header-icons-wrapper__search,\n  .header-icons-wrapper__language{\n    padding: 5px;\n    margin-right: 5px;\n  }\n  .header-icons-wrapper__language {\n    display: flex;\n    align-items: center;\n    justify-content: center;\n  }\n  .header-icons-wrapper__language:hover .staticMap {\n    display: var( --language-icon-hover-display );\n  }\n  .header-icons-wrapper__language:hover .white-globe {\n    width: 28px;\n    height: 28px;\n    display: var(--language-icon-svg-hover-display);\n    background-image: url(https://cradlepoint.com/wp-content/uploads/2021/05/globe-cp__cp-yellow@4x.gif);\n    background-size: contain;\n    background-repeat: no-repeat;\n  }\n  .header-icons-wrapper__language:hover {\n    text-decoration: none !important;\n  }\n  .header-icons-wrapper__language:hover .map-details svg path {\n    fill: var(--cwc-color-white, #fff);\n  }\n\n  .header-icons-wrapper__search:hover svg circle,\n  .header-icons-wrapper__phone:hover svg path{\n  stroke: var(--cwc-color-primary, #FFAD00);\n  }\n  .header-icons-wrapper__search:hover svg rect{\n  fill: var(--cwc-color-primary, #FFAD00);\n  }\n  .header-icons-wrapper__phone:hover svg path{\n  fill: none !important;\n  }\n\n .header-icons-wrapper__language .staticMap{\n    display: block;\n    position: relative;\n    margin-left: 0;\n    height: 28px;\n    width: 28px;\n  }\n\n  .header-icons-wrapper__language .staticMap svg:nth-child(2) {\n    position: absolute!important;\n    left: 3px!important;\n    top: 4px!important;\n    border-radius: 100%;\n  }\n\n  .header-icons-wrapper__language .map-details{\n    margin-left: 10px;\n    flex-grow: 0;\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: flex-start;\n    gap: 3px;\n    padding: 0;\n  }\n\n  .header-icons-wrapper__language .map-details p{\n    font-size: 14px;\n    font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n    font-weight: 400;\n    line-height: normal;\n    letter-spacing: normal;\n    text-align: left;\n    color: var(--cwc-color-white, #fff);\n    margin-bottom: 0;\n    margin-top: 0;\n    display: flex;\n    align-items: center;\n  }\n  .header-icons-wrapper__language .map-details span{\n    font-size: 13px;\n    font-weight: 600;\n    font-stretch: normal;\n    font-style: normal;\n    line-height: normal;\n    letter-spacing: normal;\n    text-align: left;\n    color: #adb2b5;\n    font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n    font-weight: 400;\n  }\n\n  .header-icons-wrapper__language .map-details svg{\n    margin-left: 5px;\n    fill: var(--cwc-color-white, #fff);\n    width: 14px;\n  }\n\n  .hidden{\n    display: none;\n  }\n\n  /* .header-icons-wrapper__icon:hover {\n    color: var(--cwc-color-primary, #FFAD00) !important;\n  } */\n\n  .header-icons-wrapper__icon:hover svg g,\n  .header-icons-wrapper__icon:hover svg path {\n    fill: var(--cwc-color-primary, #FFAD00);\n  }\n\n  .header-icons-wrapper__sign-in {\n    display: flex;\n    align-items: center;\n    margin-left: 10px;\n    color: var(--cwc-color-white, #fff) !important;\n    font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n    font-weight: 400;\n    font-size: 15px;\n    text-decoration: none;\n  }\n\n  .header-icons-wrapper__sign-in span {\n    margin-left: 5px;\n    color: inherit;\n  }\n\n/* end Nav Icons */\n\n  .icons-wrapper {\n    display: none;\n  }\n\n  .column-1-container {\n    flex-shrink: 0;\n    width: clamp(250px, 35%, 270px);\n  }\n\n  .column-1 {\n    width: 100%;\n    height: 100%;\n    padding-top: 36px;\n    padding-bottom: 36px;\n    font-size: 15px;\n    background-color: var(--cwc-nav-left-column-bg, #e6e8e8);\n  }\n\n  .column-1 li {\n    border-bottom: 0;\n  }\n\n  .column-1 li a {\n    padding-left: 12px;\n    padding-right: 12px;\n    font-size: var(--cwc-nav-left-column-font-size, 18px);\n    text-transform: var(--cwc-nav-left-column-text-transform, uppercase);\n  }\n\n  .column-1 li a.active {\n    font-family: var(--cwc-font-sans-serif-bold, 'Eina01-Bold');\n    font-weight: 400;\n    background-color: var(--cwc-color-white, #fff);\n  }\n\n  .green-cta.green-cta__mobile-default {\n    display: none;\n  }\n\n  .column-2-3__container {\n    width: auto;\n  }\n\n  .column-2-3__item {\n    justify-content: space-between;\n    height: 100%;\n  }\n\n  .mid-container {\n    flex-grow: 1;\n    background-color: var(--cwc-color-white, #fff);\n  }\n\n  .mid-container .sub-title {\n    display: none;\n  }\n\n  .column-2 {\n    display: grid;\n    grid-template-columns: repeat(2,1fr);\n    grid-column-gap: 32px;\n    grid-row-gap: 45px;\n    height: fit-content;\n    padding: 60px 35px 36px;\n    background-color: var(--cwc-color-white, #fff);\n    font-size: 15px;\n  }\n\n  .column-2 li hr {\n    width: 25px;\n    height: 4px;\n    margin: 8.5px auto 8.5px 0;\n    background-color: var(--cwc-nav-cta-bg, #0FC373);\n    border: 2px solid var(--cwc-nav-cta-bg, #0FC373);\n    border-radius: 4px;\n    box-sizing: border-box\n  }\n\n  .column-2 h3 {\n    margin-top: 0;\n    margin-bottom: 1.65rem;\n    padding: 0;\n    font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n    font-weight: 400;\n    font-size: 15px;\n    line-height: 16.875px;\n    color: var(--cwc-color-secondary-900, #242424) !important;\n  }\n\n  .column-2 li a {\n    padding: 0;\n    font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n    font-weight: 400;\n  }\n\n  .column-2 li a:hover {\n    color: var(--cwc-nav-hover-text-color) !important;\n  }\n\n  .column-2.type-2 h3 {\n    margin: 0;\n    transition: all 100ms;\n  }\n\n  .column-2.type-2 a:hover h3 {\n    color: var(--cwc-nav-hover-text-color) !important;\n  }\n\n  .column-2.type-2 ul {\n    margin-top: 25px;\n  }\n\n  .column-2.type-2 li a h3 {\n    font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n    font-weight: 400;\n  }\n\n  .column-2.type-2 p {\n    font-family: var(--cwc-font-sans-serif-regular, 'Eina01-Regular');\n    font-size: 13px;\n    line-height: 19.5px;\n  }\n\n  .column-2 .has-sub-menu .sub-menu {\n    padding-left: 0;\n    display: grid;\n    row-gap: 1.65rem;\n  }\n\n  .column-2 .has-sub-menu .sub-menu li a {\n    font-family: var(--cwc-font-sans-serif-light, 'Eina01-Light');\n  }\n\n  .column-2__cta {\n    padding-left: 35px;\n    padding-right: 35px;\n  }\n\n  .column-2__cta-title {\n    font-size: 15px;\n    line-height: 16.875px;\n    color: var(--cwc-color-secondary-900, #242424) !important;\n  }\n\n  .column-2__cta-content {\n    font-size: 14px;\n  }\n\n  .column-2__cta-link {\n    font-size: 15px;\n  }\n\n  .green-cta {\n    display: flex;\n    flex-direction: row;\n    gap: 2rem;\n    width: auto;\n    height: fit-content;\n    padding: 36px 35px;\n    font-size: 15px;\n    line-height: 22.5px;\n  }\n\n  .green-cta .img-wrapper {\n    flex-shrink: 0;\n    display: grid;\n    place-items: center;\n    border-radius: 50%;\n    background-color: var(--cwc-color-secondary, #333F48);\n    height: 64px;\n    width: 64px;\n    padding: 15px;\n    margin-left: auto;\n    margin-right: auto;\n  }\n\n  .green-cta .img-wrapper img {\n    width: 100%;\n    height: auto;\n    object-fit: contain;\n  }\n\n  .green-cta hr {\n    width: 50px;\n    height: 4px;\n    margin-top: 12px;\n    margin-bottom: 12px;\n    margin-left: 0;\n    background-color: var(--cwc-color-white, #fff);\n    border: 2px solid var(--cwc-color-white, #fff);\n    border-radius: 4px;\n  }\n\n  .green-cta h3 {\n    font-family: var(--cwc-font-sans-serif-semibold, 'Eina01-SemiBold');\n    font-weight: 400;\n    margin-top: 0;\n  }\n\n  .green-cta a.not-button:hover {\n    color: var(--cwc-color-secondary-900, #242424) !important;\n    text-decoration: underline;\n  }\n}\n\n@media (min-width: 1025px) {\n  .header__logo::before{\n    margin-top: -4px;\n  }\n\n  .header-inner__left {\n    gap: 1.25rem;\n  }\n\n  .header__logo{\n    width: unset;\n  }\n\n  /* Nav Icons */\n  .header-icons-wrapper__phone,\n  .header-icons-wrapper__search,\n  .header-icons-wrapper__language{\n    padding: 10px;\n    margin-right: 10px;\n    text-decoration: none;\n  }\n  .header-icons-wrapper__sign-in {\n    margin-left: 35px;\n  }\n\n  .header-icons-wrapper__sign-in span {\n    margin-left: 12px;\n  }\n  /* Nav Icons */\n\n  :host(.active) header {\n    /* border-bottom: 15px solid var(--cwc-nav-toggle-active-background-color, #FFAD00); */\n  }\n\n  .header-inner {\n    padding-left: 48px;\n    padding-right: 48px;\n  }\n\n  .nav-toggle {\n    padding-block: 0;\n  }\n\n  .dropdown-container {\n    top: 60px;\n    left: 48px;\n    max-width: calc(100vw - 96px);\n    height: 0;\n    overflow: hidden;\n    border-radius: 0 0 16px 16px;\n    background-color: transparent;\n  }\n\n  .dropdown-container,\n  :host(.active) .dropdown-container {\n    transform: unset;\n  }\n\n  :host(.active) .dropdown-container {\n    height: initial;\n  }\n\n  .column-1-container {\n    width: 21.30%;\n  }\n\n  .column-2-3__container {\n    display: flex;\n    width: 78.7%;\n    background-color: transparent;\n  }\n\n  .column-2-3__item {\n    flex-direction: row;\n    width: 100%;\n    max-width: 1180px;\n  }\n\n  .mid-container {\n    display: flex;\n    flex-direction: column;\n    width: 66.57%;\n  }\n\n  .column-2 {\n    grid-column-gap: 35px;\n    grid-row-gap: 65px;\n  }\n\n  .column-2 > li.has-border-right {\n    border-right: 1px solid var(--cwc-color-secondary-200, #FFCCCC);\n  }\n\n  .column-2.type-2 li hr,\n  .column-2.type-2 li div {\n    display: block;\n  }\n\n  .column-2__cta {\n    flex-grow: 1;\n  }\n\n  .column-2__cta > div {\n    display: flex;\n    flex-direction: column;\n    height: 100%;\n    min-height: 200px;\n  }\n\n  .column-2__cta-link {\n    margin-bottom: 0px;\n    margin-top: auto;\n  }\n\n  .green-cta {\n    flex-direction: column;\n    gap: 0;\n    width: 33.43%;\n    height: auto;\n    text-align: center;\n    border-radius: 0 0 16px 0;\n  }\n\n  .green-cta .img-wrapper {\n    height: 82px;\n    width: 82px;\n  }\n\n  .green-cta h3 {\n    margin-top: 15px;\n  }\n\n  .green-cta hr {\n    margin-top: 23px;\n    margin-bottom: 23px;\n    margin-left: auto;\n  }\n\n  .green-cta p {\n    margin-bottom: 40px;\n  }\n}\n\n@media (min-width: 1280px) {\n  .column-1 {\n    font-size: 16.5px;\n  }\n\n  .column-2.one-third--two-thirds {\n    grid-template-columns: 1.5fr 3fr;\n  }\n\n  .column-2.one-third--two-thirds .has-sub-menu:last-child .sub-menu {\n    grid-template-columns: repeat(2, 1fr);\n    grid-column-gap: 35px;\n  }\n\n  .column-2__cta-link {\n    font-size: 16.5px;\n  }\n}\n\n@media (min-width: 1440px) {\n  .column-1 {\n    padding-top: 52px;\n    padding-bottom: 52px;\n    font-size: 18px;\n  }\n\n  .column-1 li a {\n    padding-left: 45px;\n    padding-right: 20px;\n  }\n\n  .column-2 {\n    padding-top: 72px;\n    padding-bottom: 52px;\n    grid-template-columns: repeat(3,1fr);\n    font-size: 16px;\n  }\n\n  .column-2.two-columns {\n    grid-template-columns: repeat(2,1fr);\n  }\n\n  .column-2 h3,\n  .column-2__cta-title {\n    font-size: 18px;\n    line-height: 20.25px;\n  }\n\n  .column-2__cta-content {\n    font-size: 16px;\n  }\n\n  .column-2__cta-link {\n    font-size: 18px;\n  }\n\n  .green-cta h3 {\n    font-size: 22px;\n  }\n\n  .green-cta p {\n    font-size: 18px;\n    line-height: 27px;\n  }\n\n  .green-cta a.not-button {\n    font-size: 24px;\n  }\n}\n\n@media (min-width: 1550px) {\n  .column-1-container {\n    width: 21.29%;\n  }\n\n  .column-2-3__container {\n    width: 78.70%;\n  }\n}\n\n/*\n\n  Mobile Menu\n\n*/\n\nheader.mobile {\n  --transition: all 100ms;\n}\n\nheader.mobile .dropdown-container {\n  height: 100vh;\n  transition: var(--transition);\n}\n\nheader.mobile .column-1-container,\nheader.mobile .column-2-3__container {\n  position: absolute;\n  transition: var(--transition);\n}\n\nheader.mobile .column-1-container {\n  transform: translateX(0);\n}\n\nheader.mobile .column-1 li a {\n  padding-top: 8px;\n}\n\nheader.mobile .column-1 li a svg {\n  margin-bottom: 5px;\n}\n\nheader.mobile.level-2 .column-1-container {\n  transform: translateX(-100vw);\n}\n\nheader.mobile.level-3 .column-1-container {\n  transform: translateX(-200vw);\n}\n\nheader.mobile .column-2-3__container {\n  transform: translateX(100vw);\n}\n\nheader.mobile.level-2 .column-2-3__container {\n  transform: translateX(0);\n}\n\nheader.mobile.level-3 .column-2-3__container  {\n  transform: translateX(-100vw);\n}\n\nheader.mobile .column-2-3__container .mid-container .sub-title span {\n  padding-top: 3px;\n  margin-bottom: -3px;\n}\n\nheader.mobile .column-2 > li {\n  position: relative;\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu {\n  display: none;\n  position: absolute;\n  width: 100vw;\n  transform: translateX(100vw);\n  background-color: var(--cwc-color-white, #fff);\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu.active {\n  display: block;\n}\n\nheader.mobile .column-2 .has-sub-menu:first-child .sub-menu {\n  top: -77px;\n}\n\nheader.mobile .column-2 .has-sub-menu:nth-child(2) .sub-menu {\n  top: calc((30px + (49px * 2)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu:nth-child(3) .sub-menu {\n  top: calc((30px + (49px * 3)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu:nth-child(4) {\n  top: calc((30px + (49px * 4)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu:nth-child(5) {\n  top: calc((30px + (49px * 5)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu:nth-child(6) {\n  top: calc((30px + (49px * 6)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu:nth-child(7) {\n  top: calc((30px + (49px * 7)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu:nth-child(8) {\n  top: calc((30px + (49px * 8)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu:nth-child(9) {\n  top: calc((30px + (49px * 9)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu:nth-child(10) {\n  top: calc((30px + (49px * 10)) * (-1));\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu li {\n  background-color: rgb(230, 232, 232);\n}\n\nheader.mobile .column-2 .has-sub-menu .sub-menu li a {\n  padding-top: 22.5px;\n  padding-bottom: 22.5px;\n}\n\nheader.mobile .column-2 li a img {\n  display: none;\n}\n\n/*\n\n  Alt Mobile Layout\n\n*/\n\nheader.mobile.alt-mobile-layout .column-2 > li {\n  position: unset;\n}\n\nheader.mobile.alt-mobile-layout .column-2 .has-sub-menu .sub-menu {\n  display: block;\n  position: unset;\n  width: unset;\n  transform: unset;\n  background-color: unset;\n}\n\nheader.mobile.alt-mobile-layout .column-2 .has-sub-menu .sub-menu .sub-title  {\n  display: none;\n}\n\nheader.mobile.alt-mobile-layout .column-2 .has-sub-menu .sub-menu li a {\n  font-family: var(--cwc-font-sans-serif-regular, 'Eina01-Regular');\n  padding-top: 14px;\n  padding-bottom: 12px;\n}\n\nheader.mobile.alt-mobile-layout .column-2 li.has-sub-menu:not(:first-child) {\n  margin-top: 24px;\n}\n\nheader.mobile.alt-mobile-layout .column-2 li a {\n  padding-top: 14px;\n  padding-bottom: 12px;\n}\n\nheader.mobile.alt-mobile-layout .column-2 li a img {\n  display: block;\n}\n\nheader .globe-icon::before{\n  content: '';\n  display: block;\n  -webkit-mask: var(--language-icon) no-repeat 50% 50%;\n  mask: var(--language-icon) no-repeat 50% 50%;\n  -webkit-mask-size: cover;\n  mask-size: cover;\n  height: 28px;\n  width: 28px;\n  background-color: #fff;\n}\n\n.header-icons-wrapper__language:hover .globe-icon::before{\n  background-color: var(--language-icon-hover-bg);\n}\n.dropdown-container .header-icons-wrapper__language:hover .globe-icon::before{\n  background-color: var(--cwc-color-white);\n}\n\ncradlepoint-button-cta {\n  clip-path: unset;\n  border-radius: 4px;\n  text-transform: unset;\n\n  &::before {\n    display: none;\n  }\n}\n";
const CradlepointNavMainStyle0 = navMainCss;

const NavMain = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.loaded = false;
        this.isActive = false;
        this.jsonData = null;
        this.showIconsWrapper = false;
        this.getPhoneSVG = (className, fillColor = '#fff') => {
            return (h("svg", { class: className, xmlns: "http://www.w3.org/2000/svg", width: 29, height: 29, preserveAspectRatio: "xMidYMid meet", viewBox: "0 0 16 16", style: { transform: 'rotate(360deg)' } }, h("path", { fill: "none", stroke: fillColor, "stroke-linecap": "round", "stroke-linejoin": "round", "stroke-width": "1.5", d: "M1.75 1.75c0 8.5 4 12.5 12.5 12.5v-4l-3.5-1l-1 1.5c-2 0-4.5-2.5-4.5-4.5l1.5-1l-1-3.5zm8 0c2.5 0 4.5 2 4.5 4.5m-4.5-2c1 0 2 1 2 2" })));
        };
        this.getSearchSVG = (className, fillColor = '#fff') => {
            return (h("svg", { class: className, width: 29, height: 29, viewBox: "0 0 29 29", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("circle", { cx: "11", cy: "11", r: "9.5", stroke: fillColor, "stroke-width": "3" }), h("rect", { x: "16", y: "19.614", width: "5", height: "13", transform: "rotate(-46.2862 16 19.614)", fill: fillColor })));
        };
        this.getSignInSVG = (fillColor = 'white') => {
            return (h("svg", { style: { width: '18px' }, "data-name": "Layer 1", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 15 16" }, h("path", { style: { strokeWidth: '0px', fill: fillColor }, class: "cls-1", fill: fillColor, "fill-rule": 'evenodd', d: "M6,0v4h-1V1H1v14h4v-3h1v4H0V0h6ZM9.65,13.35l-5.35-5.36,5.35-5.35.65.71-4.14,4.15h8.84v1H6.21l4.09,4.14-.65.71Z" })));
        };
        this.getAngleRightSVG = () => {
            return (h("svg", { xmlns: "http://www.w3.org/2000/svg", height: "16", width: "10", viewBox: "0 0 320 512" }, h("path", { d: "M278.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-160 160c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L210.7 256 73.4 118.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l160 160z" })));
        };
        this.getLinkClass = (title, subtitle) => {
            let linkClass = `${title} ${subtitle}`;
            return linkClass.replace('-', '_').toLowerCase().split(' ').join('_');
        };
        this.toggleNav = (event) => {
            var _a, _b;
            event.preventDefault();
            let sr = this.host.shadowRoot;
            let header = sr.querySelector('header');
            this.isActive = !this.isActive;
            this.host.classList.toggle('active');
            if (document.querySelector('body #modal-backDrop')) {
                document.querySelector('body #modal-backDrop').remove();
            }
            if (this.host.classList.contains('active')) {
                let backDrop = document.createElement('div');
                backDrop.setAttribute("id", "modal-backDrop");
                document.querySelector('body').appendChild(backDrop);
            }
            if (!this.isActive) {
                setTimeout(() => {
                    header.classList.remove('level-2', 'level-3', 'level-4');
                }, 150);
            }
            (_a = document.querySelector(`${this.searchForm}`)) === null || _a === void 0 ? void 0 : _a.classList.add('hidden');
            (_b = document.querySelector(`${this.navLang}`)) === null || _b === void 0 ? void 0 : _b.classList.add('hidden');
        };
        this.switchColumn2 = (event) => {
            let sr = this.host.shadowRoot;
            let el = event.composedPath()[0];
            let col1As = sr.querySelectorAll('.column-1 li a');
            let col23Items = sr.querySelectorAll('.column-2-3__item');
            let newActiveItem = sr.querySelector(`.column-2-3__item[data-target-name="${el.dataset.target}"]`);
            let header = sr.querySelector('header');
            col1As.forEach(item => item.classList.remove('active'));
            el.classList.add('active');
            col23Items.forEach(item => item.classList.remove('active'));
            newActiveItem.classList.add('active');
            header.classList.contains('mobile') && header.classList.add('level-2');
        };
        this.switchColumn3 = (event) => {
            event.preventDefault();
            let sr = this.host.shadowRoot;
            let el = event.composedPath()[0];
            let newActiveItem = sr.querySelector(`.sub-menu[data-target-name="${el.dataset.target}"]`);
            let header = sr.querySelector('header');
            if (header.classList.contains('mobile')) {
                header.classList.remove('level-2');
                header.classList.add('level-3');
                newActiveItem.classList.add('active');
            }
        };
        this.backToLevel1 = () => {
            let sr = this.host.shadowRoot;
            let header = sr.querySelector('header');
            header.classList.contains('mobile') && header.classList.remove('level-2');
        };
        this.backToLevel2 = () => {
            let sr = this.host.shadowRoot;
            let header = sr.querySelector('header');
            let level3Items = header.querySelectorAll('.column-2 .has-sub-menu .sub-menu');
            header.classList.contains('mobile') && header.classList.remove('level-3');
            header.classList.contains('mobile') && header.classList.add('level-2');
            let level3ItemsTimeout = setTimeout(() => {
                level3Items.forEach(item => {
                    item.classList.remove('active');
                });
                clearTimeout(level3ItemsTimeout);
            }, 500);
        };
        this.toggleSearch = (event) => {
            var _a, _b;
            event.preventDefault();
            this.host.classList.remove('active');
            if (!document.querySelector(`${this.searchForm ? this.searchForm : '.search-form-div'}`).classList.contains('hidden')) {
                if (document.querySelector('body #modal-backDrop')) {
                    document.querySelector('body #modal-backDrop').remove();
                }
            }
            else {
                if (document.querySelector('body #modal-backDrop')) {
                    document.querySelector('body #modal-backDrop').remove();
                }
                let backDrop = document.createElement('div');
                backDrop.setAttribute("id", "modal-backDrop");
                document.querySelector('body').appendChild(backDrop);
            }
            (_a = document.querySelector(`${this.searchForm ? this.searchForm : '.search-form-div'}`)) === null || _a === void 0 ? void 0 : _a.classList.toggle('hidden');
            (_b = document.querySelector(`${this.navLang}`)) === null || _b === void 0 ? void 0 : _b.classList.add('hidden');
        };
        this.toggleNavLang = (event) => {
            var _a, _b;
            event.preventDefault();
            if (document.querySelector('body #modal-backDrop')) {
                document.querySelector('body #modal-backDrop').remove();
            }
            if (this.host.querySelector('cradlepoint-nav-lang').classList.contains('hidden')) {
                let backDrop = document.createElement('div');
                backDrop.setAttribute("id", "modal-backDrop");
                document.querySelector('body').appendChild(backDrop);
            }
            this.host.classList.remove('active');
            (_a = document.querySelector(`${this.navLang}`)) === null || _a === void 0 ? void 0 : _a.classList.remove('hidden');
            (_b = document.querySelector(`${this.searchForm ? this.searchForm : '.search-form-div'}`)) === null || _b === void 0 ? void 0 : _b.classList.add('hidden');
        };
        this.domain = 'cradlepoint.com';
        this.json = undefined;
        this.logo = 'https://img.cradlepoint.com/auto-mapping-folder/2022/07/cradlepoint-po-ericsson-logo-long-reverse.png';
        this.logoLight = undefined;
        this.logoDark = undefined;
        this.searchForm = undefined;
        this.navLang = undefined;
        this.showContact = false;
        this.showSearch = false;
        this.showLanguageNav = false;
        this.showSignIn = false;
        this.altMobileLayout = false;
        this.countryCode = undefined;
        this.activeLang = undefined;
        this.phoneNo = undefined;
        this.homeLink = undefined;
        this.hoverTextColor = '#1174e6';
    }
    async componentWillLoad() {
        if (this.showContact || this.showSearch || this.showLanguageNav || this.showSignIn) {
            this.showIconsWrapper = true;
        }
        if (this.json) {
            return fetch(this.json)
                .then(response => response.json())
                .then(data => {
                this.jsonData = data;
                this.loaded = true;
            })
                .catch(error => console.log(error));
        }
        return null;
    }
    componentDidLoad() {
        (window.innerWidth < 767) && this.host.shadowRoot.querySelector('header').classList.add('mobile');
    }
    handleResize() {
        clearTimeout(resizeTimeout);
        var resizeTimeout = setTimeout(() => {
            if (window.innerWidth < 768) {
                this.host.shadowRoot.querySelector('header').classList.add('mobile');
            }
            else {
                this.host.shadowRoot.querySelector('header').classList.remove('mobile');
            }
        }, 100);
    }
    render() {
        return (h(Host, { key: 'bee7480963fc100472ae8c818dc7c675518f04a8', class: this.loaded ? 'loaded' : '', style: {
                '--cwc-nav-hover-text-color': this.hoverTextColor,
            } }, this.jsonData && (h("header", { key: 'd9bee90c043f24c7a727f2b6e7aed34d0d2061c7', class: this.altMobileLayout == true ? 'alt-mobile-layout' : '' }, h("div", { key: 'af68b9c7351c42058bfd7899886c42df73e4bf90', class: "header-inner" }, h("div", { key: '6524f5b794d2b43da5695d6d5262f3d453b8555e', class: "header-inner__left" }, h("button", { key: 'a00cd294415950e3bd62a51c356b8c3a33d239fd', class: "nav-toggle", "aria-expanded": this.isActive, "aria-label": "Toggle navigation", onClick: this.toggleNav }, h("slot", { key: '593e5925dee322b2551667f5eb756ee8e8cdc73a', name: "icon-toggle-nav" })), h("a", { key: '3bf1b6d1d533a1530077819743abd519ad276667', href: this.homeLink ? this.homeLink : '/', class: "header__logo header__home-link" }, h("slot", { key: 'de2e7e33fb768a7dbe14d91be9345023facfd407', name: "header-logo" }))), this.showIconsWrapper && (h("div", { key: '3af0ba3e6cf5581b8398da2733cac2695e3e6994', class: "header-icons-wrapper" }, (this.showContact && this.phoneNo) && (h("a", { key: '9033725a12cc7f0eae7c3eb113cd403c8c8d567d', href: 'tel:' + this.phoneNo, class: 'header-icons-wrapper__icon header-icons-wrapper__phone', "data-toggle": "tooltip", title: this.phoneNo }, h("slot", { key: '11e48e32e486fb6a2e7e9973e48861ffaa2fcf36', name: "icon-phone" }))), this.showSearch && (h("a", { key: '8dc22a1a1b316b9f231a3de9fe645c6e8c0f0966', href: '#', class: 'header-icons-wrapper__icon header-icons-wrapper__search', onClick: this.toggleSearch }, h("slot", { key: '6a36b85c6cda2856bcb7fcb2956fc3c1613aabb4', name: "icon-search" }))), this.showLanguageNav && (h("a", { key: 'a4940cd32e790de9f4359b546f5aab800ca05cba', href: '#', class: 'header-icons-wrapper__icon header-icons-wrapper__language', onClick: this.toggleNavLang }, h("slot", { key: '58d33629b090d837698860bf36e1d92d84fa3ead', name: "icon-globe" }), h("div", { key: '5f91026d6e5a90cc410200651996a77b835aaa7d', class: 'map-details' }, h("p", { key: 'c6817e26bc1eab162ee12db01e77cf502e62a3e7' }, this.countryCode, " ", h("svg", { key: '44cfecd7b25bfab98a5f81357d5770c6ba0fe92d', class: 'svg-inline--fa fa-angle-down', "aria-hidden": "true", focusable: "false", "data-prefix": "fas", "data-icon": "angle-down", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 448 512", "data-fa-i2svg": "" }, h("path", { key: 'cd5eaaa602ca6d0576ed5231342daaed9d1a5a10', fill: "currentColor", d: "M201.4 342.6c12.5 12.5 32.8 12.5 45.3 0l160-160c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L224 274.7 86.6 137.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l160 160z" }))), h("span", { key: '93ceb8fa7d56889eb86d59228593d60a035ccb78' }, this.activeLang)))), this.showSignIn && (h("a", { key: '67276e37a5169f0608b9b2122e4b13397f44c1b4', href: "/sign-in", class: 'header-icons-wrapper__icon header-icons-wrapper__sign-in' }, this.getSignInSVG('white'), h("span", { key: 'e0d668d3e96a713c508c3668e9a6f82c407d421c' }, "SIGN IN")))))), h("div", { key: '0ff6492b068a72efb4047f1b926e77920d2139fe', class: "dropdown-container" }, h("div", { key: 'edf5c2307ae946c6f1e283d0d39f6d9bd3d47817', class: "column-1-container" }, this.showIconsWrapper && (h("div", { key: '66f248cde727c5910971e2098c85461da296f0ea', class: "icons-wrapper" }, (this.showContact && this.phoneNo) && (h("a", { key: 'fca537f50e4d42e96f75aa602bcea5a829f768b5', href: 'tel:' + this.phoneNo, class: 'header-icons-wrapper__icon header-icons-wrapper__phone', "data-toggle": "tooltip", title: this.phoneNo }, h("slot", { key: 'a3473b1150bfa9892d017f2afe9398b8372a84ae', name: "icon-phone-mobile" }))), this.showSearch && (h("a", { key: 'b2f81a7e9659d6beda25ecf61f74b46b8c3ddbe6', href: '#', class: 'header-icons-wrapper__icon header-icons-wrapper__search', onClick: this.toggleSearch }, h("slot", { key: 'c84a6cb0b04e4c4b27ba9c63019b0831498626b5', name: "icon-search-mobile" }))), this.showLanguageNav && (h("a", { key: 'd8fd037181069f4c4d8e6caf3d0338bafa34fa39', href: '#', class: 'header-icons-wrapper__icon header-icons-wrapper__language', onClick: this.toggleNavLang }, h("slot", { key: 'f399cb40a3cf8c1d12a82af2f82411b216e81d9a', name: "icon-globe-mobile" }), h("i", { key: '309e9648d87840f3e62d9c9e1526f4a18313e7e0', class: 'languageFlags white-globe hidden' }), h("div", { key: '5d6841c01fc795c5f7894945ac6eab6eb6445952', class: 'map-details' }, h("p", { key: '96e95fa0d575d35ced9b7078acc82b8d2b39a830' }, this.countryCode, " ", h("svg", { key: '6b5b620a39e3a81470cdba61842f043083123985', class: 'svg-inline--fa fa-angle-down', "aria-hidden": "true", focusable: "false", "data-prefix": "fas", "data-icon": "angle-down", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 448 512", "data-fa-i2svg": "" }, h("path", { key: '2149061e5486adc159e48b3cb71d6005e2029476', fill: "currentColor", d: "M201.4 342.6c12.5 12.5 32.8 12.5 45.3 0l160-160c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L224 274.7 86.6 137.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l160 160z" }))), h("span", { key: 'd033040acc5683261ef1e054ac26ad2a7998941c' }, this.activeLang)))), this.showSignIn && (h("a", { key: '8265fb99dc6e19babae03037f0d573538b4c662e', href: "/sign-in", class: 'header-icons-wrapper__icon header-icons-wrapper__sign-in' }, this.getSignInSVG('white'))))), h("ul", { key: '85bc0f3f7a642f2e39fad6190be975f18f12ebdc', class: "dropdown-column column-1 list-none" }, this.jsonData.main_navigation_v2.map((item, index) => {
            return (h("li", null, h("a", { href: "#", "data-target": (item.title.toLowerCase()).split(' ').join('-'), class: `nav_${(item.title.toLowerCase()).split(' ').join('_')} ${index == 0 ? 'active' : ''}`, onClick: this.switchColumn2 }, h("span", null, item.title), " ", this.getAngleRightSVG())));
        })), this.jsonData.main_navigation_v2[0]['cta'] && (h("div", { key: 'f5ccd0f8f994a6be72a7bad5957397d4854931cf', class: "column-3 type-2 green-cta green-cta__mobile-default" }, h("div", { key: '5a534c60a36f27e83cb3df941509af6b7264f2c9', class: "content-wrapper" }, this.jsonData.main_navigation_v2[0]['cta']['title'] && (h(Fragment, { key: '55857d92da982300a8127b50713778209b495de3' }, h("h3", { key: 'e9207d98254fa8ddb519457f9ed258ebe0e6769b', class: "green-cta__title" }, this.jsonData.main_navigation_v2[0]['cta']['title']))), this.jsonData.main_navigation_v2[0]['cta']['short_description'] && h("p", { key: '1cf4577a1627691732020cf1d5f0cb136e034aff', class: "green-cta__description" }, this.jsonData.main_navigation_v2[0]['cta']['short_description']), this.jsonData.main_navigation_v2[0]['cta']['button_type'] == 'v1' && this.jsonData.main_navigation_v2[0]['cta']['button'] && (h("cradlepoint-button-cta", { key: '187305bdb633da6fe184ac9ce58e3a9efc2b5bff', link: formatHREF(this.domain, this.jsonData.main_navigation_v2[0]['cta']['button']['url']) }, this.jsonData.main_navigation_v2[0]['cta']['button']['title'])), this.jsonData.main_navigation_v2[0]['cta']['button_type'] == 'v2' && this.jsonData.main_navigation_v2[0]['cta']['buttons'] && (h("ul", { key: '9f7e3afb2a3f87f73701f2d43d312e0416c6fe51' }, this.jsonData.main_navigation_v2[0]['cta']['buttons'].map((button) => {
            return (h("li", { class: "no-icon" }, h("a", { href: formatHREF(this.domain, button['button']['url']), target: "_self", class: "not-button" }, button['button']['title'])));
        }))))))), h("div", { key: '497b21608f2abfcb2238e9f84c4631e7528b4f66', class: "dropdown-column column-2-3__container" }, this.jsonData.main_navigation_v2.map((item, index) => {
            return (h("div", { class: `column-2-3__item ${index == 0 ? 'active' : ''}`, "data-target-name": (item.title.toLowerCase()).split(' ').join('-') }, h("div", { class: "mid-container" }, h("a", { href: "#", class: "sub-title", onClick: this.backToLevel1 }, this.getAngleRightSVG(), h("span", null, item.title)), item.modules.length > 0 && item.modules.map((module) => {
                if (module.acf_fc_layout == 'cta') {
                    let { hr, icon, short_description, title, link } = module;
                    return (h("div", { class: `column-2__cta` }, h("div", { class: `column-2__cta-content-wrapper${hr ? '-with-hr' : ''}` }, title && h("h3", { class: "column-2__cta-title" }, title), (icon || short_description) && (h("div", { class: "column-2__cta-content" }, icon && h("img", { src: icon, alt: "icon", width: "23", height: "23" }), short_description && (h("div", { style: {
                            color: 'var(--cwc-color-secondary-900, #242424)'
                        }, innerHTML: short_description })))), link && (h("a", { class: "column-2__cta-link", href: formatHREF(this.domain, link.url), target: link.target ? link.target : '_self' }, link.title)))));
                }
                else {
                    let ulClass = `column-2 list-none _nav_v2_${item.modules[0].acf_fc_layout}`;
                    switch (item.modules[0].acf_fc_layout) {
                        case 'link_title_description_repeater':
                            ulClass += ' type-2';
                            break;
                        default:
                            ulClass += ' type-1';
                            break;
                    }
                    switch (item.modules[0].columns) {
                        case "1/3-2/3":
                            ulClass += ' one-third--two-thirds';
                            break;
                        case "2":
                            ulClass += ' two-columns';
                            break;
                    }
                    return (h("ul", { class: `${ulClass}` }, (module.acf_fc_layout == 'icon_title_repeater') && module.data.map((subItem) => {
                        return (h("li", null, subItem.show_link && h(Fragment, null, h("a", { href: formatHREF(this.domain, subItem.link.url), class: this.getLinkClass(item.title, subItem.link.title) }, subItem.icon && h("img", { src: subItem.icon, alt: `${subItem.link.title} icon`, width: "23", height: "23" }), h("span", null, subItem.link.title))), !subItem.show_link && h(Fragment, null, h("h3", null, subItem.link.title))));
                    }), (module.acf_fc_layout == 'link_title_description_repeater') && module.data.map((subItem) => {
                        let liClass, titleHTML;
                        let dataTarget = subItem.title.toLowerCase().split(' ').join('_');
                        liClass = '';
                        if (subItem.border_right == true) {
                            liClass += ' has-border-right';
                        }
                        if (subItem.icon_link_repeater.length) {
                            liClass += ' has-sub-menu';
                        }
                        if (subItem.link_title) {
                            titleHTML = (h("a", { href: formatHREF(this.domain, subItem.link.url), target: "_self", class: this.getLinkClass(item.title, subItem.link.title) }, h("h3", null, subItem.link.title)));
                        }
                        else {
                            titleHTML = h("h3", { "data-target": dataTarget, onClick: this.switchColumn3 }, subItem.title);
                        }
                        return (h("li", { class: liClass }, titleHTML, subItem.short_description && h(Fragment, null, h("div", { innerHTML: subItem.short_description })), subItem.icon_link_repeater.length && h(Fragment, null, h("ul", { class: "list-none sub-menu", "data-target-name": dataTarget }, h("a", { href: "#", class: "sub-title", onClick: this.backToLevel2 }, this.getAngleRightSVG(), h("span", null, subItem.title)), subItem.icon_link_repeater.map((iconLinkRepeaterItem) => {
                            return (h("li", null, h("a", { href: formatHREF(this.domain, iconLinkRepeaterItem.link.url), target: "_self", class: this.getLinkClass(item.title, iconLinkRepeaterItem.link.title) }, iconLinkRepeaterItem.icon && h("img", { src: iconLinkRepeaterItem.icon, alt: "Fixed sites icon", width: "23", height: "23" }), h("span", null, iconLinkRepeaterItem.link.title))));
                        })))));
                    })));
                }
            })), item['cta'] && (h("div", { class: "type-2 green-cta" }, item['cta']['icon'] && (h("div", { class: "img-wrapper" }, h("img", { src: item['cta']['icon'], alt: "icon", width: "82", height: "82" }))), h("div", { class: "content-wrapper" }, item['cta']['title'] && (h(Fragment, null, h("h3", null, item['cta']['title']), h("hr", null))), item['cta']['short_description'] && h("p", null, item['cta']['short_description']), item['cta']['button_type'] == 'v1' && item['cta']['button'] && (h("cradlepoint-button-cta", { link: formatHREF(this.domain, item['cta']['button']['url']) }, item['cta']['button']['title'])), item['cta']['button_type'] == 'v2' && item['cta']['buttons'] && (h("ul", null, item['cta']['buttons'].map((button) => {
                return (h("li", { class: "no-icon" }, h("a", { href: formatHREF(this.domain, button['button']['url']), target: "_self", class: "not-button" }, button['button']['title'])));
            }))))))));
        }))), h("div", { key: '7ba0af836ad11765e68c4de7e9f04746c94c88c4', class: "search-form-container" }, h("slot", { key: '1b010d2cab7968bdb666a525fad13fb8871a3d96', name: "search-form" })), h("div", { key: 'a4865b3eda45e13d1c8798e688ab08fcafdf504e', class: "nav-lang-container" }, h("slot", { key: '2a66c4dd50322cc86ff47e7af33d56c3cc96a1c3', name: "nav-lang" }))))));
    }
    get host() { return getElement(this); }
};
NavMain.style = CradlepointNavMainStyle0;

const searchFormCss = "*{box-sizing:border-box}:host{position:absolute;top:80px;display:block;width:100%;height:96px;background-color:var(--cwc-color-white, #fff);padding:18px 32px;font-family:var(--cwc-font-sans-serif-regular, 'Eina01-Regular');filter:drop-shadow(0 5px 10px rgba(0,0,0,0.15))}:host(.hidden){display:none}form{display:flex;flex-direction:row;align-items:center;height:100%}input{flex-grow:1;border:0;outline:0;font-size:18px;line-height:60px}.search-close{display:grid;place-items:center;width:28px;height:38px;margin-left:auto;margin-right:0;cursor:pointer}.search-close svg{pointer-events:none}@media (min-width: 1025px){:host{top:110px;padding-left:48px;padding-right:48px}}@media (min-width: 1366px){:host{padding-left:64px;padding-right:64px}}@media (min-width: 1680px){:host{padding-left:96px;padding-right:96px}}";
const CradlepointSearchFormStyle0 = searchFormCss;

const SearchForm = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hideForm = () => {
            this.host.classList.add('hidden');
            if (document.querySelector('body #modal-backDrop')) {
                document.querySelector('body #modal-backDrop').remove();
            }
        };
        this.action = '/';
        this.method = 'get';
        this.placeholder = 'Type something to search';
        this.inputName = 's';
        this.closeIconColor = 'var(--cwc-color-secondary-900, #242424)';
    }
    render() {
        return (h(Host, { key: '402b2d9e1d99c2988f49bc7e34dd1088824b2cad' }, h("form", { key: '2fb05c869899803580d4128e5831d621d650105a', action: this.action, method: this.method }, h("input", { key: 'af029d927213f797dfa2e55adcdecc43db1645d9', type: "text", name: this.inputName, class: "search-field", placeholder: this.placeholder }), h("span", { key: 'e97ef40633f3cc55971a69cb05b73d427a2cbed5', class: "search-close", onClick: this.hideForm }, h("svg", { key: 'c819e5809477229409bceba95dcc36696db45f7c', class: "fa-xmark", "aria-hidden": "true", focusable: "false", "data-prefix": "fas", "data-icon": "xmark", role: "img", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 384 512", "data-fa-i2svg": "" }, h("path", { key: '919520a8ff153b148f05f0223b99b8b100ac8d26', fill: this.closeIconColor, d: "M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z" }))))));
    }
    get host() { return getElement(this); }
};
SearchForm.style = CradlepointSearchFormStyle0;

const cradlepointVideoCss = ":host{background-size:cover;background-position:center center;position:relative;display:flex;justify-content:center;align-items:center;margin:0 auto}:host::after{content:\"\";position:absolute;display:block;top:0;width:45vw;height:100%;background-image:url(https://cradlepoint.com/wp-content/uploads/2020/04/video-play-icon-1.webp?tr=lo-true);background-position:50%;background-repeat:no-repeat;background-size:100%}:host:hover{cursor:pointer}";
const CradlepointVideoStyle0 = cradlepointVideoCss;

const CradlepointVideo = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.toggleVideoPopup = () => {
            let host = this.host;
            let videoUrl = host.getAttribute('video-url');
            let body = host.closest('body');
            if (host.getAttribute('data-active') == 'false') {
                let backDrop = document.createElement('div');
                backDrop.setAttribute("id", "modal-backDrop");
                body.appendChild(backDrop);
                let popupWrapper = document.createElement('div');
                popupWrapper.setAttribute("class", "popup video-popup-wrapper");
                popupWrapper.setAttribute("style", `
      width: ${host.style.width};
      top: ${host.offsetTop}px;
      max-width:${host.style.maxWidth};
    `);
                popupWrapper.innerHTML = `<span class='close'><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512" width="24px" height="24px"><path d="M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z"/></svg></span>
      <iframe src="${videoUrl}" style="aspect-ratio:${host.style.aspectRatio};" class="videoIframe" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullScreen=""></iframe>`;
                body.appendChild(popupWrapper);
                host.dataset.active = 'true';
                let close = body.querySelector('.video-popup-wrapper .close');
                close.addEventListener('click', function () {
                    body.querySelector('.video-popup-wrapper').remove();
                    host.dataset.active = 'false';
                    body.querySelector('#modal-backDrop').remove();
                });
                body.querySelector('#modal-backDrop').addEventListener('click', function () {
                    body.querySelector('.video-popup-wrapper').remove();
                    host.dataset.active = 'false';
                    body.querySelector('#modal-backDrop').remove();
                });
            }
            else {
                body.querySelector('.video-popup-wrapper').remove();
                host.dataset.active = 'false';
                body.querySelector('#modal-backDrop').remove();
            }
        };
        this.videoUrl = undefined;
        this.bgImage = undefined;
        this.width = '100%';
        this.aspectRatio = '16:9';
        this.popupWidth = '100%';
        this.maxWidth = '1280px';
    }
    render() {
        let featuredImage = '';
        if (this.videoUrl) {
            var regExp = /^.*(youtu\.be\/|v\/|u\/\w\/|embed\/|watch\?v=|\&v=)([^#\&\?]*).*/;
            var match = this.videoUrl.match(regExp);
            if (match && match[2].length == 11) {
                var id = match[2];
                featuredImage = 'https://img.youtube.com/vi/' + id + '/maxresdefault.jpg';
            }
        }
        return (h(Host, { key: 'aeb2c46a5dcf2c7de696c677706f360286e910ed', style: {
                width: this.width,
                maxWidth: this.maxWidth,
                backgroundImage: this.bgImage ? `url(${this.bgImage})` : `url(${featuredImage})`,
                aspectRatio: this.aspectRatio.replace(':', '/'),
            }, onClick: this.toggleVideoPopup, "data-active": "false" }));
    }
    get host() { return getElement(this); }
};
CradlepointVideo.style = CradlepointVideoStyle0;

export { Cradlepoint5050 as cradlepoint_5050, ButtonCta as cradlepoint_button_cta, CardBg as cradlepoint_card_bg, CardImageTitleText as cradlepoint_card_image_title_text, CardQuote as cradlepoint_card_quote, CardSimpleText as cradlepoint_card_simple_text, CarouselContainer as cradlepoint_carousel_container, CradlepointContainer as cradlepoint_container, ContainerStack as cradlepoint_container_stack, CtaWithHoverBg as cradlepoint_cta_with_hover_bg, FontawesomeSvg as cradlepoint_fontawesome_svg, CradlepointFooter as cradlepoint_footer, CardCta as cradlepoint_footer_cta, CradlepointHero as cradlepoint_hero, HeroA as cradlepoint_hero_a, HeroD as cradlepoint_hero_d, HotspotItem as cradlepoint_hotspot_item, CardHotspots as cradlepoint_hotspots, MarketoForm as cradlepoint_marketo_form, NavLang as cradlepoint_nav_lang, NavMain as cradlepoint_nav_main, SearchForm as cradlepoint_search_form, CradlepointVideo as cradlepoint_video };

//# sourceMappingURL=cradlepoint-5050_23.entry.js.map